#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(remove_iaa_compression_mode, "_gpl", "IDXD");
KSYMTAB_FUNC(add_iaa_compression_mode, "_gpl", "IDXD");

SYMBOL_CRC(remove_iaa_compression_mode, 0xafa66abb, "_gpl");
SYMBOL_CRC(add_iaa_compression_mode, 0x9318f4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3df500a, "crypto_comp_decompress" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfba7e35e, "try_module_get" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcdbf5a3f, "simple_attr_open" },
	{ 0x789086fe, "debugfs_attr_write" },
	{ 0x4c924b61, "crypto_alloc_base" },
	{ 0xa911e3cf, "driver_remove_file" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb588f1b1, "idxd_submit_desc" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0xf89ac26d, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x14a8e819, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf865b949, "idxd_wq_quiesce" },
	{ 0x122c3a7e, "_printk" },
	{ 0xae60b1c3, "idxd_free_desc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7c1dc9, "driver_create_file" },
	{ 0xa856cb24, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x6bd2e7a4, "idxd_drv_disable_wq" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9f41d04, "__idxd_driver_register" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x59c847cd, "cpumask_of_node" },
	{ 0xad67d611, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7bd9a72d, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xda907567, "dma_alloc_attrs" },
	{ 0xf7555410, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3eccbe2c, "__find_nth_bit" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x891dbb8f, "sgl_free_order" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x577ddeb6, "crypto_unregister_acomp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9906e9dc, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb0c144b8, "debugfs_create_file" },
	{ 0x2966a8e4, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe99cf845, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x8f465d11, "idxd_drv_enable_wq" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xc903e9b1, "seq_puts" },
	{ 0x5430db1c, "crypto_register_acomp" },
	{ 0xf919ba25, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x36cd681d, "dma_unmap_sg_attrs" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc2cb862e, "sgl_alloc_order" },
	{ 0xb1fbeaec, "single_open" },
	{ 0x69c23149, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc7429986, "idxd_driver_unregister" },
	{ 0x79718d81, "idxd_alloc_desc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x6883ed2a, "dma_map_sg_attrs" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "idxd,idxd_bus");


MODULE_INFO(srcversion, "52BC104805796F171775E95");
