#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(extcon_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_state, "_gpl", "");
KSYMTAB_FUNC(extcon_set_state, "_gpl", "");
KSYMTAB_FUNC(extcon_set_state_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_property, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property_sync, "_gpl", "");
KSYMTAB_FUNC(extcon_get_property_capability, "_gpl", "");
KSYMTAB_FUNC(extcon_set_property_capability, "_gpl", "");
KSYMTAB_FUNC(extcon_get_extcon_dev, "_gpl", "");
KSYMTAB_FUNC(extcon_register_notifier, "_gpl", "");
KSYMTAB_FUNC(extcon_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(extcon_register_notifier_all, "_gpl", "");
KSYMTAB_FUNC(extcon_unregister_notifier_all, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_free, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_register, "_gpl", "");
KSYMTAB_FUNC(extcon_dev_unregister, "_gpl", "");
KSYMTAB_FUNC(extcon_find_edev_by_node, "_gpl", "");
KSYMTAB_FUNC(extcon_get_edev_by_phandle, "_gpl", "");
KSYMTAB_FUNC(extcon_get_edev_name, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_allocate, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_free, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_register, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_dev_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_extcon_register_notifier, "", "");
KSYMTAB_FUNC(devm_extcon_unregister_notifier, "", "");
KSYMTAB_FUNC(devm_extcon_register_notifier_all, "", "");
KSYMTAB_FUNC(devm_extcon_unregister_notifier_all, "", "");

SYMBOL_CRC(extcon_sync, 0xa3f3a5d7, "_gpl");
SYMBOL_CRC(extcon_get_state, 0x739338c5, "_gpl");
SYMBOL_CRC(extcon_set_state, 0x0930b36d, "_gpl");
SYMBOL_CRC(extcon_set_state_sync, 0x7ce7bb61, "_gpl");
SYMBOL_CRC(extcon_get_property, 0x746aad4b, "_gpl");
SYMBOL_CRC(extcon_set_property, 0xb7ef4908, "_gpl");
SYMBOL_CRC(extcon_set_property_sync, 0x132182df, "_gpl");
SYMBOL_CRC(extcon_get_property_capability, 0x0661d04c, "_gpl");
SYMBOL_CRC(extcon_set_property_capability, 0x6f0c9fcc, "_gpl");
SYMBOL_CRC(extcon_get_extcon_dev, 0xb009131e, "_gpl");
SYMBOL_CRC(extcon_register_notifier, 0xb2b1042e, "_gpl");
SYMBOL_CRC(extcon_unregister_notifier, 0x950026d2, "_gpl");
SYMBOL_CRC(extcon_register_notifier_all, 0xe0914649, "_gpl");
SYMBOL_CRC(extcon_unregister_notifier_all, 0x5fa3cd6d, "_gpl");
SYMBOL_CRC(extcon_dev_free, 0x3b46b173, "_gpl");
SYMBOL_CRC(extcon_dev_register, 0x1bdbc9a6, "_gpl");
SYMBOL_CRC(extcon_dev_unregister, 0x2d940ae0, "_gpl");
SYMBOL_CRC(extcon_find_edev_by_node, 0xba397b4b, "_gpl");
SYMBOL_CRC(extcon_get_edev_by_phandle, 0xe09f7c08, "_gpl");
SYMBOL_CRC(extcon_get_edev_name, 0xa505a22a, "_gpl");
SYMBOL_CRC(devm_extcon_dev_allocate, 0xa5f5b8db, "_gpl");
SYMBOL_CRC(devm_extcon_dev_free, 0x8bc45df1, "_gpl");
SYMBOL_CRC(devm_extcon_dev_register, 0xfdb32e4c, "_gpl");
SYMBOL_CRC(devm_extcon_dev_unregister, 0x6c1653f4, "_gpl");
SYMBOL_CRC(devm_extcon_register_notifier, 0x3b6b63f9, "");
SYMBOL_CRC(devm_extcon_unregister_notifier, 0xe6fa0483, "");
SYMBOL_CRC(devm_extcon_register_notifier_all, 0x818965dc, "");
SYMBOL_CRC(devm_extcon_unregister_notifier_all, 0xa890624c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xab040693, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x704c0923, "device_unregister" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf68f2e09, "class_destroy" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfde29017, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xabe3cade, "devres_add" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0x3000dd23, "devres_release" },
	{ 0xdf0ca6ec, "kobject_uevent_env" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfd931d95, "class_create" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x191e3499, "__devres_alloc_node" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x23d5402, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd2a99859, "kobject_uevent" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C3D21868AD380189738579");
