#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_get_i2c_resource, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_client_count, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_bus_speed, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_find_adapter_by_handle, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_new_device_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(i2c_acpi_waive_d0_probe, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0xff29c668, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0x8d5ec07e, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0xc6464b23, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0x73dd4a68, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0xa59de41e, "_gpl");
SYMBOL_CRC(i2c_client_type, 0x1651d177, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0x8e504c32, "");
SYMBOL_CRC(i2c_new_client_device, 0xff6becfd, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0xa745e115, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0x74914694, "");
SYMBOL_CRC(i2c_new_dummy_device, 0x7b1a62fe, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0x7c88859d, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0x173a0b30, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0xdcb1d06a, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0x628a1744, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0x7ffdd14e, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0x1e649d77, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0x57fab49a, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0xe260949e, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0x73b75ac5, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0x0ac3d9f9, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0xea472cb6, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0xa0625d2e, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0xa3209c84, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0xbd6292d0, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0xe5ca3832, "");
SYMBOL_CRC(i2c_del_driver, 0x69c2839a, "");
SYMBOL_CRC(i2c_clients_command, 0x8d06bfde, "");
SYMBOL_CRC(__i2c_transfer, 0x821b112b, "");
SYMBOL_CRC(i2c_transfer, 0xe2af4c51, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0x1c9ecfd4, "");
SYMBOL_CRC(i2c_get_device_id, 0x5cef0b61, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0x34623c59, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0x1ac70ef9, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0x3c4a21c4, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0xaff11737, "");
SYMBOL_CRC(i2c_put_adapter, 0x08fd8bb2, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0xfa2e5f32, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0x3c33565d, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0x68dae2e1, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0x8d129084, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0x87082f90, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0xe872194a, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0x5dbbed35, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0x18603334, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0xb4957a04, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0x0da4aa8e, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0x54e82515, "");
SYMBOL_CRC(i2c_smbus_xfer, 0x746be604, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0xb0efa818, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0x5c8ba91e, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x91ccc441, "_gpl");
SYMBOL_CRC(i2c_acpi_get_i2c_resource, 0x7f8839d6, "_gpl");
SYMBOL_CRC(i2c_acpi_client_count, 0x4617a75d, "_gpl");
SYMBOL_CRC(i2c_acpi_find_bus_speed, 0x3a5b0d25, "_gpl");
SYMBOL_CRC(i2c_acpi_find_adapter_by_handle, 0xe3dff7de, "_gpl");
SYMBOL_CRC(i2c_acpi_new_device_by_fwnode, 0x9531de7e, "_gpl");
SYMBOL_CRC(i2c_acpi_waive_d0_probe, 0x78305124, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5d80a16a, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfba7e35e, "try_module_get" },
	{ 0x1417c141, "is_acpi_device_node" },
	{ 0xa53c6861, "device_set_wakeup_capable" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd1053f81, "gpiod_get_direction" },
	{ 0xb2f92255, "device_property_match_string" },
	{ 0x67450225, "devres_release_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0xab040693, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0xc204741b, "bpf_trace_run6" },
	{ 0x886d0991, "acpi_driver_match_device" },
	{ 0x704c0923, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0xa6f7952, "irq_domain_remove" },
	{ 0xf0d48820, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x677ecd5a, "acpi_set_modalias" },
	{ 0x1137063d, "dummy_irq_chip" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0xe7950108, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc17ddb64, "device_for_each_child" },
	{ 0x78ef4776, "bus_for_each_drv" },
	{ 0x343bdf1, "__i2c_board_list" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfde29017, "get_device" },
	{ 0xa4d2c391, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x9b091cb0, "dev_driver_string" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbe443526, "device_match_fwnode" },
	{ 0xe957621b, "acpi_dev_get_resources" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x40ac8f48, "irq_set_chip_and_handler_name" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0xf78dd346, "acpi_dev_ready_for_enumeration" },
	{ 0xa8837165, "pm_runtime_enable" },
	{ 0x54d8d8d9, "device_property_read_u32_array" },
	{ 0x63cd7d80, "handle_simple_irq" },
	{ 0x67651a5d, "bus_for_each_dev" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0xbc5d573c, "dev_pm_domain_detach" },
	{ 0xa856cb24, "module_put" },
	{ 0x72210ec5, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0x63a14763, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0x561717f8, "device_wakeup_enable" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x70bb6594, "bus_find_device" },
	{ 0xe35183be, "acpi_dev_resource_interrupt" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf9d05c52, "dev_pm_set_wake_irq" },
	{ 0x4a7541d8, "irq_get_irq_data" },
	{ 0x5a148cd0, "rt_mutex_unlock" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xbc95ca3e, "rt_mutex_trylock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x86a2c2e5, "driver_unregister" },
	{ 0xe07e5f44, "acpi_reconfig_notifier_unregister" },
	{ 0xdfe44b3a, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x23d5402, "device_register" },
	{ 0xe1b2c112, "__irq_resolve_mapping" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x564f7608, "acpi_reconfig_notifier_register" },
	{ 0x900ad76a, "tracepoint_srcu" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xb95ee302, "device_get_match_data" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53c597c5, "acpi_dev_clear_dependencies" },
	{ 0xce526c76, "acpi_bus_get_status" },
	{ 0xd114ddcc, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7549a42e, "device_remove_software_node" },
	{ 0x7befae38, "acpi_match_device_ids" },
	{ 0x960fde11, "pm_runtime_no_callbacks" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc9e15335, "pinctrl_lookup_state" },
	{ 0x7d7fc4dc, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0x9acfb843, "__pm_runtime_resume" },
	{ 0x2e873e6, "dev_pm_clear_wake_irq" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2712ae29, "acpi_fetch_acpi_dev" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xda40f155, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa355cf42, "irq_create_mapping_affinity" },
	{ 0x8ed44361, "acpi_unbind_one" },
	{ 0x74a47171, "__rt_mutex_init" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x696340a5, "__i2c_board_lock" },
	{ 0x3e931ac2, "acpi_dev_gpio_irq_wake_get_by" },
	{ 0x53e3230a, "pinctrl_select_state" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x86dd87d2, "device_add_software_node" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x72817b91, "__devm_add_action" },
	{ 0xa43aca8d, "acpi_device_modalias" },
	{ 0x9688a771, "bpf_trace_run7" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x3bededc6, "__pm_runtime_disable" },
	{ 0xe230daad, "rt_mutex_lock" },
	{ 0xfcb50a92, "device_match_acpi_handle" },
	{ 0x49242087, "gpiod_direction_output" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xa5359950, "driver_register" },
	{ 0x40d300a9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5f52d860, "__dev_fwnode" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xbb984082, "bus_register" },
	{ 0x2bcfd9cf, "acpi_device_uevent_modalias" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A87CE2AD2EB96000F31C87");
