#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0xdb57d692, "");
SYMBOL_CRC(flow_resources_alloc, 0x1c033039, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0xfe742d1d, "");
SYMBOL_CRC(flow_resources_add, 0x3816e51b, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xd18a0e71, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x1a35506f, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x35aa9bb8, "");
SYMBOL_CRC(uverbs_idr_class, 0x63a5b7ef, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x6cbfdb18, "");
SYMBOL_CRC(uverbs_fd_class, 0x33202e1c, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x90b753bb, "");
SYMBOL_CRC(_uverbs_alloc, 0x4c00b3d5, "");
SYMBOL_CRC(uverbs_get_flags64, 0x7224d2a0, "");
SYMBOL_CRC(uverbs_get_flags32, 0x2c0945c4, "");
SYMBOL_CRC(uverbs_copy_to, 0xe72c8df1, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x9c342904, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x154598dc, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xcacf061f, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xa0a9c831, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0xa4a00e2c, "");
SYMBOL_CRC(ib_umem_get, 0x10b4f38b, "");
SYMBOL_CRC(ib_umem_release, 0x64446353, "");
SYMBOL_CRC(ib_umem_copy_from, 0x546e6aed, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x28157792, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x5253b319, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xc9263d87, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xafdb857f, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xcecb4410, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x22622865, "");
SYMBOL_CRC(ib_umem_odp_get, 0xd85de37b, "");
SYMBOL_CRC(ib_umem_odp_release, 0xc63eb465, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x348f6258, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0xad2efac0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x75072e6c, "pin_user_pages_fast" },
	{ 0xa49f32bb, "mmu_interval_notifier_remove" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xfba7e35e, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5f85148b, "anon_inode_getfile" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xfefcb14c, "ib_unregister_client" },
	{ 0xcb58075e, "show_class_attr_string" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4d506d86, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xab040693, "dev_set_name" },
	{ 0x98b94a7, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0xa34b3e9b, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x69a5a8b6, "mmu_interval_read_begin" },
	{ 0x9c60d38d, "ib_create_qp_user" },
	{ 0x8cd6651b, "dma_resv_wait_timeout" },
	{ 0x10a6c351, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd3d4c047, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x7994b603, "kill_fasync" },
	{ 0x2bad2222, "dma_unmap_page_attrs" },
	{ 0xaa6f2d30, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe795121a, "fget" },
	{ 0xa467b827, "__put_task_struct" },
	{ 0x23e976c5, "ib_query_srq" },
	{ 0x5b630833, "ww_mutex_unlock" },
	{ 0xdc067824, "device_initialize" },
	{ 0x84e700e1, "__dynamic_ibdev_dbg" },
	{ 0x89b06a8c, "ib_rdmacg_try_charge" },
	{ 0x597ac533, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xde4a9998, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x49a49e18, "unpin_user_page_range_dirty_lock" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2538fe84, "iput" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x74d1ca75, "dma_buf_unpin" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3cb6db96, "zap_vma_ptes" },
	{ 0xd9913828, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xeb52db48, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3164f46f, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xab27bdda, "rdma_dev_access_netns" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfde29017, "get_device" },
	{ 0x9b0f78d0, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x64ff80f2, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x7ebfbe99, "dma_buf_dynamic_attach" },
	{ 0x32c7132, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xfb8c080f, "ib_destroy_srq_user" },
	{ 0x23810d76, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x773e1b74, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2928b6f4, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8c42ed1f, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x3a15d622, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xa432f8c2, "ib_modify_qp_with_udata" },
	{ 0xa1826325, "ib_register_event_handler" },
	{ 0xb82e7adf, "ib_detach_mcast" },
	{ 0x817d83dd, "dma_buf_map_attachment" },
	{ 0x9668f915, "__free_pages" },
	{ 0xf25e2b62, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa856cb24, "module_put" },
	{ 0xbf1e4c1a, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1f0a31b2, "compat_ptr_ioctl" },
	{ 0xd7887987, "ib_create_srq_user" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xb109e8d4, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x340c41e9, "init_srcu_struct" },
	{ 0x201c9b2a, "fput" },
	{ 0xdf898c0b, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x38408ebe, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf56359f8, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x9227dff7, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6a234817, "dma_buf_get" },
	{ 0x8c07cdc5, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xec183358, "nla_put" },
	{ 0xb8d7e9b9, "ww_mutex_lock" },
	{ 0x26397962, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf040a20, "ib_qp_usecnt_inc" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xd7167176, "dma_buf_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x70e16fe5, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x506300cd, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5d64fd2a, "ib_destroy_qp_user" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdcbfa6fb, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8939c856, "rdma_create_user_ah" },
	{ 0xa9952a33, "rdma_destroy_ah_user" },
	{ 0x45668bb9, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa84d2a08, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xe43eba7a, "__mmdrop" },
	{ 0xcdf7d04f, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf236ff2b, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x8e45c204, "__mmap_lock_do_trace_start_locking" },
	{ 0xb2da2705, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x95d50701, "igrab" },
	{ 0xbdda4743, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x273ab4a7, "mmput" },
	{ 0x3d4d9254, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x48f8d654, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x81eb5f85, "__tracepoint_mmap_lock_start_locking" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3292c965, "__mmap_lock_do_trace_released" },
	{ 0xde454fbc, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x63f5e4fc, "__srcu_read_unlock" },
	{ 0x3e4634b7, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5acecb3b, "ib_dealloc_xrcd_user" },
	{ 0xdad3be50, "dma_buf_detach" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x429a01b6, "stream_open" },
	{ 0xdb227435, "mmu_interval_notifier_insert" },
	{ 0x50d3fb42, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xfce6697a, "ib_open_qp" },
	{ 0xbf67c659, "ib_dealloc_pd_user" },
	{ 0x31436d15, "rdma_get_gid_attr" },
	{ 0x36cd681d, "dma_unmap_sg_attrs" },
	{ 0xc6a5ae74, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x83bd89f1, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x1d0bd54f, "rdma_query_gid_table" },
	{ 0x741ec85f, "get_task_pid" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xcf908201, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ab90e1d, "ib_attach_mcast" },
	{ 0xbec902ea, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x39c4beed, "ib_destroy_wq_user" },
	{ 0x90e3a8b4, "put_pid" },
	{ 0xbff6bd3a, "class_register" },
	{ 0xe0584ea0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x9a6e5b86, "rdma_user_mmap_entry_put" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "6FA0407CBBF47EB89B26238");
