#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xd9073b8b, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xa351bc3f, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xc15c25fe, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xda903a7a, "");
SYMBOL_CRC(mpt_halt_firmware, 0x0cbbc600, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x8455ca55, "");
SYMBOL_CRC(mpt_attach, 0x2a91a8c4, "");
SYMBOL_CRC(mpt_detach, 0x13f5af3b, "");
SYMBOL_CRC(mpt_resume, 0x711d2e3b, "");
SYMBOL_CRC(mpt_suspend, 0x8cc9e137, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x38d69207, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xc1bb85b6, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x13e6ad03, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0x1aff969d, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0x1e7a2baa, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xa13ffbbc, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x28da34ab, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x2ac7660d, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x28e0f541, "");
SYMBOL_CRC(mpt_verify_adapter, 0xd978cb6c, "");
SYMBOL_CRC(mpt_GetIocState, 0x71daab71, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x28184abb, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x13d936de, "");
SYMBOL_CRC(mpt_config, 0x7179f4ee, "");
SYMBOL_CRC(mpt_findImVolumes, 0x519ab16e, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xe549a1c3, "");
SYMBOL_CRC(mpt_free_fw_memory, 0xd701592d, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x4af7853c, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x5a2b543a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe99cf845, "seq_printf" },
	{ 0x7c51f6cc, "pci_stop_and_remove_bus_device_locked" },
	{ 0xda907567, "dma_alloc_attrs" },
	{ 0x2966a8e4, "dma_free_attrs" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6e98c45d, "pci_select_bars" },
	{ 0x3600bb7d, "pci_enable_device_mem" },
	{ 0xbfec9f00, "pci_request_selected_regions" },
	{ 0x4db424b9, "dma_get_required_mask" },
	{ 0x46232c64, "dma_set_mask" },
	{ 0x1537d04d, "pci_release_selected_regions" },
	{ 0xe928dad3, "pci_disable_device" },
	{ 0xcb0597bb, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0x70630f0a, "pci_get_slot" },
	{ 0x9e0945e5, "pci_dev_put" },
	{ 0x923db0d, "remove_proc_entry" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xf1e046cc, "panic" },
	{ 0xa6257a2f, "complete" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x523c6ab9, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x57b196f9, "seq_putc" },
	{ 0x645be57e, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9123df8e, "pci_save_state" },
	{ 0x4ca595fc, "pci_set_power_state" },
	{ 0xc1c1bf8a, "pci_disable_msi" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x2c39e9ea, "proc_mkdir" },
	{ 0x5418022e, "proc_create_single_data" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x85c32643, "pci_read_config_word" },
	{ 0x6aa5f040, "pci_write_config_word" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xedc03953, "iounmap" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc95ea1d8, "pci_set_master" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x94c0eb13, "pci_enable_msi" },
	{ 0x9e156082, "pci_enable_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xfed66306, "kthread_create_on_node" },
	{ 0xc8b9e25a, "wake_up_process" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3be4e0c5, "pci_read_config_byte" },
	{ 0xf2314403, "pci_write_config_byte" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf6fbfc17, "pci_enable_wake" },
	{ 0xb7fa160d, "pci_restore_state" },
	{ 0xd5c05c58, "param_ops_int" },
	{ 0xc5fc2caf, "param_get_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xdd64e639, "strscpy" },
	{ 0x122c3a7e, "_printk" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");
