#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0xcd6ba500, "");
SYMBOL_CRC(mmc_request_done, 0xda0d18f8, "");
SYMBOL_CRC(mmc_start_request, 0x86b4e0fe, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x05a564d7, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x0e605ca0, "");
SYMBOL_CRC(mmc_cqe_request_done, 0xc5dc789c, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xaff11eef, "");
SYMBOL_CRC(mmc_cqe_recovery, 0xf9ac2f8e, "");
SYMBOL_CRC(mmc_is_req_done, 0xe77333fb, "");
SYMBOL_CRC(mmc_wait_for_req, 0x1dd3e1c2, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x6fa6e162, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x24fc8339, "");
SYMBOL_CRC(__mmc_claim_host, 0x1b37c1a3, "");
SYMBOL_CRC(mmc_release_host, 0xe565627c, "");
SYMBOL_CRC(mmc_get_card, 0xe47af1d9, "");
SYMBOL_CRC(mmc_put_card, 0x1d039d6d, "");
SYMBOL_CRC(mmc_detect_change, 0xa950a0f5, "");
SYMBOL_CRC(mmc_erase, 0x6be080cf, "");
SYMBOL_CRC(mmc_can_erase, 0x7ba4d32e, "");
SYMBOL_CRC(mmc_can_trim, 0xbf40c55e, "");
SYMBOL_CRC(mmc_can_discard, 0xf948cefc, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x991c9784, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x1261fe27, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xacb4cf2f, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x2c4ba573, "");
SYMBOL_CRC(mmc_set_blocklen, 0x4636698f, "");
SYMBOL_CRC(mmc_hw_reset, 0x1d8663f8, "");
SYMBOL_CRC(mmc_sw_reset, 0xb2412182, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x6f7692db, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x6e1e26c3, "");
SYMBOL_CRC(mmc_register_driver, 0x0297afb4, "");
SYMBOL_CRC(mmc_unregister_driver, 0x0ad8b155, "");
SYMBOL_CRC(mmc_retune_pause, 0xd746988f, "");
SYMBOL_CRC(mmc_retune_unpause, 0x2bbe5f47, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x1390e527, "");
SYMBOL_CRC(mmc_retune_release, 0xeead8d71, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x350eba88, "");
SYMBOL_CRC(mmc_of_parse, 0x3978f8ce, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0xea728957, "");
SYMBOL_CRC(mmc_alloc_host, 0xa84c9b99, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x171c15cb, "");
SYMBOL_CRC(mmc_add_host, 0x3dc1a8f2, "");
SYMBOL_CRC(mmc_remove_host, 0x040af15b, "");
SYMBOL_CRC(mmc_free_host, 0xf412d32c, "");
SYMBOL_CRC(__mmc_send_status, 0xb8eebd1e, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x2d347b15, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0xecb66511, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x159d6d9b, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xa7dac0be, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0xbecd0668, "_gpl");
SYMBOL_CRC(mmc_switch, 0x3b25a9b5, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x518393ae, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x3712142c, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x7e8e5a4c, "");
SYMBOL_CRC(mmc_cmdq_enable, 0x4baae79e, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0xfde7c595, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x25413368, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xb38fbaa1, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0xa51e3eee, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0x0052e3ec, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x49b6bbff, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x562f8dc1, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x4275dc09, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x370ca06a, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0x0652d77a, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x2fc2f1fc, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x6641f6f7, "_gpl");
SYMBOL_CRC(sdio_readb, 0x8b10c5e8, "_gpl");
SYMBOL_CRC(sdio_writeb, 0xf22ca295, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0xbb794651, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x93c5c9df, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x636c0bab, "_gpl");
SYMBOL_CRC(sdio_readsb, 0xa0e1f9db, "_gpl");
SYMBOL_CRC(sdio_writesb, 0xfd994060, "_gpl");
SYMBOL_CRC(sdio_readw, 0x847a8d0d, "_gpl");
SYMBOL_CRC(sdio_writew, 0x6503aa5c, "_gpl");
SYMBOL_CRC(sdio_readl, 0xe760d2af, "_gpl");
SYMBOL_CRC(sdio_writel, 0x8fecda6f, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xcd32c1fe, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0xddd16606, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x3a4b5ded, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0x0524b1aa, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0x4da713b8, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xea301f79, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0xc423bb48, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x5ed31b9f, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x6a4c078a, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xb4d98cde, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0xa8110913, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0xc5dc3b08, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0x271df99a, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0x52f350dd, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x355226c5, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x9d98501d, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0xd9e0ba9d, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0xd3321ff8, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0xa8944aa7, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x56d5bc81, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xf0a848f6, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x2aa99132, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x369099b5, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x77a0222e, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0xbde51035, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x8243f60c, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x43487808, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5d80a16a, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0x28191076, "regulator_enable" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x20a35479, "device_property_present" },
	{ 0x515fb423, "wakeup_source_register" },
	{ 0x1417c141, "is_acpi_device_node" },
	{ 0xcdbf5a3f, "simple_attr_open" },
	{ 0x69dfc845, "devm_request_threaded_irq" },
	{ 0x789086fe, "debugfs_attr_write" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xab040693, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0x5db83c0a, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xdc067824, "device_initialize" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0xd02c57ec, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0xf89ac26d, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x60fdf9d3, "gpiod_toggle_active_low" },
	{ 0xe7950108, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x176398cc, "bpf_trace_run2" },
	{ 0x9efe0261, "gpiod_get_value" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x5848ce41, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfde29017, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xd33e0108, "sched_set_fifo_low" },
	{ 0xabe3cade, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f9c4386, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc8b9e25a, "wake_up_process" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0x2ffbc520, "pm_generic_runtime_resume" },
	{ 0xe0e75153, "pm_generic_resume" },
	{ 0x22500e00, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b166801, "__pm_runtime_set_status" },
	{ 0xf0ecf61a, "pm_wakeup_ws_event" },
	{ 0x9751e224, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1d735b97, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0xa8837165, "pm_runtime_enable" },
	{ 0x54d8d8d9, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0x5581d715, "gpiod_set_debounce" },
	{ 0xbc5d573c, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xab602e10, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x62a31202, "pm_generic_suspend" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xad67d611, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0x63a14763, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xb077f429, "debugfs_create_file_unsafe" },
	{ 0xf8d1956a, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7bd9a72d, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x981db458, "wakeup_source_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf7555410, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x191e3499, "__devres_alloc_node" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x86a2c2e5, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x773340a, "devm_gpiod_get_index" },
	{ 0x70e16fe5, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3f273cff, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb20c6812, "device_del" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x742255cb, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc7a1e6a, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6849f04, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x9e542913, "regulator_is_supported_voltage" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfed66306, "kthread_create_on_node" },
	{ 0xc88f69ce, "devm_kasprintf" },
	{ 0x9906e9dc, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbb568334, "gpiod_cansleep" },
	{ 0xb0c144b8, "debugfs_create_file" },
	{ 0xa55e3364, "gpiod_is_active_low" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0x9acfb843, "__pm_runtime_resume" },
	{ 0x4de9b4a2, "debugfs_create_x32" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xfdacc33, "param_ops_bool" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xe99cf845, "seq_printf" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xf919ba25, "single_release" },
	{ 0xc4d21fb8, "regulator_disable" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x79861091, "__pm_runtime_suspend" },
	{ 0x326ebb11, "set_primary_fwnode" },
	{ 0xac863cb0, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb1fbeaec, "single_open" },
	{ 0x6023da9e, "gpiod_set_consumer_name" },
	{ 0x3bededc6, "__pm_runtime_disable" },
	{ 0x69c23149, "debugfs_create_dir" },
	{ 0x28298ac8, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa5359950, "driver_register" },
	{ 0xbff6bd3a, "class_register" },
	{ 0x40d300a9, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5f52d860, "__dev_fwnode" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xbb984082, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CEB9CE7487B9834EB08E453");
