#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4872090, "sdhci_end_tuning" },
	{ 0x9123df8e, "pci_save_state" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x41ed9008, "sdhci_set_bus_width" },
	{ 0x1417c141, "is_acpi_device_node" },
	{ 0xa53c6861, "device_set_wakeup_capable" },
	{ 0xc6d589af, "sdhci_send_tuning" },
	{ 0x2e181a18, "sdhci_cqe_irq" },
	{ 0xc4629b7, "sdhci_start_signal_voltage_switch" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0xd3321ff8, "mmc_gpiod_request_cd" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6080e9be, "cqhci_init" },
	{ 0x17088f7, "pci_alloc_irq_vectors" },
	{ 0x7dec8d6e, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x9e0945e5, "pci_dev_put" },
	{ 0x4ca92362, "pm_runtime_set_autosuspend_delay" },
	{ 0x63d89c6, "pci_get_device" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8942d49c, "__pci_register_driver" },
	{ 0xbf432fd6, "__sdhci_read_caps" },
	{ 0x69acdf38, "memcpy" },
	{ 0x44acda3c, "sdhci_set_uhs_signaling" },
	{ 0xe136b4d7, "cqhci_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x7e1311e0, "sdhci_reset" },
	{ 0x49aa235b, "sdhci_calc_clk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa4ad830f, "sdhci_enable_clk" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4ca595fc, "pci_set_power_state" },
	{ 0x90d82292, "pci_irq_vector" },
	{ 0x9d98501d, "mmc_gpio_set_cd_wake" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0x7c76da8d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x79487e73, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x86c7272b, "iosf_mbi_read" },
	{ 0x54d8d8d9, "device_property_read_u32_array" },
	{ 0x66d9c896, "acpi_device_fix_up_power_extended" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0x7a88da87, "iosf_mbi_write" },
	{ 0x52f350dd, "mmc_gpio_get_cd" },
	{ 0xc853be3c, "sdhci_suspend_host" },
	{ 0x72210ec5, "device_wakeup_disable" },
	{ 0x261618d5, "pci_find_capability" },
	{ 0x8797a04e, "sdhci_runtime_resume_host" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdb565801, "pcim_iomap_regions" },
	{ 0x75e7f707, "pci_clear_master" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0x74da01f8, "sdhci_runtime_suspend_host" },
	{ 0x561717f8, "device_wakeup_enable" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6f3a0a2b, "sdhci_setup_host" },
	{ 0x5008896b, "sdhci_set_ios" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xd5582151, "sdhci_dumpregs" },
	{ 0x790eab17, "sdhci_cqe_disable" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x85c32643, "pci_read_config_word" },
	{ 0xd2320d88, "__sdhci_add_host" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9ccf7248, "sdhci_reset_tuning" },
	{ 0xd239a0, "sdhci_abort_tuning" },
	{ 0xb7fa160d, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x1ce1ed99, "sdhci_set_clock" },
	{ 0x742255cb, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xc95ea1d8, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1bead031, "sdhci_start_tuning" },
	{ 0x61fa2f19, "sdhci_execute_tuning" },
	{ 0xf884e970, "cqhci_deactivate" },
	{ 0x5e460ce4, "sdhci_free_host" },
	{ 0xb62a4cf, "sdhci_add_host" },
	{ 0x57f3c906, "pm_runtime_forbid" },
	{ 0x78ddb76b, "dmi_match" },
	{ 0xc7ed9dcc, "pm_runtime_allow" },
	{ 0x9acfb843, "__pm_runtime_resume" },
	{ 0x4de9b4a2, "debugfs_create_x32" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x498628bb, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xf2314403, "pci_write_config_byte" },
	{ 0x874c3742, "sdhci_cleanup_host" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2d7f95e9, "sdhci_resume_host" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xdb21246f, "sdhci_alloc_host" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x518393ae, "mmc_send_tuning" },
	{ 0x8f924bdb, "sdhci_cqe_enable" },
	{ 0x4a739cd7, "pcim_iomap_table" },
	{ 0x79861091, "__pm_runtime_suspend" },
	{ 0x414a02ab, "sdhci_get_cd_nogpio" },
	{ 0x3be4e0c5, "pci_read_config_byte" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x470c79e, "__pm_runtime_use_autosuspend" },
	{ 0x26a514f5, "pcim_enable_device" },
	{ 0x6aa5f040, "pci_write_config_word" },
	{ 0x60b7f0f5, "pci_free_irq_vectors" },
	{ 0xb8c54568, "sdhci_set_power" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa11e5a80, "pci_write_config_dword" },
	{ 0x808e4a93, "sdhci_remove_host" },
	{ 0x1be3b938, "sdhci_enable_v4_mode" },
	{ 0xad7dc47b, "cqhci_resume" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core,cqhci");

MODULE_ALIAS("pci:v00001180d00000822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d00000843sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d0000E822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001180d0000E823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000550sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000551sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001524d00000751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002381sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002382sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002391sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000197Bd00002392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00008000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001106d000095D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd00005250sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000084Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000820sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000821sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000823sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000824sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000880Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F14sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F15sv00001093sd00007884bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F15sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F16sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002294sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002295sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002296sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008F9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008FAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008FBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000008E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001190sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009D2Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000019DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000018DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005ACCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005AD0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005ACAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000031CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DC4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009DF5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A375sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000034F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004B48sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006F5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DC4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004DF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000098F8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000054C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008120sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008520sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008420sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008421sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008620sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00008621sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00009860sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00009861sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00009862sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001217d00009863sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016E6d00000670sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000016C3d0000C202sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009755sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d0000E763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017A0d00009767sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d*sv*sd*bc08sc05i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc08sc05i*");

MODULE_INFO(srcversion, "174CE18D962868922223EA6");
