#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mtd_blktrans_cease_background, "_gpl", "");
KSYMTAB_FUNC(register_mtd_blktrans, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_blktrans, "_gpl", "");
KSYMTAB_FUNC(add_mtd_blktrans_dev, "_gpl", "");
KSYMTAB_FUNC(del_mtd_blktrans_dev, "_gpl", "");

SYMBOL_CRC(mtd_blktrans_cease_background, 0xcfe02361, "_gpl");
SYMBOL_CRC(register_mtd_blktrans, 0xbdd0eb26, "_gpl");
SYMBOL_CRC(deregister_mtd_blktrans, 0x2c964687, "_gpl");
SYMBOL_CRC(add_mtd_blktrans_dev, 0x723a2958, "_gpl");
SYMBOL_CRC(del_mtd_blktrans_dev, 0x071b0cdc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x10375eb, "unregister_mtd_user" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2c4bdf9e, "put_disk" },
	{ 0x84298515, "blk_mq_free_tag_set" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe866afb7, "__module_get" },
	{ 0xb2c8086b, "__get_mtd_device" },
	{ 0xa856cb24, "module_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x50dabc2f, "mtd_table_mutex" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x30688554, "__mtd_next_device" },
	{ 0x3b608ab1, "register_mtd_user" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3535122c, "__put_mtd_device" },
	{ 0x2f0af28b, "sysfs_remove_group" },
	{ 0x1733ff6d, "del_gendisk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf743de8b, "blk_mq_freeze_queue" },
	{ 0x278aa5f0, "blk_mq_quiesce_queue" },
	{ 0xedcf8d50, "blk_mq_unquiesce_queue" },
	{ 0x8a9f47a, "blk_mq_unfreeze_queue" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xbbee904a, "blk_mq_start_request" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xaff6f6b0, "blk_update_request" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x31b32821, "__blk_mq_end_request" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xe1704701, "blk_mq_alloc_sq_tag_set" },
	{ 0x823d0558, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3e5338de, "set_capacity" },
	{ 0x431bac37, "blk_queue_write_cache" },
	{ 0x138b9a52, "blk_queue_logical_block_size" },
	{ 0x166080f0, "blk_queue_flag_set" },
	{ 0x42aaf88a, "blk_queue_flag_clear" },
	{ 0x708d0832, "blk_queue_max_discard_sectors" },
	{ 0xdedb2ea5, "device_add_disk" },
	{ 0x3729936c, "sysfs_create_group" },
	{ 0x6fb35843, "set_disk_ro" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "6CF7E12C7CBFE90282C89CB");
