#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x419431e3, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xc2276c20, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0x0b07c52e, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0x0016e73c, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xb3a1d620, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaf7465eb, "__tracepoint_xdp_exception" },
	{ 0xbabe692d, "xsk_tx_completed" },
	{ 0x99508e6d, "alloc_etherdev_mqs" },
	{ 0x7941417a, "netdev_lower_get_next" },
	{ 0xed5de8db, "flow_block_cb_lookup" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9123df8e, "pci_save_state" },
	{ 0x1478df71, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x633869f1, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xbced4a26, "device_set_wakeup_enable" },
	{ 0x91041fcc, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1e441ec2, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x64adaed, "pci_find_ext_capability" },
	{ 0xce8a2fb4, "kthread_create_worker" },
	{ 0x4080c7c5, "bpf_prog_put" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x60ce406d, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xfddfa0ff, "devlink_unregister" },
	{ 0x8ba836a8, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x69dfc845, "devm_request_threaded_irq" },
	{ 0xf8bf36c4, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0x40ad7df8, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xe91ab1f1, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbed0640a, "call_switchdev_notifiers" },
	{ 0x67c024ae, "__napi_alloc_skb" },
	{ 0x544a8b45, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2097f954, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x864a21e5, "auxiliary_device_init" },
	{ 0x3600bb7d, "pci_enable_device_mem" },
	{ 0xc754562, "consume_skb" },
	{ 0xe4b45794, "kthread_delayed_work_timer_fn" },
	{ 0x22b7ce03, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x17088f7, "pci_alloc_irq_vectors" },
	{ 0xdd279790, "flow_rule_match_l2tpv3" },
	{ 0x7f2aa6e2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4793b38c, "xsk_tx_peek_release_desc_batch" },
	{ 0xeb8e8865, "pci_vfs_assigned" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x47ffbb34, "dmam_alloc_attrs" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0x76fa8155, "devl_lock" },
	{ 0x5dbcfb64, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9d5b84f8, "ndo_dflt_bridge_getlink" },
	{ 0xef4298a0, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x47705ead, "xdp_features_set_redirect_target" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x63d89c6, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x2bad2222, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9dd61859, "request_firmware" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0xe14262b8, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x3dc6aa8d, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8942d49c, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xca314dc7, "devlink_params_unregister" },
	{ 0x3d3d641f, "dma_sync_single_for_device" },
	{ 0x801a367c, "pci_num_vf" },
	{ 0x17694b39, "flow_rule_match_eth_addrs" },
	{ 0xc68cfe0d, "skb_add_rx_frag" },
	{ 0x7fa9dec7, "get_device_system_crosststamp" },
	{ 0x52c46b8b, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x22c1ed80, "ptp_clock_index" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2260f8a9, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x269393c9, "devlink_alloc_ns" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x13be3800, "devl_rate_leaf_destroy" },
	{ 0x9eee1374, "devlink_register" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x16a26b4e, "xdp_do_redirect" },
	{ 0x4474fa5c, "devlink_free" },
	{ 0xc6dd1903, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x60adaa43, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x176398cc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9ab8f85f, "devl_rate_node_create" },
	{ 0x1853c31d, "netdev_warn" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xc27e31ce, "udp_tunnel_nic_ops" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x4ca595fc, "pci_set_power_state" },
	{ 0x38362888, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x90d82292, "pci_irq_vector" },
	{ 0xb24070a5, "flow_rule_match_ipv4_addrs" },
	{ 0xba40b42c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8b2103c5, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x7c76da8d, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf125451c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x52621ecc, "pskb_expand_head" },
	{ 0x8d13d660, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x42ae80b8, "devlink_flash_update_status_notify" },
	{ 0x9b091cb0, "dev_driver_string" },
	{ 0x10cf14ca, "pci_restore_msi_state" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0x633d4174, "xdp_return_buff" },
	{ 0xfc974285, "dev_addr_mod" },
	{ 0x379f63e8, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x34b82561, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf7388e6e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2928b6f4, "dma_map_page_attrs" },
	{ 0x2f4a8539, "napi_complete_done" },
	{ 0xf78b2f36, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x44e33bb, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x9256ed10, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0x3fcd26e1, "devm_free_irq" },
	{ 0xb1ca1490, "net_dim" },
	{ 0x479346a0, "__napi_schedule" },
	{ 0x219d876c, "ipv6_skip_exthdr" },
	{ 0xf72ccbd2, "xsk_set_rx_need_wakeup" },
	{ 0x907e1bab, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x618911fc, "numa_node" },
	{ 0x9668f915, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xab537c0d, "__hw_addr_unsync_dev" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0x75cd80a0, "napi_gro_receive" },
	{ 0xa248e857, "xdp_features_clear_redirect_target" },
	{ 0x71318ca1, "netdev_pick_tx" },
	{ 0x94f2ea84, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xeed239d3, "xp_raw_get_dma" },
	{ 0x387f2799, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x39a283b7, "xdp_rxq_info_is_reg" },
	{ 0x99dfb60f, "flow_rule_match_enc_opts" },
	{ 0xcc23d7ae, "flow_block_cb_setup_simple" },
	{ 0xc0f99d87, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x46387e97, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x4dc1e9f4, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdb565801, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x70144ec8, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x1c9f4fa8, "vlan_dev_real_dev" },
	{ 0x75e7f707, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x96354a25, "devm_kmemdup" },
	{ 0x20e5187, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xa6ec1d6c, "devlink_port_unregister" },
	{ 0xeb28b9a, "devlink_flash_update_timeout_notify" },
	{ 0xe6f6c133, "devm_kfree" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0x9677725f, "init_net" },
	{ 0x5f5af02e, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xee9d0ae, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x75ac399, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x775c0bc6, "xp_dma_sync_for_cpu_slow" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x214d267b, "netif_set_real_num_tx_queues" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xcd7e5fe4, "__auxiliary_device_add" },
	{ 0x2cf70154, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xef1ae1d, "netif_set_real_num_rx_queues" },
	{ 0xd3db9005, "flow_indr_block_cb_alloc" },
	{ 0x524db72a, "pci_wait_for_pending_transaction" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xe1820e14, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbffe738, "pci_device_is_present" },
	{ 0x85c32643, "pci_read_config_word" },
	{ 0x191bcba, "pcie_flr" },
	{ 0x6d1cfb9a, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x18dadfcb, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xd4b75d02, "dcbnl_ieee_notify" },
	{ 0x6bb62df9, "xsk_uses_need_wakeup" },
	{ 0x2a6f69fe, "register_netdev" },
	{ 0xd8058a7a, "dev_mc_del" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xf7f85085, "free_netdev" },
	{ 0x281a9e6, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb3bbe115, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9c33c19d, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8d70d3bc, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x581430f1, "netif_tx_stop_all_queues" },
	{ 0xb7fa160d, "pci_restore_state" },
	{ 0xb6a530ae, "bpf_trace_run1" },
	{ 0x7d04c65, "netif_tx_wake_queue" },
	{ 0xb20c6812, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x3eabcb7, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x9ac7bbf6, "dcb_getapp" },
	{ 0x37e8c204, "dmam_free_coherent" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xbc78b671, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x426d9cf7, "ptp_clock_event" },
	{ 0xe7fb94bc, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf08534dc, "netif_schedule_queue" },
	{ 0xd7934ead, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xc95ea1d8, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9646bf51, "flow_rule_match_ipv6_addrs" },
	{ 0xd0021b7d, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9e02cd62, "ptp_clock_unregister" },
	{ 0xfff8623e, "__pskb_pull_tail" },
	{ 0x5e767448, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x99deb404, "rhashtable_destroy" },
	{ 0x8756589b, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbcd76996, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3873b47d, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb0597bb, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xa2989c9a, "flow_rule_match_pppoe" },
	{ 0xfcb6e460, "flow_rule_match_enc_control" },
	{ 0x7d7fc4dc, "bpf_trace_run3" },
	{ 0x51a48b6f, "__page_frag_cache_drain" },
	{ 0xf7cd648f, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb51f5ecc, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2fa172c2, "rps_may_expire_flow" },
	{ 0xa408dda2, "metadata_dst_free" },
	{ 0x98e1d7f1, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x39c4f5da, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x593e8b35, "devlink_params_register" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0xe1394788, "kthread_destroy_worker" },
	{ 0xb8ddd28b, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe19a38f2, "flow_rule_match_enc_ports" },
	{ 0x935d8098, "xdp_return_frame_bulk" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xbaee0e3c, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x22d16e28, "pcie_print_link_status" },
	{ 0xaa60ca88, "xp_set_rxq_info" },
	{ 0x795f41e4, "flow_rule_match_vlan" },
	{ 0xa27e19b6, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4be60bbb, "napi_build_skb" },
	{ 0x6080409d, "netdev_master_upper_dev_get_rcu" },
	{ 0x999906b3, "__xdp_rxq_info_reg" },
	{ 0x46df0e2, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb628d963, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4b21214, "devlink_priv" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x379788ef, "__hw_addr_sync_dev" },
	{ 0xb0d69f68, "devlink_port_register_with_ops" },
	{ 0xff5f7066, "pci_disable_sriov" },
	{ 0x5e0d8573, "pldmfw_flash_image" },
	{ 0x9f3b95fb, "kthread_queue_delayed_work" },
	{ 0x9be41de7, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe27d37ce, "dst_release" },
	{ 0xeb72d5, "netif_carrier_on" },
	{ 0x9b264d51, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdaeccf8e, "dev_uc_add_excl" },
	{ 0xe928dad3, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x78997dc2, "boot_cpu_data" },
	{ 0xb224116d, "xp_free" },
	{ 0x21a30b1d, "dev_mc_add_excl" },
	{ 0x46232c64, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xdfdb31b4, "netif_set_tso_max_size" },
	{ 0x80c8ae4b, "__skb_flow_dissect" },
	{ 0x56fd9fe5, "vlan_dev_vlan_id" },
	{ 0x93e2b283, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x4a739cd7, "pcim_iomap_table" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x186ad46b, "xdp_master_redirect" },
	{ 0x72817b91, "__devm_add_action" },
	{ 0x73309c6e, "napi_schedule_prep" },
	{ 0x79a5fd8e, "napi_consume_skb" },
	{ 0x3be4e0c5, "pci_read_config_byte" },
	{ 0x38bdf495, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xc881f3ab, "napi_disable" },
	{ 0x6bf2a657, "dev_kfree_skb_any_reason" },
	{ 0xd8bc84e8, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xd5c05c58, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x26a514f5, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x60b7f0f5, "pci_free_irq_vectors" },
	{ 0x26e6a4b9, "flow_rule_match_control" },
	{ 0x81750652, "flow_rule_match_ip" },
	{ 0xb700cc4, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x45882455, "skb_clone_tx_timestamp" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xa820b300, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d8241a7, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xe9aeaa6a, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xaf84d654, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D42FFDCF435E36C30FC91A9");
