#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46232c64, "dma_set_mask" },
	{ 0xcb0597bb, "dma_set_coherent_mask" },
	{ 0x754d539c, "strlen" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xde80cd09, "ioremap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a6f69fe, "register_netdev" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9e156082, "pci_enable_device" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2928b6f4, "dma_map_page_attrs" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9b091cb0, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x97364177, "__netdev_alloc_skb" },
	{ 0x3eabcb7, "dma_sync_single_for_cpu" },
	{ 0x3d3d641f, "dma_sync_single_for_device" },
	{ 0xbfafca53, "skb_put" },
	{ 0xf7388e6e, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6bf2a657, "dev_kfree_skb_any_reason" },
	{ 0x91041fcc, "__skb_pad" },
	{ 0x3873b47d, "__dynamic_netdev_dbg" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xf08534dc, "netif_schedule_queue" },
	{ 0x73626e31, "netif_tx_lock" },
	{ 0x7bee3eb3, "netif_tx_unlock" },
	{ 0x75cd80a0, "napi_gro_receive" },
	{ 0x2f4a8539, "napi_complete_done" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc881f3ab, "napi_disable" },
	{ 0x2966a8e4, "dma_free_attrs" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xb6150b12, "netdev_notice" },
	{ 0x1853c31d, "netdev_warn" },
	{ 0xda907567, "dma_alloc_attrs" },
	{ 0x6d1cfb9a, "napi_enable" },
	{ 0xf125451c, "netdev_err" },
	{ 0xe1820e14, "dev_close" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc6dd1903, "eth_validate_addr" },
	{ 0xb3bbe115, "ethtool_op_get_link" },
	{ 0xd5c05c58, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x8942d49c, "__pci_register_driver" },
	{ 0x79487e73, "pci_read_config_dword" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xfb578fc5, "memset" },
	{ 0x2bad2222, "dma_unmap_page_attrs" },
	{ 0xc754562, "consume_skb" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x40ad7df8, "pci_wake_from_d3" },
	{ 0x4ca595fc, "pci_set_power_state" },
	{ 0xef4298a0, "unregister_netdev" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xcb7967e0, "pci_release_regions" },
	{ 0xe928dad3, "pci_disable_device" },
	{ 0xf7f85085, "free_netdev" },
	{ 0xedc03953, "iounmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbced4a26, "device_set_wakeup_enable" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x261618d5, "pci_find_capability" },
	{ 0x6aa5f040, "pci_write_config_word" },
	{ 0x85c32643, "pci_read_config_word" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa11e5a80, "pci_write_config_dword" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7c76da8d, "pci_unregister_driver" },
	{ 0x99508e6d, "alloc_etherdev_mqs" },
	{ 0x7f2aa6e2, "netif_napi_add_weight" },
	{ 0xfc974285, "dev_addr_mod" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xeb72d5, "netif_carrier_on" },
	{ 0x7d04c65, "netif_tx_wake_queue" },
	{ 0xe9aeaa6a, "netdev_info" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x163465e6, "netdev_printk" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x76f1002e, "_dev_err" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xb628d963, "netif_carrier_off" },
	{ 0xc84336ed, "mod_timer" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x73309c6e, "napi_schedule_prep" },
	{ 0x479346a0, "__napi_schedule" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4e77100a, "pci_request_regions" },
	{ 0xc95ea1d8, "pci_set_master" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010B7d00001700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010B7d000080EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00004300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001148d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004B01sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004C00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001186d00004302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000011ABd00005005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001371d0000434Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001737d00001064sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001737d00001032sv*sd00000015bc*sc*i*");

MODULE_INFO(srcversion, "EB1D431610F28F4F0D12F06");
