#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x240113b8, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xd13ef98b, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xe48b2021, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xa8e6eccc, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xf0c94e5b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4eea7d, "__do_once_done" },
	{ 0x55e3762b, "ip6_route_input_lookup" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xa018e879, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x1b7cbaea, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x20a0ad15, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7ed0c65c, "netdev_update_features" },
	{ 0xc754562, "consume_skb" },
	{ 0x4c49d887, "ip6_local_out" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x5f27ba09, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xcca9899b, "rtnl_link_register" },
	{ 0xd4aa6f33, "netif_inherit_tso_max" },
	{ 0xf90abe56, "eth_header_cache" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xfa95ec6f, "ip_route_output_flow" },
	{ 0x8370892, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2ffcfd01, "dev_uc_unsync" },
	{ 0xecf37b57, "ether_setup" },
	{ 0xf125451c, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcc7823cf, "netdev_upper_dev_link" },
	{ 0x64fe5b19, "register_pernet_subsys" },
	{ 0xfc974285, "dev_addr_mod" },
	{ 0xd6e406e2, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7ed626b4, "eth_header_parse" },
	{ 0x38c095e9, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd16429e7, "eth_header_cache_update" },
	{ 0xe119d9e1, "nf_register_net_hooks" },
	{ 0xa640b2f7, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfe154fe0, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x8ab12cac, "__dev_get_by_index" },
	{ 0x4af0b4b8, "rtnl_link_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8b5c6961, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x86a10178, "netif_stacked_transfer_operstate" },
	{ 0x1f598b11, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xedfac2b5, "netdev_upper_dev_unlink" },
	{ 0xec183358, "nla_put" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75a1f34b, "ns_capable" },
	{ 0x4802fca6, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb3bbe115, "ethtool_op_get_link" },
	{ 0xa548d4fd, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb9889e9a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfff8623e, "__pskb_pull_tail" },
	{ 0xe18508c9, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x535943bf, "skb_scrub_packet" },
	{ 0xdd64e639, "strscpy" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x5963a01b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65a6c5ee, "vlan_vid_add" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xbaee0e3c, "call_netdevice_notifiers" },
	{ 0xd673ce68, "vlan_vid_del" },
	{ 0xff43722a, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xab3a8205, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe27d37ce, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe456bc08, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x83cc2cb9, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x5aaf1975, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x434ec120, "dev_change_flags" },
	{ 0x74909b08, "dev_forward_skb" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x42b419d, "register_netdevice" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B82B76A4896558897CBD30F");
