#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x214d267b, "netif_set_real_num_tx_queues" },
	{ 0xef1ae1d, "netif_set_real_num_rx_queues" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdffb9f5, "eth_prepare_mac_addr_change" },
	{ 0x3384d4ba, "eth_commit_mac_addr_change" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x73626e31, "netif_tx_lock" },
	{ 0x606829a7, "netif_device_detach" },
	{ 0x7bee3eb3, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x42c19aa2, "__put_devmap_managed_page_refs" },
	{ 0x2a599527, "__folio_put" },
	{ 0xa34b3e9b, "dump_page" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x67c024ae, "__napi_alloc_skb" },
	{ 0xbfafca53, "skb_put" },
	{ 0xc68cfe0d, "skb_add_rx_frag" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbab9c0fd, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x80c8ae4b, "__skb_flow_dissect" },
	{ 0xfff8623e, "__pskb_pull_tail" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x7f2aa6e2, "netif_napi_add_weight" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x1488be07, "virtqueue_enable_cb_delayed" },
	{ 0x62d0cf35, "virtqueue_add_outbuf" },
	{ 0xa9a7dae7, "virtqueue_kick_prepare" },
	{ 0x3f113df2, "virtqueue_notify" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x16a26b4e, "xdp_do_redirect" },
	{ 0x186ad46b, "xdp_master_redirect" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5dbcfb64, "bpf_warn_invalid_xdp_action" },
	{ 0xaf7465eb, "__tracepoint_xdp_exception" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8ab5a2b5, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x3873b47d, "__dynamic_netdev_dbg" },
	{ 0x94406556, "xdp_return_frame_rx_napi" },
	{ 0x77bf4df2, "virtqueue_set_dma_premapped" },
	{ 0xf4748645, "virtqueue_dma_unmap_single_attrs" },
	{ 0xe8f00137, "virtqueue_dma_sync_single_range_for_cpu" },
	{ 0x99508e6d, "alloc_etherdev_mqs" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfc974285, "dev_addr_mod" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0x42b419d, "register_netdevice" },
	{ 0xef08c541, "net_failover_destroy" },
	{ 0x7270ff9c, "virtio_reset_device" },
	{ 0xf7f85085, "free_netdev" },
	{ 0xef4298a0, "unregister_netdev" },
	{ 0x8e9963d2, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xeae329b9, "skb_page_frag_refill" },
	{ 0xc0000726, "virtqueue_dma_map_single_attrs" },
	{ 0xf5a5e66f, "virtqueue_dma_mapping_error" },
	{ 0xf653fb85, "virtqueue_dma_need_sync" },
	{ 0xe76b2845, "virtqueue_get_buf_ctx" },
	{ 0x48f8d654, "alloc_pages" },
	{ 0x9668f915, "__free_pages" },
	{ 0x768a8a7b, "bpf_prog_add" },
	{ 0x8e03553f, "bpf_prog_sub" },
	{ 0x6d1cfb9a, "napi_enable" },
	{ 0x4080c7c5, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa248e857, "xdp_features_clear_redirect_target" },
	{ 0x163465e6, "netdev_printk" },
	{ 0x47705ead, "xdp_features_set_redirect_target" },
	{ 0x1853c31d, "netdev_warn" },
	{ 0xb45c67e1, "virtqueue_add_inbuf" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x1cdaeea3, "skb_to_sgvec" },
	{ 0x5f5af02e, "softnet_data" },
	{ 0x45882455, "skb_clone_tx_timestamp" },
	{ 0xe91ab1f1, "skb_tstamp_tx" },
	{ 0x6bf2a657, "dev_kfree_skb_any_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xff783c24, "virtqueue_add_inbuf_ctx" },
	{ 0x379f63e8, "xdp_rxq_info_reg_mem_model" },
	{ 0x999906b3, "__xdp_rxq_info_reg" },
	{ 0xf38fcdc6, "virtqueue_resize" },
	{ 0xf995ba0, "skb_coalesce_rx_frag" },
	{ 0xe78fb699, "__alloc_skb" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf7388e6e, "eth_type_trans" },
	{ 0x75cd80a0, "napi_gro_receive" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7694a67b, "virtqueue_detach_unused_buf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x743f8b80, "netif_device_attach" },
	{ 0xeeb460ec, "passthru_features_check" },
	{ 0xc6dd1903, "eth_validate_addr" },
	{ 0xb3bbe115, "ethtool_op_get_link" },
	{ 0x7d8241a7, "ethtool_op_get_ts_info" },
	{ 0xfdacc33, "param_ops_bool" },
	{ 0xd5c05c58, "param_ops_int" },
	{ 0x8d70d3bc, "__SCK__tp_func_xdp_exception" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x79a5fd8e, "napi_consume_skb" },
	{ 0xcc1eac46, "virtqueue_get_buf" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xee9d0ae, "xdp_return_frame" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xac1f2f42, "virtqueue_disable_cb" },
	{ 0x9f83d4dd, "virtqueue_enable_cb_prepare" },
	{ 0x2f4a8539, "napi_complete_done" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3dff11d, "virtqueue_poll" },
	{ 0x7d04c65, "netif_tx_wake_queue" },
	{ 0x73309c6e, "napi_schedule_prep" },
	{ 0x479346a0, "__napi_schedule" },
	{ 0x3a7d3d7b, "virtqueue_get_vring_size" },
	{ 0xc754562, "consume_skb" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xba40b42c, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x2c9dd755, "ethtool_virtdev_set_link_ksettings" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xf125451c, "netdev_err" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0xe565cce9, "register_virtio_driver" },
	{ 0x2401a456, "unregister_virtio_driver" },
	{ 0xe2771106, "build_skb" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xc881f3ab, "napi_disable" },
	{ 0xa27e19b6, "xdp_rxq_info_unreg" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe6dea2e5, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x401fcf45, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xce1dc5a0, "virtqueue_add_sgs" },
	{ 0x3788186, "virtqueue_kick" },
	{ 0x53605195, "virtqueue_is_broken" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xeb72d5, "netif_carrier_on" },
	{ 0xb628d963, "netif_carrier_off" },
	{ 0x581430f1, "netif_tx_stop_all_queues" },
	{ 0xdf3144fc, "netdev_notify_peers" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "2F9E4E9AE7CFB35686449C8");
