#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x864fcf79, "cxgbi_hbas_add" },
	{ 0xf1a5528, "cxgb4_unregister_uld" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x6eaf61e, "cxgbi_iscsi_cleanup" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xe78fb699, "__alloc_skb" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x66314102, "cxgbi_sock_skb_entail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7bfb8553, "cxgbi_sock_free_cpl_skbs" },
	{ 0x34376c48, "___pskb_trim" },
	{ 0x4d235a4e, "cxgbi_conn_pdu_ready" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa856cb24, "module_put" },
	{ 0xad35f583, "cxgbi_sock_fail_act_open" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x37a0cba, "kfree" },
	{ 0xe75f1da, "cxgb4_remove_tid" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xdfc4a3ae, "cxgbi_sock_closed" },
	{ 0x7c760371, "cxgbi_sock_purge_wr_queue" },
	{ 0x962ae243, "cxgb4_l2t_release" },
	{ 0xe1ca26d4, "cxgb4_free_atid" },
	{ 0xd149b20f, "cxgb4_clip_release" },
	{ 0x9edc5681, "timer_delete" },
	{ 0x2aa9e7ec, "cxgbi_sock_established" },
	{ 0x2a042045, "cxgbi_conn_tx_open" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x7b5c336e, "cxgb4_pktgl_to_skb" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4df20179, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xfc96a47, "cxgb4_alloc_atid" },
	{ 0xa8d31279, "cxgb4_l2t_get" },
	{ 0xd69a0294, "cxgb4_best_mtu" },
	{ 0xb75d626, "cxgb4_port_chan" },
	{ 0x41ae463e, "cxgb4_port_idx" },
	{ 0xfba7e35e, "try_module_get" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x762c23b8, "__neigh_event_send" },
	{ 0x67155c5e, "ip6_mtu" },
	{ 0x7b556892, "neigh_destroy" },
	{ 0x61acbc7b, "cxgb4_clip_get" },
	{ 0xcd567f73, "ipv4_mtu" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdeaa650, "cxgbi_create_session" },
	{ 0x1ed01a7d, "cxgbi_destroy_session" },
	{ 0x8eafe64b, "cxgbi_create_conn" },
	{ 0xacc26c2c, "iscsi_conn_unbind" },
	{ 0xa47bcd5e, "cxgbi_bind_conn" },
	{ 0x4beb1d24, "iscsi_conn_start" },
	{ 0xb992e63e, "iscsi_conn_stop" },
	{ 0x1785aecc, "iscsi_tcp_conn_teardown" },
	{ 0xde6fd1de, "cxgbi_set_conn_param" },
	{ 0xefb04d07, "cxgbi_get_ep_param" },
	{ 0xd7ae3428, "iscsi_conn_get_param" },
	{ 0x1c53d21d, "iscsi_session_get_param" },
	{ 0x50863f5a, "cxgbi_get_host_param" },
	{ 0x7c32e7e, "cxgbi_set_host_param" },
	{ 0x2ecb1682, "iscsi_conn_send_pdu" },
	{ 0x4a93f49c, "cxgbi_get_conn_stats" },
	{ 0x731f8914, "iscsi_tcp_task_init" },
	{ 0x6fe6acd0, "iscsi_tcp_task_xmit" },
	{ 0x3596309f, "cxgbi_cleanup_task" },
	{ 0xcdd12eef, "cxgbi_conn_alloc_pdu" },
	{ 0xbbe9f5a5, "cxgbi_conn_xmit_pdu" },
	{ 0xfc958235, "cxgbi_conn_init_pdu" },
	{ 0xe3646ac4, "cxgbi_parse_pdu_itt" },
	{ 0xfc2df4a1, "iscsi_session_recovery_timedout" },
	{ 0x36fa074d, "cxgbi_ep_connect" },
	{ 0xf0e92821, "cxgbi_ep_poll" },
	{ 0xd8c9b100, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0x116b03b4, "iscsi_queuecommand" },
	{ 0x12cc7110, "iscsi_eh_abort" },
	{ 0x9acdec7, "iscsi_eh_device_reset" },
	{ 0x4922a84d, "iscsi_eh_recover_target" },
	{ 0xe3906ff4, "iscsi_target_alloc" },
	{ 0x59cad60a, "scsi_change_queue_depth" },
	{ 0x75e69716, "iscsi_eh_cmd_timed_out" },
	{ 0x4e9d8334, "param_ops_ushort" },
	{ 0x7ba82a13, "param_ops_uint" },
	{ 0xd5c05c58, "param_ops_int" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x122c3a7e, "_printk" },
	{ 0x76970422, "cxgbi_iscsi_init" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0xdeda86eb, "cxgb4_register_uld" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x2f456e49, "cxgbi_device_unregister" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xb46a5e38, "cxgbi_sock_rcv_wr_ack" },
	{ 0xf1eeaba7, "__kfree_skb" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x33495404, "cxgb4_ofld_send" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x1f598b11, "kfree_skb_reason" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xa6257a2f, "complete" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x46e60704, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x77e9c872, "cxgbi_sock_rcv_abort_rpl" },
	{ 0xe5af3a1f, "cxgbi_sock_rcv_peer_close" },
	{ 0x33b7859b, "cxgb4_select_ntuple" },
	{ 0xfc1d3e16, "cxgb4_l2t_send" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfb578fc5, "memset" },
	{ 0xfcea88e, "cxgbi_ddp_ppm_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd4b8d916, "cxgbi_device_register" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcc7dc147, "cxgbi_device_portmap_create" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "libcxgbi,cxgb4,libiscsi,libiscsi_tcp");


MODULE_INFO(srcversion, "4E0025AE3FC5F365D2C0C5C");
