#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qlt_unreg_sess, "", "");
KSYMTAB_FUNC(qlt_stop_phase1, "", "");
KSYMTAB_FUNC(qlt_stop_phase2, "", "");
KSYMTAB_FUNC(qlt_free_mcmd, "", "");
KSYMTAB_FUNC(qlt_xmit_tm_rsp, "", "");
KSYMTAB_FUNC(qlt_xmit_response, "", "");
KSYMTAB_FUNC(qlt_rdy_to_xfer, "", "");
KSYMTAB_FUNC(qlt_abort_cmd, "", "");
KSYMTAB_FUNC(qlt_free_cmd, "", "");
KSYMTAB_FUNC(qlt_lport_register, "", "");
KSYMTAB_FUNC(qlt_lport_deregister, "", "");
KSYMTAB_FUNC(qlt_enable_vha, "", "");

SYMBOL_CRC(qlt_unreg_sess, 0x0acd5443, "");
SYMBOL_CRC(qlt_stop_phase1, 0xf60e9775, "");
SYMBOL_CRC(qlt_stop_phase2, 0x91a75354, "");
SYMBOL_CRC(qlt_free_mcmd, 0x30dc1e3a, "");
SYMBOL_CRC(qlt_xmit_tm_rsp, 0x686e2fbc, "");
SYMBOL_CRC(qlt_xmit_response, 0xa3da01f1, "");
SYMBOL_CRC(qlt_rdy_to_xfer, 0xb39861bc, "");
SYMBOL_CRC(qlt_abort_cmd, 0x76a0d8a9, "");
SYMBOL_CRC(qlt_free_cmd, 0x75bc61b9, "");
SYMBOL_CRC(qlt_lport_register, 0x29467c81, "");
SYMBOL_CRC(qlt_lport_deregister, 0xafb3a060, "");
SYMBOL_CRC(qlt_enable_vha, 0x0ca8215d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3d4e8e3c, "param_ops_ullong" },
	{ 0xe914e41e, "strcpy" },
	{ 0x9123df8e, "pci_save_state" },
	{ 0xcfe28e3f, "btree_last" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x26bbd439, "pcie_capability_read_word" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x25ab4c7, "fc_attach_transport" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcdbf5a3f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3a04602, "btree_geo64" },
	{ 0x789086fe, "debugfs_attr_write" },
	{ 0x7ba82a13, "param_ops_uint" },
	{ 0x44ecd314, "dma_pool_create" },
	{ 0xbfec9f00, "pci_request_selected_regions" },
	{ 0x1537d04d, "pci_release_selected_regions" },
	{ 0x8a9cf5a7, "nvme_fc_set_remoteport_devloss" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9e156082, "pci_enable_device" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x3600bb7d, "pci_enable_device_mem" },
	{ 0xb37eb87c, "bsg_job_done" },
	{ 0x99ed891c, "btree_insert" },
	{ 0x17088f7, "pci_alloc_irq_vectors" },
	{ 0xc35d8eee, "fc_remote_port_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0x80d4ff63, "scsi_remove_host" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb2b0278d, "scsi_build_sense" },
	{ 0x2bad2222, "dma_unmap_page_attrs" },
	{ 0x2aabcdc8, "vmalloc_array" },
	{ 0x9dd61859, "request_firmware" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdf7a6ec5, "fc_remove_host" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8942d49c, "__pci_register_driver" },
	{ 0x67b45f6b, "set_user_nice" },
	{ 0x3d3d641f, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x90aa5c7d, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4e77100a, "pci_request_regions" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeba6aa17, "scsi_dma_unmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0xf89ac26d, "seq_lseek" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x126b008, "pci_clear_mwi" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x176398cc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0x28abe9b3, "fc_eh_timed_out" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc86e3ad4, "btree_remove" },
	{ 0x90d82292, "pci_irq_vector" },
	{ 0x148653, "vsnprintf" },
	{ 0xf66ffad9, "pci_try_set_mwi" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x39b8860e, "kmem_cache_create" },
	{ 0xfde29017, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbb0e18a6, "nvme_fc_rcv_ls_req" },
	{ 0xae9191a7, "mempool_free" },
	{ 0x7c76da8d, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc8b9e25a, "wake_up_process" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9b091cb0, "dev_driver_string" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0xfb87f9c1, "trace_array_put" },
	{ 0x79487e73, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2928b6f4, "dma_map_page_attrs" },
	{ 0x3e671dc3, "irq_set_affinity_notifier" },
	{ 0x1bc74069, "blk_mq_pci_map_queues" },
	{ 0x648be278, "fc_block_scsi_eh" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xf331236f, "btree_geo32" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xef447190, "fc_remote_port_delete" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb6d5a735, "scsi_host_get" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x273c6573, "timer_shutdown" },
	{ 0x129d4770, "fc_host_post_event" },
	{ 0xdf008fe9, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6e98c45d, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x830f8240, "fc_release_transport" },
	{ 0xd6a35a24, "pci_set_mwi" },
	{ 0x56ff412f, "btree_lookup" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x261618d5, "pci_find_capability" },
	{ 0x61651be, "strcat" },
	{ 0xad67d611, "debugfs_attr_read" },
	{ 0x2bae50aa, "btree_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xdf0ca6ec, "kobject_uevent_env" },
	{ 0x75e7f707, "pci_clear_master" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0x998aea10, "blk_queue_update_dma_alignment" },
	{ 0xe1f851d2, "fc_vport_create" },
	{ 0x8981873c, "scsi_host_put" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7bd9a72d, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xc11cc822, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x168816a5, "noop_llseek" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1f813c2d, "fc_remote_port_rolechg" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84af0f58, "kmem_cache_free" },
	{ 0xda907567, "dma_alloc_attrs" },
	{ 0xa307aca0, "scsi_scan_host" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfca9dc99, "nvme_fc_unregister_remoteport" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0xf7555410, "debugfs_remove" },
	{ 0x85c32643, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x57b196f9, "seq_putc" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf6522368, "fc_vport_terminate" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa1627b1c, "fc_block_rport" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3f273cff, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbe1e3058, "trace_array_get_by_name" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x6eecfaf4, "sg_copy_buffer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7fa160d, "pci_restore_state" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x11abf475, "pci_alloc_irq_vectors_affinity" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x127b769b, "scsi_is_host_device" },
	{ 0xc95ea1d8, "pci_set_master" },
	{ 0x6313df37, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4db424b9, "dma_get_required_mask" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce94f3, "blk_mq_unique_tag" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfed66306, "kthread_create_on_node" },
	{ 0xcb0597bb, "dma_set_coherent_mask" },
	{ 0x9906e9dc, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8d6420af, "trace_array_set_clr_event" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x375f8bbd, "fc_get_event_number" },
	{ 0xb0c144b8, "debugfs_create_file" },
	{ 0x2966a8e4, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x2e25d0f, "fc_host_fpin_rcv" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xdd18dfa2, "btree_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x5417e9aa, "scmd_printk" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x3fae45d0, "btree_update" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf2314403, "pci_write_config_byte" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf5593b54, "__register_chrdev" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x72d377c5, "fc_eh_should_retry_cmd" },
	{ 0x7ed59931, "pcie_capability_read_dword" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe99cf845, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3884f8b8, "nvme_fc_unregister_localport" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x249c2e21, "scsi_is_fc_rport" },
	{ 0xe928dad3, "pci_disable_device" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc903e9b1, "seq_puts" },
	{ 0x8e7a193b, "scsi_done" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x3482687, "btree_get_prev" },
	{ 0xf919ba25, "single_release" },
	{ 0x8953fafd, "scsi_unblock_requests" },
	{ 0x604b186d, "pcie_set_readrq" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x46232c64, "dma_set_mask" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xbe08f207, "pci_disable_rom" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x36cd681d, "dma_unmap_sg_attrs" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xfdffa4d, "pci_irq_get_affinity" },
	{ 0x17af24db, "scsi_block_requests" },
	{ 0xf3466522, "scsi_add_host_with_dma" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x3be4e0c5, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0xd5c05c58, "param_ops_int" },
	{ 0xd12e564, "nvme_fc_register_remoteport" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb1fbeaec, "single_open" },
	{ 0x6aa02b7a, "scsi_host_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x69c23149, "debugfs_create_dir" },
	{ 0x6aa5f040, "pci_write_config_word" },
	{ 0x90c7934c, "sysfs_remove_bin_file" },
	{ 0x60b7f0f5, "pci_free_irq_vectors" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x47b4b882, "nvme_fc_register_localport" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x59cad60a, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3005e963, "pcix_set_mmrbc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xf333d55, "kmem_cache_destroy" },
	{ 0x6883ed2a, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_fc,nvme-fc");

MODULE_ALIAS("pci:v00001077d00002100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002300sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00006322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005422sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00005432sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002532sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008031sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d0000F001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002071sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002271sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002261sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002061sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002281sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00002289sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5A06F0D904DCA675DB1FD0C");
