#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sdw_cdns_config_update, "", "");
KSYMTAB_FUNC(sdw_cdns_config_update_set_wait, "", "");
KSYMTAB_FUNC(sdw_cdns_debugfs_init, "_gpl", "");
KSYMTAB_FUNC(cdns_xfer_msg, "", "");
KSYMTAB_FUNC(cdns_xfer_msg_defer, "", "");
KSYMTAB_FUNC(cdns_read_ping_status, "", "");
KSYMTAB_FUNC(sdw_cdns_irq, "", "");
KSYMTAB_FUNC(sdw_cdns_check_self_clearing_bits, "", "");
KSYMTAB_FUNC(sdw_cdns_exit_reset, "", "");
KSYMTAB_FUNC(sdw_cdns_enable_interrupt, "", "");
KSYMTAB_FUNC(sdw_cdns_pdi_init, "", "");
KSYMTAB_FUNC(sdw_cdns_init, "", "");
KSYMTAB_FUNC(cdns_bus_conf, "", "");
KSYMTAB_FUNC(sdw_cdns_is_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_stop, "", "");
KSYMTAB_FUNC(sdw_cdns_clock_restart, "", "");
KSYMTAB_FUNC(sdw_cdns_probe, "", "");
KSYMTAB_FUNC(cdns_set_sdw_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_config_stream, "", "");
KSYMTAB_FUNC(sdw_cdns_alloc_pdi, "", "");

SYMBOL_CRC(sdw_cdns_config_update, 0x9b9d5d49, "");
SYMBOL_CRC(sdw_cdns_config_update_set_wait, 0xf62f4aa0, "");
SYMBOL_CRC(sdw_cdns_debugfs_init, 0xf9ca8571, "_gpl");
SYMBOL_CRC(cdns_xfer_msg, 0x5351fd98, "");
SYMBOL_CRC(cdns_xfer_msg_defer, 0x68d509b6, "");
SYMBOL_CRC(cdns_read_ping_status, 0x5d967c9c, "");
SYMBOL_CRC(sdw_cdns_irq, 0x34712074, "");
SYMBOL_CRC(sdw_cdns_check_self_clearing_bits, 0xd0be2e96, "");
SYMBOL_CRC(sdw_cdns_exit_reset, 0xafcbee75, "");
SYMBOL_CRC(sdw_cdns_enable_interrupt, 0xc9ed810f, "");
SYMBOL_CRC(sdw_cdns_pdi_init, 0x4afad574, "");
SYMBOL_CRC(sdw_cdns_init, 0xeec5a95c, "");
SYMBOL_CRC(cdns_bus_conf, 0xaa1271bf, "");
SYMBOL_CRC(sdw_cdns_is_clock_stop, 0x92611dc0, "");
SYMBOL_CRC(sdw_cdns_clock_stop, 0xa0eddd4c, "");
SYMBOL_CRC(sdw_cdns_clock_restart, 0xbcb7066b, "");
SYMBOL_CRC(sdw_cdns_probe, 0x340708bf, "");
SYMBOL_CRC(cdns_set_sdw_stream, 0x0d650406, "");
SYMBOL_CRC(sdw_cdns_config_stream, 0xe47afc99, "");
SYMBOL_CRC(sdw_cdns_alloc_pdi, 0x0f4b5aa8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xf614d38f, "sdw_bus_prep_clk_stop" },
	{ 0xcdbf5a3f, "simple_attr_open" },
	{ 0x789086fe, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xc435fab4, "sdw_bus_clk_stop" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xf89ac26d, "seq_lseek" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x6c5f61bc, "sdw_handle_slave_status" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xad67d611, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7bd9a72d, "simple_attr_release" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x742255cb, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9906e9dc, "seq_read" },
	{ 0xb0c144b8, "debugfs_create_file" },
	{ 0x9acfb843, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xe99cf845, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf919ba25, "single_release" },
	{ 0x7041db0, "sdw_bread_no_pm_unlocked" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x79861091, "__pm_runtime_suspend" },
	{ 0xd5c05c58, "param_ops_int" },
	{ 0xb1fbeaec, "single_open" },
	{ 0x65397dea, "sdw_bus_exit_clk_stop" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus");


MODULE_INFO(srcversion, "7BA28D422E1C8D3BB32A149");
