#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x297abdde, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x914f0e48, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xb98f6a6e, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xa829623f, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x514f9aff, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x967a9967, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xc9c4bad0, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xf0300f58, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x2ed237cb, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xc98c1b91, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x7591142b, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x67103e3b, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x716f9654, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x970d5ac9, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xfd89d1be, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x57c95bc0, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xb6e74261, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x3286a2c7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xa4ce2e50, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x563a0bee, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x3acff40a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x0003aab3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xa9b0cfc5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x2a017a91, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xaa0973cc, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x36b8606d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x6da89c8b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xad85a253, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x366499e7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x45fad78f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xffc90d78, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xcd6d4bf2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x3faa8f41, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xb31979bb, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x117cba46, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x6530897b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0xeab3167f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xf586a504, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x7101fd3f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xf5e60d18, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x6629257f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x1d9978c4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x091d4567, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x097a7ed2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x8690a4ed, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xf3b8feff, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xe499d1e5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x26f2bdcb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x5c293bd6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xc722e385, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x7d488520, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x6503adfd, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xa95f1134, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x31fc9b6a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xf8288b0a, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xbc9cc3b4, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x366de5db, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x58e4696b, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xa0134314, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x89a10ebd, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x622a7e2e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x1ed3c746, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xec49d18f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x36ed0dff, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xbcdcf938, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xac8511c2, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x6e0aabf8, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xe08f86f5, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x22d216c7, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xa0accd25, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x37656dc0, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xb341381e, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x082ccd62, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xfbc93bda, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x8d1152ce, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x2979b053, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x4df00271, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xadb51a7a, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xfd695ebe, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x4af403ba, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x47f2a4fe, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x073a40f1, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x5193afe4, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xe94afbbe, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xa04e7d37, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x8ae6eaa4, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x7222ab1b, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x9ee8acdc, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x9ab603b3, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0xaedbbdaf, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0xcd21a729, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x928055c0, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x2ef70541, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x6b06f46f, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0xbd6b9714, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x2a0bdf2d, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0x69a1440a, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x655a019d, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xede924d2, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xece97fff, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x4622852e, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x44b060b6, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xa2e80d8b, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x0aa59840, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x7a84fbb9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2439d7d1, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x999fc54d, "generic_copy_file_range" },
	{ 0xadbd9806, "svc_generic_rpcbind_set" },
	{ 0x72bbbf8d, "nfs_clone_server" },
	{ 0x2f823ac4, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x95f78817, "filemap_fdatawrite" },
	{ 0x495e6393, "nfs_show_stats" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x23a83138, "nfs_server_remove_lists" },
	{ 0x24514f16, "nfs42_ssc_unregister" },
	{ 0x7b97b038, "generic_listxattr" },
	{ 0xfba7e35e, "try_module_get" },
	{ 0x69743ef1, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf7125231, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xa000148, "clear_inode" },
	{ 0xb656ece4, "inode_to_bdi" },
	{ 0x76758d05, "bpf_trace_run4" },
	{ 0x7d2ceaa5, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7ba82a13, "param_ops_uint" },
	{ 0xcbdf835e, "user_revoke" },
	{ 0x1cdb08bd, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xde402560, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0xa5c518d5, "nfs_mark_client_ready" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe17ccbb7, "rpc_clnt_probe_trunked_xprts" },
	{ 0xa8977c19, "nfs_pageio_reset_read_mds" },
	{ 0x4ba758a8, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x7f47ec2c, "rpc_shutdown_client" },
	{ 0xef551502, "svc_bind" },
	{ 0xb2613a43, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xb1486a84, "nfs_free_inode" },
	{ 0x14a01ee6, "nfs_access_zap_cache" },
	{ 0xaeb6bcc3, "nfs_sb_deactive" },
	{ 0x40327cf0, "nfs_wb_all" },
	{ 0xbc6f5fab, "__break_lease" },
	{ 0x5a75035d, "nfs_pageio_init_write" },
	{ 0x95daf13e, "svc_recv" },
	{ 0x9205cd64, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x3867f0ff, "xdr_inline_decode" },
	{ 0xa34b3e9b, "dump_page" },
	{ 0x4377b35e, "nfs_pageio_init_read" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0x65cbbfd3, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xaa1a5910, "nfs_init_commit" },
	{ 0x486b2a10, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc204741b, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x24178cb, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x2407d0e8, "nfs_mknod" },
	{ 0xd1804e59, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7006e97b, "nfs4_label_alloc" },
	{ 0x6eca2e7a, "rpc_localaddr" },
	{ 0x6ef75f09, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0xd1d66fe, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x22bee8fa, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0x38ac36ab, "unregister_key_type" },
	{ 0x80930b4a, "nfs_client_init_is_complete" },
	{ 0x25c5e4a9, "nfs_file_splice_read" },
	{ 0xc54e6f0d, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a01d5d, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xea8efb58, "ihold" },
	{ 0x7da249ea, "truncate_pagecache_range" },
	{ 0x86fee20c, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8088e86, "invalidate_inode_pages2_range" },
	{ 0x6cbd158f, "nfs_post_op_update_inode" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x6509ebe5, "svc_exit_thread" },
	{ 0x2538fe84, "iput" },
	{ 0x3737faca, "xdr_set_pagelen" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x9564dbd8, "nfs_pgio_header_free" },
	{ 0x875cb387, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x1173a4e1, "logfc" },
	{ 0x91d1b9da, "nfs_pgio_header_alloc" },
	{ 0x42c19aa2, "__put_devmap_managed_page_refs" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd6ffe326, "iter_file_splice_write" },
	{ 0x477dea3c, "rpc_pton" },
	{ 0xfa2f4e1, "nfs_sb_active" },
	{ 0x89fc88cf, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xbc94dfb6, "rpc_wake_up_queued_task" },
	{ 0x176398cc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb4e98403, "xdr_stream_zero" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xbc420cf4, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe3f45267, "_copy_from_pages" },
	{ 0xe866afb7, "__module_get" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x39b8860e, "kmem_cache_create" },
	{ 0xbfcb665e, "rpc_task_release_transport" },
	{ 0x2954600, "xdr_page_pos" },
	{ 0x2e1772d3, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x4cccfdfa, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc40bb154, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x94e33833, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc6c6214d, "register_key_type" },
	{ 0x7a3bd4c6, "rpc_sleep_on" },
	{ 0x8abd8670, "rpc_run_task" },
	{ 0xb5ad70bc, "nfs_pageio_resend" },
	{ 0xb9108c42, "keyring_alloc" },
	{ 0x309cd70d, "vfs_setpos" },
	{ 0x4c37e5cf, "nfs_create" },
	{ 0x4c707a10, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f096d07, "__put_cred" },
	{ 0x22d1779d, "swapcache_mapping" },
	{ 0x48358a8a, "nfs_statfs" },
	{ 0xc8b9e25a, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xa7da53c0, "rpc_max_bc_payload" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x19e31485, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x334a3958, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb666a19a, "nfs_mkdir" },
	{ 0xe90cb2a4, "nfs_revalidate_inode" },
	{ 0xbc67ac89, "inode_newsize_ok" },
	{ 0xf70e823b, "nfs_file_mmap" },
	{ 0x34b3a49c, "nfs_get_lock_context" },
	{ 0xa98b0b59, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3a6ac2bd, "nfs_set_cache_invalid" },
	{ 0xc332f5fa, "rpc_release_client" },
	{ 0xc88ce012, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf7ec2534, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xde214e4c, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x43ace61f, "nfs_generic_pgio" },
	{ 0xd55d8c17, "make_kuid" },
	{ 0x21821576, "truncate_inode_pages_final" },
	{ 0x49b7250b, "generic_setlease" },
	{ 0x962e04c, "xprt_destroy_backchannel" },
	{ 0x85a32d5e, "rpc_switch_client_transport" },
	{ 0xf82c9ac0, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0x140be73b, "nfs_scan_commit_list" },
	{ 0x94381224, "xdr_stream_decode_string_dup" },
	{ 0xccd6b548, "nfs_commit_inode" },
	{ 0x626d28c1, "locks_init_lock" },
	{ 0x4dd08ed2, "unregister_shrinker" },
	{ 0xbd2edfd4, "rpc_destroy_pipe_data" },
	{ 0xdfbd715, "nfs_get_client" },
	{ 0x9668f915, "__free_pages" },
	{ 0xdf008fe9, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x8aa105b9, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe6b52d99, "nfs_atomic_open" },
	{ 0xf9c72493, "rpc_pipe_generic_upcall" },
	{ 0xb8d90d9c, "nfs_file_fsync" },
	{ 0xa856cb24, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa1802c70, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x567c88a0, "nfs_put_lock_context" },
	{ 0xd0ab423d, "nfs_rename" },
	{ 0x36b19e96, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x35f27cec, "nfs_sysfs_link_rpc_client" },
	{ 0x4678b22e, "nfs_put_client" },
	{ 0xd09d71e0, "nfs_show_options" },
	{ 0x9976fd0a, "dns_query" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xde31500c, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x6ca80cd8, "mount_subtree" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x19399d48, "get_nfs_open_context" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0xffb48438, "nfs_clear_verifier_delegated" },
	{ 0x688547b7, "nfs_sysfs_add_server" },
	{ 0x201c9b2a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9a25145d, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xa8e1635, "nfs_do_submount" },
	{ 0x3f19c933, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xa653502, "request_key_with_auxdata" },
	{ 0xef180068, "rpc_clone_client_set_auth" },
	{ 0x7f8e30df, "rpc_clone_client" },
	{ 0xee6cb481, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xd8627b79, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x6586c9cb, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x84124aef, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2c69a21c, "put_fs_context" },
	{ 0xd5837420, "nfs_retry_commit" },
	{ 0xc282332a, "nfs4_dentry_operations" },
	{ 0x311012e, "__module_put_and_kthread_exit" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xfa659f32, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x61ce76bd, "nfs_client_for_each_server" },
	{ 0x13c86197, "nfs_clear_inode" },
	{ 0xc241d5e6, "rpc_sleep_on_priority" },
	{ 0x82442a33, "nfs_invalidate_atime" },
	{ 0x9a460438, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x649f832a, "nfs_umount_begin" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x40707914, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93e04ce7, "nfs_pageio_reset_write_mds" },
	{ 0x84af0f58, "kmem_cache_free" },
	{ 0xf7cd2963, "nfs_generic_pg_test" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0xd399252c, "xdr_stream_subsegment" },
	{ 0x25597ec7, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xf47edde2, "nfs_fscache_open_file" },
	{ 0xc19305c6, "from_kgid" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb2570d10, "nfs_write_inode" },
	{ 0xf29e533b, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x7ba85505, "rpc_wake_up_first" },
	{ 0xf0de184c, "alloc_nfs_open_context" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb422361f, "vfs_parse_fs_param" },
	{ 0x6a74c108, "nfs_path" },
	{ 0x508f3113, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x6ed263d, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x87c82180, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8eb80903, "rpc_sleep_on_timeout" },
	{ 0x56a53af8, "list_lru_count_one" },
	{ 0x3bef858f, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x12dbee7d, "rpc_call_start" },
	{ 0xdb39c3b4, "xprt_setup_backchannel" },
	{ 0xb6a530ae, "bpf_trace_run1" },
	{ 0xcabaa86f, "svc_create" },
	{ 0x9d7b1b11, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xdc0d3bdd, "nfs_file_set_open_context" },
	{ 0xbab4e186, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x189b1209, "rpc_call_sync" },
	{ 0x6cda5d11, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe1af765e, "rpc_put_task_async" },
	{ 0x939b7403, "rpc_prepare_reply_pages" },
	{ 0x9a331808, "rpc_queue_upcall" },
	{ 0x8ddf9ec, "nfs_free_server" },
	{ 0xf759d145, "fc_mount" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0x52084f16, "nfs_setattr" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x1282cf23, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd3114732, "nfs4_fs_type" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x63cbbf43, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xb219f754, "rpc_delay" },
	{ 0xcc2a72fe, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd499ae64, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6321937c, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xa512cdb4, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x4f66db49, "rpc_exit" },
	{ 0x457f4892, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x710b436d, "rpc_remove_pipe_dir_object" },
	{ 0x56f02cf5, "nfs_may_open" },
	{ 0xe70fac7f, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe03653d, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x6d8ac151, "xdr_reserve_space" },
	{ 0xee73a837, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfed66306, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa9ef18a0, "nfs_rmdir" },
	{ 0x7d7fc4dc, "bpf_trace_run3" },
	{ 0x10333076, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x475196cb, "nfs_filemap_write_and_wait_range" },
	{ 0x5bc80d9e, "rpc_mkpipe_dentry" },
	{ 0x478481d6, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0x2b828e4b, "rpc_mkpipe_data" },
	{ 0x278447a6, "rpc_add_pipe_dir_object" },
	{ 0x95d50701, "igrab" },
	{ 0x553cdf74, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcc06ecd7, "nfs_async_iocounter_wait" },
	{ 0x1516cf31, "nfs_file_read" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0x3d304dfd, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x905ef50b, "filemap_fdatawait_range" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xffcd32f0, "nfs_commitdata_alloc" },
	{ 0xbc250329, "init_timer_key" },
	{ 0xa8f33eb9, "nfs_setattr_update_inode" },
	{ 0x1cbcf74a, "nfs_instantiate" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4c699f25, "init_user_ns" },
	{ 0xca2c2cf4, "rpc_uaddr2sockaddr" },
	{ 0xdcad2536, "user_read" },
	{ 0x13bb06c6, "rpc_restart_call" },
	{ 0x9f02ddc1, "request_key_tag" },
	{ 0xfa23da87, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x48f8d654, "alloc_pages" },
	{ 0x4dc7601d, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x1fe652a3, "svc_xprt_destroy_all" },
	{ 0xc6cde844, "generic_key_instantiate" },
	{ 0x2a2d0caf, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x90a0702, "nfs_link" },
	{ 0x2a599527, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5835be03, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xab4023d2, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3997d881, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x2826f814, "rpc_init_wait_queue" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x309a958f, "xdr_stream_move_subsegment" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0xd3c86119, "put_rpccred" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x95653ec5, "nfs_post_op_update_inode_force_wcc" },
	{ 0x25847800, "nfs_pgheader_init" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x7dd7e31a, "put_nfs_open_context" },
	{ 0x351353e3, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x61bc6b64, "nfs_show_devname" },
	{ 0x35c2e8de, "nfs_permission" },
	{ 0xe2823d0c, "nfs_initiate_commit" },
	{ 0xb2b454c4, "truncate_inode_pages_range" },
	{ 0xdec2ca34, "__put_user_ns" },
	{ 0xc6b1e553, "cred_fscmp" },
	{ 0x88e6e0ab, "rpc_unlink" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x1decda67, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xf40abd38, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xdbf9e8cc, "node_data" },
	{ 0x307bbea, "nfs_probe_server" },
	{ 0xa0212116, "nfs_setsecurity" },
	{ 0xd821462c, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x6b3eaa72, "rpc_clnt_test_and_add_xprt" },
	{ 0x86a817ee, "file_ra_state_init" },
	{ 0xb39c78fd, "nfs_force_lookup_revalidate" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc13682c9, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb4e0a77, "rpc_clnt_add_xprt" },
	{ 0x2e25535f, "dget_parent" },
	{ 0xfcb6996d, "from_kuid_munged" },
	{ 0x7ce4fe88, "prepare_kernel_cred" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xc8b75a2b, "nfs_alloc_server" },
	{ 0x88fdea74, "rpc_call_async" },
	{ 0xab65c861, "security_dentry_init_security" },
	{ 0x110ec0e7, "filemap_write_and_wait_range" },
	{ 0xa03b7aab, "nfs_server_insert_lists" },
	{ 0xfa363fef, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xf5c5244f, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x9483087c, "rpc_init_pipe_dir_object" },
	{ 0x9688a771, "bpf_trace_run7" },
	{ 0x7eb0af2e, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xe42fedd6, "nfs_init_server_rpcclient" },
	{ 0xde228dd3, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6dfa9ce4, "rpc_set_connect_timeout" },
	{ 0x6cc44228, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x79fc3610, "xdr_stream_pos" },
	{ 0xe673cfb9, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x8730bc69, "svc_xprt_create" },
	{ 0xafff2884, "nfs42_ssc_register" },
	{ 0x95caad4c, "rpc_wait_for_completion_task" },
	{ 0xb3e2834d, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x879093d9, "rpc_num_bc_slots" },
	{ 0x9a837246, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xd1a1822, "rpc_destroy_wait_queue" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x3b955e97, "security_inode_listsecurity" },
	{ 0x60921003, "nfs_fhget" },
	{ 0xbd127931, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1bbcaee5, "locks_copy_lock" },
	{ 0xf333d55, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x87c24a90, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf283c44c, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs");


MODULE_INFO(srcversion, "8BD5C3A146107C27535DADC");
