#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x20c1ca09, "_gpl");
SYMBOL_CRC(dccp_req_err, 0xe195757a, "");
SYMBOL_CRC(dccp_v4_send_check, 0xec6a54a2, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x73a01113, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0x57dcf18b, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x13d29ae9, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x65596fbb, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x654aebae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbf822b83, "__inet_lookup_established" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x4ee88c30, "inet_bhash2_reset_saddr" },
	{ 0xca6a3085, "inet_csk_addr2sockaddr" },
	{ 0x53ef328f, "inet_unregister_protosw" },
	{ 0x1a3ba35f, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd3393d65, "dccp_shutdown" },
	{ 0x20819f16, "inet_bhash2_update_saddr" },
	{ 0x474215dd, "dccp_connect" },
	{ 0x351588c0, "dccp_rcv_state_process" },
	{ 0x2fd8c441, "dccp_reqsk_send_ack" },
	{ 0x35b855b0, "inet_lookup_reuseport" },
	{ 0x521fdbd1, "__inet_lookup_listener" },
	{ 0x6717846f, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x52dd5440, "sock_common_getsockopt" },
	{ 0xdd6ff47e, "inet_bind" },
	{ 0xfe690010, "__inet_inherit_port" },
	{ 0xa9678557, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x871dfe84, "inet_register_protosw" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x8c4a0bd6, "__xfrm_policy_check" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3e404e8f, "sock_common_setsockopt" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa95ec6f, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ac29e7, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9988a7cd, "sk_error_report" },
	{ 0x64fe5b19, "register_pernet_subsys" },
	{ 0x2df752d4, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe11b6388, "inet_getname" },
	{ 0x1179eb87, "inet_stream_connect" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x90124f61, "proto_unregister" },
	{ 0x1279add3, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf0d5d3c6, "inet_ehashfn" },
	{ 0x2290148f, "inet_twsk_purge" },
	{ 0x2aacd505, "dccp_done" },
	{ 0x1989452c, "inet_release" },
	{ 0xb67e4e25, "__sk_dst_check" },
	{ 0x71f8b3a3, "dccp_disconnect" },
	{ 0xba585854, "ip_route_output_key_hash" },
	{ 0xf97eb9b7, "proto_register" },
	{ 0x2feeaee8, "inet_hash" },
	{ 0x9b79f27e, "__sk_receive_skb" },
	{ 0x828d81b2, "dccp_poll" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x742837cd, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x18b535bf, "inet_csk_get_port" },
	{ 0xfed16a4, "inet_ioctl" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xc7d35c08, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x5bb9725a, "inet_accept" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xca8d512a, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x67155c5e, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xb6f6f4bf, "inet_add_protocol" },
	{ 0x64b606fb, "inet_shutdown" },
	{ 0x403510b2, "sk_free" },
	{ 0xb3c53842, "dccp_close" },
	{ 0x1f598b11, "kfree_skb_reason" },
	{ 0x59f444a8, "dccp_reqsk_init" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xffc76ca1, "inet_hash_connect" },
	{ 0x84af0f58, "kmem_cache_free" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x99203ccf, "inet_csk_route_child_sock" },
	{ 0xce160fc0, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x572d95e6, "security_sk_classify_flow" },
	{ 0x94798608, "inet_csk_update_pmtu" },
	{ 0x1e690d83, "dccp_getsockopt" },
	{ 0x70ca780e, "dccp_parse_options" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb9889e9a, "unregister_pernet_subsys" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x4c6fc55b, "skb_checksum" },
	{ 0xfa51813f, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf6018d29, "sock_no_mmap" },
	{ 0xfff8623e, "__pskb_pull_tail" },
	{ 0xa8aaa401, "dccp_child_process" },
	{ 0x9702515b, "sock_common_recvmsg" },
	{ 0x9175abbc, "dccp_setsockopt" },
	{ 0x6e205ef1, "dccp_ioctl" },
	{ 0x3cabc207, "inet_sk_rebuild_header" },
	{ 0xe5bc9795, "inet_del_protocol" },
	{ 0xcd567f73, "ipv4_mtu" },
	{ 0x4e70c4cf, "dccp_recvmsg" },
	{ 0x79bf0926, "inet_sendmsg" },
	{ 0x6c1eed, "dccp_check_req" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x681456b8, "dccp_create_openreq_child" },
	{ 0xf9e054f6, "inet_csk_prepare_forced_close" },
	{ 0x2e7e91e1, "sock_pfree" },
	{ 0x880f5713, "dccp_rcv_established" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xb33adc80, "dccp_send_sync" },
	{ 0xe27d37ce, "dst_release" },
	{ 0x5fee2fd0, "sock_release" },
	{ 0xc4bb2bff, "dccp_make_response" },
	{ 0xf7a3f3a3, "dccp_destroy_sock" },
	{ 0x73028aad, "dccp_ctl_make_reset" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xfda133fc, "sock_gettstamp" },
	{ 0x6c1943d2, "sk_setup_caps" },
	{ 0x783dd5ed, "ip_build_and_send_pkt" },
	{ 0xef0dacb0, "dccp_sendmsg" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6f77a945, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0x752e3bed, "inet_twsk_put" },
	{ 0xaf692196, "inet_unhash" },
	{ 0x7ffee30a, "ip_getsockopt" },
	{ 0xf8bcbcd6, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1a2bb2b9, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xbaaa32a1, "inet_csk_reqsk_queue_drop" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "2238BF4BDD9C9186AB41CCC");
