#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x5cd5b6cd, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0x09213bf5, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0xcb7f3579, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ab0f26d, "acpi_dev_get_first_match_dev" },
	{ 0x5d80a16a, "gpiod_get_value_cansleep" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x74c8f553, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd15028c8, "regcache_cache_only" },
	{ 0x1417c141, "is_acpi_device_node" },
	{ 0xe7515d25, "gpiod_put" },
	{ 0xaed5682c, "regcache_sync" },
	{ 0xbf74a8a, "regmap_write" },
	{ 0x69dfc845, "devm_request_threaded_irq" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0x2097f954, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x1d47a749, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xad8ec54a, "gpiod_count" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x47dafcda, "cs_dsp_stop" },
	{ 0x4ca92362, "pm_runtime_set_autosuspend_delay" },
	{ 0xaebfd15a, "cs35l41_register_errata_patch" },
	{ 0xf0d48820, "gpiod_set_value_cansleep" },
	{ 0xaa798d7f, "hda_cs_dsp_control_remove" },
	{ 0x96848186, "scnprintf" },
	{ 0xc9fe01e3, "gpiod_get_index" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xc6882e0e, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x78c8903b, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe0c87fd9, "cs35l41_init_boost" },
	{ 0xa7daf511, "cs35l41_enter_hibernate" },
	{ 0xfde29017, "get_device" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5def6f64, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b166801, "__pm_runtime_set_status" },
	{ 0x78c1cfef, "snd_ctl_new1" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe038b379, "put_device" },
	{ 0xa8837165, "pm_runtime_enable" },
	{ 0x5dd8aebc, "fwnode_gpiod_get_index" },
	{ 0x54d8d8d9, "device_property_read_u32_array" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x5a0bc976, "snd_ctl_boolean_mono_info" },
	{ 0xfddeb056, "efi" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3b2ec8e, "cs_dsp_halo_init" },
	{ 0x483a80c3, "cs_dsp_power_down" },
	{ 0x7db63286, "device_link_remove" },
	{ 0x1f47b8a4, "cs35l41_test_key_unlock" },
	{ 0x465572f5, "hda_cs_dsp_add_controls" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x94c3093, "cs35l41_test_key_lock" },
	{ 0x717f3c72, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x742255cb, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x19d2bbfe, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58d126a1, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb697ef7e, "hda_cs_dsp_write_ctl" },
	{ 0xe15830e2, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc88f69ce, "devm_kasprintf" },
	{ 0x389e41, "devm_regmap_add_irq_chip" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb500e8c7, "cs35l41_exit_hibernate" },
	{ 0x999e8297, "vfree" },
	{ 0xbe85ecf3, "regmap_read" },
	{ 0xc73daeab, "cs_dsp_run" },
	{ 0x9acfb843, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa56e642a, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xfdacc33, "param_ops_bool" },
	{ 0x1db554d8, "cs35l41_write_fs_errata" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xccce586d, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xf86a69ca, "cs35l41_configure_cs_dsp" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xec7c13c1, "_dev_crit" },
	{ 0x900e05f, "regmap_update_bits_base" },
	{ 0xdbf6a650, "dev_err_probe" },
	{ 0x37b6adb6, "regmap_multi_reg_write" },
	{ 0x79861091, "__pm_runtime_suspend" },
	{ 0xd79bc33, "component_add" },
	{ 0x470c79e, "__pm_runtime_use_autosuspend" },
	{ 0x92b8ee81, "cs35l41_set_channels" },
	{ 0x3bededc6, "__pm_runtime_disable" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x55094bb8, "device_link_add" },
	{ 0x416c6355, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "C7C604EFE79E88C8BF5E2F7");
