#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xf86f4173, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xa14ea58e, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0x5a7c5c10, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0xb944ab6a, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x411c23bd, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xc1e0ac3f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8bc8528, "snd_soc_dapm_put_enum_double" },
	{ 0x5d80a16a, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x20a35479, "device_property_present" },
	{ 0xd15028c8, "regcache_cache_only" },
	{ 0xaed5682c, "regcache_sync" },
	{ 0xbf74a8a, "regmap_write" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0x1f80f1be, "snd_soc_jack_report" },
	{ 0xbcbae267, "snd_soc_component_read" },
	{ 0xf0d48820, "gpiod_set_value_cansleep" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xd02c57ec, "gpiod_to_irq" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x896e46a2, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xdb8c858d, "snd_soc_put_enum_double" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x78c8903b, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9efe0261, "gpiod_get_value" },
	{ 0x841e35f1, "devm_gpiod_get_optional" },
	{ 0xc8269f94, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x4dd30c3, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0x45e672, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc2596e4, "snd_soc_component_write" },
	{ 0xacbfc093, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x83d27410, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0x54d8d8d9, "device_property_read_u32_array" },
	{ 0x8864ca7d, "snd_soc_get_enum_double" },
	{ 0xe5ca3832, "i2c_register_driver" },
	{ 0xec350323, "snd_soc_info_volsw" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x8573b371, "snd_soc_dapm_put_volsw" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5ea1f04b, "snd_soc_dapm_force_bias_level" },
	{ 0x4caf9287, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x6d8fdf33, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x742255cb, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x2d45bede, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa3fe9c60, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x713bdaa4, "snd_soc_get_volsw" },
	{ 0xbe85ecf3, "regmap_read" },
	{ 0xc4b00b24, "snd_soc_put_volsw" },
	{ 0x3e9a7cd2, "snd_soc_component_update_bits" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x60ac4096, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x900e05f, "regmap_update_bits_base" },
	{ 0xc32bac30, "snd_soc_dapm_get_volsw" },
	{ 0x72817b91, "__devm_add_action" },
	{ 0x69c2839a, "i2c_del_driver" },
	{ 0xf37185d4, "regmap_register_patch" },
	{ 0xf4a68a8d, "snd_soc_dapm_get_enum_double" },
	{ 0x6023da9e, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,regmap-i2c,i2c-core,snd-pcm");

MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");

MODULE_INFO(srcversion, "DF8B64433CCC09086D185D6");
