#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x298c74f8, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0xb3512fd0, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0xa1a79e98, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x0636865d, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x813b3257, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x0053bd3f, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xb9da3f25, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xf6c2314d, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xa2dc7ffe, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x380124d6, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0x6385f7fb, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x34c49125, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x974bad9d, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x29617851, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0xce9350ce, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x6bfd9965, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x984f1f01, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x6d53369c, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x60fbd6b2, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0xcb9093e6, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0x18dca5aa, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0x4de706e5, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x8c423250, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xe0d7eeea, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x835fc916, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xc59f630f, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0xfae05947, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x753e0d81, "snd_soc_component_force_enable_pin" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x2097f954, "firmware_request_nowarn" },
	{ 0x6eb9606, "cs_dsp_cleanup_debugfs" },
	{ 0x60c0b528, "cs_dsp_coeff_read_ctrl" },
	{ 0x4f6555f5, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x47dafcda, "cs_dsp_stop" },
	{ 0x1b5efc00, "cs_dsp_adsp1_power_up" },
	{ 0x35676148, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e23a65d, "cs_dsp_adsp1_init" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xad8326c2, "cs_dsp_coeff_write_ctrl" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31397471, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9b7b77d8, "cs_dsp_halo_bus_error" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd051c5c, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0xe2ae8121, "cs_dsp_find_alg_region" },
	{ 0x2ab4e1fe, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc7a1ee2, "cs_dsp_get_ctl" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3b2ec8e, "cs_dsp_halo_init" },
	{ 0x483a80c3, "cs_dsp_power_down" },
	{ 0xf8ef47ff, "cs_dsp_adsp2_init" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6d8fdf33, "snd_soc_add_component_controls" },
	{ 0x717f3c72, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x6d5ee187, "cs_dsp_set_dspclk" },
	{ 0x742255cb, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x58d126a1, "cs_dsp_power_up" },
	{ 0xbe1226e3, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xc73daeab, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x75e3e07b, "cs_dsp_write_data_word" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x6c7b0951, "cs_dsp_halo_wdt_expire" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x152220f0, "snd_soc_component_disable_pin" },
	{ 0x45e77baa, "snd_soc_bytes_tlv_callback" },
	{ 0x77837341, "cs_dsp_adsp2_bus_error" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x72cbfe60, "cs_dsp_read_raw_data_block" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x45208f59, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,cs_dsp,snd-compress");


MODULE_INFO(srcversion, "F30B2FAFA245C41784B38F7");
