#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x401fcf45, "virtio_check_driver_offered_feature" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd892a416, "__hvc_resize" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2a599527, "__folio_put" },
	{ 0x42c19aa2, "__put_devmap_managed_page_refs" },
	{ 0x37a0cba, "kfree" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7694a67b, "virtqueue_detach_unused_buf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb45c67e1, "virtqueue_add_inbuf" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xaf266b36, "hvc_alloc" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xffb7c514, "ida_free" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xd4b8609e, "cdev_alloc" },
	{ 0xe255bae5, "cdev_add" },
	{ 0xa852007f, "device_create" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb0c144b8, "debugfs_create_file" },
	{ 0x3e3ea8ec, "cdev_del" },
	{ 0xa3134005, "device_destroy" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x384f44c4, "hvc_remove" },
	{ 0x2f0af28b, "sysfs_remove_group" },
	{ 0x7994b603, "kill_fasync" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7569cfe, "virtio_break_device" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x7270ff9c, "virtio_reset_device" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xa6257a2f, "complete" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3729936c, "sysfs_create_group" },
	{ 0xd2a99859, "kobject_uevent" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xac1f2f42, "virtqueue_disable_cb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x87f6c79a, "hvc_poll" },
	{ 0x9833bc0c, "hvc_kick" },
	{ 0x2a0322b7, "nonseekable_open" },
	{ 0x9802ae5f, "pipe_lock" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xceede0ab, "__splice_from_pipe" },
	{ 0x5fcc5778, "pipe_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf5593b54, "__register_chrdev" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x34399b10, "hvc_instantiate" },
	{ 0xf89ac26d, "seq_lseek" },
	{ 0x9906e9dc, "seq_read" },
	{ 0xf919ba25, "single_release" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xbff6bd3a, "class_register" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x69c23149, "debugfs_create_dir" },
	{ 0xe565cce9, "register_virtio_driver" },
	{ 0x122c3a7e, "_printk" },
	{ 0x2401a456, "unregister_virtio_driver" },
	{ 0xf7555410, "debugfs_remove" },
	{ 0x70e16fe5, "class_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xb1fbeaec, "single_open" },
	{ 0xe99cf845, "seq_printf" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x26397962, "fasync_helper" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x48f8d654, "alloc_pages" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x5281b302, "unlock_page" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa34b3e9b, "dump_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x62d0cf35, "virtqueue_add_outbuf" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3788186, "virtqueue_kick" },
	{ 0x53605195, "virtqueue_is_broken" },
	{ 0xcc1eac46, "virtqueue_get_buf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("virtio:d00000003v*");

MODULE_INFO(srcversion, "0FE5A38CC71ACAF413C1266");
