#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_crop, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_compose, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x8ed9dbee, "");
SYMBOL_CRC(video_device_release, 0xb4d3834d, "");
SYMBOL_CRC(video_device_release_empty, 0xe8c7d215, "");
SYMBOL_CRC(video_devdata, 0x9ef777cf, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x76093eed, "");
SYMBOL_CRC(video_unregister_device, 0x407aa4d5, "");
SYMBOL_CRC(video_device_pipeline_start, 0x276d5ffb, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x19139ed3, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xf044ba03, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xd0e6e3b3, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xccd1d05e, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x7a266a6f, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xbfc0850a, "");
SYMBOL_CRC(v4l2_device_register, 0x756f1870, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x0865b19d, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x1f9e0f3b, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xa3cdc62b, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x1fe18fc3, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x4c22105a, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x7bd30295, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x5ab4f363, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x1a317d3f, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x1ec227bd, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0xee53db4a, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xcd62df41, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x482f9e35, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x5161def2, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xa33b6639, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x6f32330d, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x7b8af053, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x21869cfc, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x1fc8e76e, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x3311edac, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xae4d3e72, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xb9ed1f72, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xc17eec00, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0x10d2b0ac, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xc9da1e61, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x3b7013a0, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0xf9a00cc7, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0xea0ae7aa, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x26cc0a1b, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x164576d2, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xc11e4898, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x77db4d63, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xde6e37d9, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x7129529b, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x462b0c10, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x65211a70, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x6241b601, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0x4699eb4a, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0xc86897a7, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0xed6c9ccf, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0xb5a337db, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x65d7839c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x4894cd55, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xeeca27a7, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x9e1e295a, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xf8005849, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x14ba6b72, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x92779e4d, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x35674288, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x63a1b0f4, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x40c8399c, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x447490f2, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x2354a5c4, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x3a810858, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xcf1cde8f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x516dd91e, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xdc12debe, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xac53cbf1, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xf4ac32f1, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x2028097e, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x6ce9ad94, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xba09e6bc, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x9f4e9470, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xabede3e3, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xbba43983, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x8c8b17f0, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x5b7b5486, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x742a31f0, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x44e0729a, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x0a319877, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x7cc40093, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xc55dc202, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xf4f13884, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x8ae2f166, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x2873130e, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x9d359bf9, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xd71a8dd0, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x191ff46f, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x00471e67, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xcddd65da, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x29ddfbde, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x14a7da40, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x11c93b1a, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xae1cc872, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x869c0bf5, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x1a55ffb4, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0xc35338af, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xd5e324a2, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x6de3a59b, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x2400c540, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xa9f2b97e, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0xe1007c91, "");
SYMBOL_CRC(v4l2_queryctrl, 0xa08cba44, "");
SYMBOL_CRC(v4l2_querymenu, 0x16d1640d, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x5a87c0c7, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0xb8dfffc2, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x2fbcc764, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xb9a8e22c, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x8a6c7a9f, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0xb49bef2e, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xe0f16c9d, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xb33b8d35, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xf282e418, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xd2a7f6de, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0x8d3a3019, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xd92def2c, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x6dbffb46, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x9b6c4771, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x924ba085, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x7736b8ef, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x840dfe2a, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x96207262, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x0d2ea8dc, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x0d407657, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x21c150de, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x2be087d1, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x2ff0a37b, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0xc915a187, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0xb6d81982, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x11f61468, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xccaf3a43, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0xd50e766a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xb9d200b0, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xa5da808f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x0bec3c89, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xb62b3931, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x61d12a8d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x351c2888, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x3fbdda72, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x81f93882, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0xf852af89, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xd1c70eca, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x4ba34679, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc27756d5, "media_devnode_remove" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfba7e35e, "try_module_get" },
	{ 0x8d0b929c, "media_request_object_find" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcaa30d27, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1be9377c, "led_sysfs_enable" },
	{ 0xab040693, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd66f243b, "fwnode_graph_get_remote_endpoint" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0x191c7d0f, "spi_unregister_device" },
	{ 0x704c0923, "device_unregister" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xf9a5a9c0, "media_request_object_unbind" },
	{ 0xf60ec880, "led_put" },
	{ 0xeb965150, "led_trigger_remove" },
	{ 0xe4dbe37e, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xb9fc2de9, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x770812f1, "fwnode_graph_get_port_parent" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x176398cc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfde29017, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29ca9971, "media_create_intf_link" },
	{ 0xf140b6a0, "media_create_pad_link" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbe443526, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb4217e52, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0x3c4a21c4, "i2c_new_scanned_device" },
	{ 0x10584c31, "media_pad_pipeline" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf4553d1a, "media_request_object_put" },
	{ 0xa856cb24, "module_put" },
	{ 0x32d93fb2, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x539d9fe8, "media_device_register_entity" },
	{ 0xa1de8fd7, "media_request_get_by_fd" },
	{ 0xe255bae5, "cdev_add" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x721c3628, "led_get" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xa745e115, "i2c_unregister_device" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x835104c6, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfcb6bba8, "spi_new_device" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x58f7e81b, "media_request_object_bind" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x70e16fe5, "class_unregister" },
	{ 0x599e2628, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff6becfd, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x23d5402, "device_register" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xd7e814f4, "media_pipeline_start" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x5458c97d, "media_pipeline_stop" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xaeebf7f2, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x9b889d03, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x8c174208, "led_set_brightness" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb2faee75, "media_graph_walk_start" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9162ccae, "media_devnode_create" },
	{ 0xdbf6a650, "dev_err_probe" },
	{ 0xc56e1f27, "media_entity_get_fwnode_pad" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xe136160a, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x3913c53b, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x319ffbc, "__media_pipeline_start" },
	{ 0xbff6bd3a, "class_register" },
	{ 0xdc27006b, "led_sysfs_disable" },
	{ 0x96f41e8f, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5f52d860, "__dev_fwnode" },
	{ 0xf5dea8ae, "pci_bus_type" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x3e3ea8ec, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd4b8609e, "cdev_alloc" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "mc,i2c-core");


MODULE_INFO(srcversion, "E7B8F6024BA329DE371ED39");
