#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath9k_cmn_rx_accept, "", "");
KSYMTAB_FUNC(ath9k_cmn_rx_skb_postprocess, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rate, "", "");
KSYMTAB_FUNC(ath9k_cmn_process_rssi, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_hw_crypto_keytype, "", "");
KSYMTAB_FUNC(ath9k_cmn_get_channel, "", "");
KSYMTAB_FUNC(ath9k_cmn_count_streams, "", "");
KSYMTAB_FUNC(ath9k_cmn_update_txpow, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_crypto, "", "");
KSYMTAB_FUNC(ath9k_cmn_init_channels_rates, "", "");
KSYMTAB_FUNC(ath9k_cmn_setup_ht_cap, "", "");
KSYMTAB_FUNC(ath9k_cmn_reload_chainmask, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_sta, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_adhoc, "", "");
KSYMTAB_FUNC(ath9k_cmn_beacon_config_ap, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_modal_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_base_eeprom, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_stat_rx, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_recv, "", "");
KSYMTAB_FUNC(ath9k_cmn_debug_phy_err, "", "");

SYMBOL_CRC(ath9k_cmn_rx_accept, 0xe386ad37, "");
SYMBOL_CRC(ath9k_cmn_rx_skb_postprocess, 0x5093232c, "");
SYMBOL_CRC(ath9k_cmn_process_rate, 0x1a4df13e, "");
SYMBOL_CRC(ath9k_cmn_process_rssi, 0x65f1caaf, "");
SYMBOL_CRC(ath9k_cmn_get_hw_crypto_keytype, 0x91341fdf, "");
SYMBOL_CRC(ath9k_cmn_get_channel, 0xa3bc6e06, "");
SYMBOL_CRC(ath9k_cmn_count_streams, 0xd2981357, "");
SYMBOL_CRC(ath9k_cmn_update_txpow, 0xed7d7088, "");
SYMBOL_CRC(ath9k_cmn_init_crypto, 0x4ed770aa, "");
SYMBOL_CRC(ath9k_cmn_init_channels_rates, 0x34d72bd0, "");
SYMBOL_CRC(ath9k_cmn_setup_ht_cap, 0xf376084a, "");
SYMBOL_CRC(ath9k_cmn_reload_chainmask, 0x09fcb64d, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_sta, 0x172f7242, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_adhoc, 0x9f78ae84, "");
SYMBOL_CRC(ath9k_cmn_beacon_config_ap, 0xcc9a95bc, "");
SYMBOL_CRC(ath9k_cmn_debug_modal_eeprom, 0x547ccbea, "");
SYMBOL_CRC(ath9k_cmn_debug_base_eeprom, 0x6c1540d9, "");
SYMBOL_CRC(ath9k_cmn_debug_stat_rx, 0x1a0aa030, "");
SYMBOL_CRC(ath9k_cmn_debug_recv, 0xed2a857d, "");
SYMBOL_CRC(ath9k_cmn_debug_phy_err, 0xf1ad912f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4663bcfc, "ath9k_hw_set_txpowerlimit" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xb2100c40, "ath_hw_keyreset" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0xb0e602eb, "memmove" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x3d23d128, "ieee80211_get_hdrlen_from_skb" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x597f7a64, "simple_open" },
	{ 0x8b5c6961, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xacbd38f0, "default_llseek" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xe6b31e8a, "ath9k_hw_gettsf64" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb0c144b8, "debugfs_create_file" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "ath9k_hw,ath,cfg80211");


MODULE_INFO(srcversion, "CAF792D3354F30FC31E70C6");
