#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_wed_setup, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0x19133f4e, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x1914c9be, "_gpl");
SYMBOL_CRC(__mt76_poll, 0xbab6f24b, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0xb69e1ac8, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0x883b5563, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x49562d08, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x22c5f486, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xf3ddb358, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0xb90cc52d, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x8caacaa7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x9ea4ea6d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0x7d57f27f, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0x889f4a48, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x82ae8369, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x21f73465, "_gpl");
SYMBOL_CRC(mt76_dma_wed_setup, 0x8ec47d1a, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xf5bdf502, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x530d3043, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0x15e0043a, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0x397592d7, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x4724c476, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x9afb3de3, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0x48229c2f, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xc7db18ac, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0xf9dcb437, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x3fc63676, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x76f18793, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x85523158, "_gpl");
SYMBOL_CRC(mt76_rx, 0xef6ab86b, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x2b42ff70, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0xc03ee162, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x58b73b8f, "_gpl");
SYMBOL_CRC(mt76_set_channel, 0xe21adc48, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0x48fa0882, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x01e13820, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x39ab9a6c, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0x97519bbc, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x034e8fea, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0x7a115708, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0x6ac72647, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0xf5b52508, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0xa6fd5e97, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0x9bc57faf, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0xb4565953, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0x08424ecd, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x7a4cafa6, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x2f490b18, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0xe466917c, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xd66973fe, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0xb97647e4, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0xa47d9b67, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x12472643, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xc4d17db8, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0x92d2d0ad, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xb8dec732, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0xaf06b186, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x7f84bd32, "_gpl");
SYMBOL_CRC(mt76_get_of_eeprom, 0x48da8014, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0x15903c7c, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x99664445, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xf6c153a5, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0xa5d63486, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0xa8a39b7d, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xa7d714c4, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0x8e897735, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0x9951bc97, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0x918abc60, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0x7ae1f94c, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x6a789b43, "_gpl");
SYMBOL_CRC(mt76_tx, 0x13f00740, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0xfb671996, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x0b6ad6f2, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0xdd8c99be, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xb2963504, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0x426ccf7e, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xbdbf0e3f, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x891c1033, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x3a2ebfbf, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x307756ef, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0xf5569d59, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x06094f1f, "_gpl");
SYMBOL_CRC(mt76_token_release, 0x47df8d43, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0xb9451986, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x8727a2f3, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x324f75bd, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x98c089fc, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x6c49136c, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x47d25edd, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0xb95732ce, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xbee7ce00, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x221b6122, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x19a4bdf2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa109afd8, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x26bbd439, "pcie_capability_read_word" },
	{ 0x91041fcc, "__skb_pad" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xcdbf5a3f, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xab81d0b0, "__ieee80211_schedule_txq" },
	{ 0x789086fe, "debugfs_attr_write" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0xbfafca53, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe919439a, "page_pool_alloc_frag" },
	{ 0xc754562, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7f2aa6e2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x47ffbb34, "dmam_alloc_attrs" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x54f4d380, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x32679e56, "ieee80211_free_hw" },
	{ 0x2bad2222, "dma_unmap_page_attrs" },
	{ 0xb0df3fb2, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x3d3d641f, "dma_sync_single_for_device" },
	{ 0xc68cfe0d, "skb_add_rx_frag" },
	{ 0x4dd78c5a, "ieee80211_tx_status_ext" },
	{ 0x5271dc1, "debugfs_create_blob" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xa7a3fdd7, "page_pool_destroy" },
	{ 0x6932d6e7, "ieee80211_register_hw" },
	{ 0x8abd8e40, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xa47097aa, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8f015ffd, "ieee80211_sta_eosp" },
	{ 0x3d23d128, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba40b42c, "__netif_napi_del" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe4927813, "kthread_park" },
	{ 0xd33e0108, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc8b9e25a, "wake_up_process" },
	{ 0x9b091cb0, "dev_driver_string" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2928b6f4, "dma_map_page_attrs" },
	{ 0x2f4a8539, "napi_complete_done" },
	{ 0x98ce771, "ieee80211_get_tx_rates" },
	{ 0x3746a256, "ieee80211_send_bar" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x36e03600, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcd6e5a0b, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe78fb699, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe2f4c994, "pci_disable_link_state" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0x75cd80a0, "napi_gro_receive" },
	{ 0x831be1e9, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x41255f94, "dev_set_threaded" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xad67d611, "debugfs_attr_read" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x568ad89f, "ieee80211_queue_delayed_work" },
	{ 0x96354a25, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xb077f429, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x7bd9a72d, "simple_attr_release" },
	{ 0xd732d348, "ieee80211_calc_rx_airtime" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x7971bf46, "ieee80211_find_sta_by_ifaddr" },
	{ 0xb03dbece, "ieee80211_next_txq" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcbbeba6a, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x92c30bd7, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x6d1cfb9a, "napi_enable" },
	{ 0x3b78df00, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xb34e1325, "ieee80211_sta_pspoll" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3f273cff, "kthread_stop" },
	{ 0x9252402, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc9133e00, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xbdc70d26, "ieee80211_tx_dequeue" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb96c65f3, "ieee80211_rx_list" },
	{ 0x3eabcb7, "dma_sync_single_for_cpu" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0x923bc65a, "page_pool_create" },
	{ 0x7aa37a54, "page_pool_put_defragged_page" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x961d457d, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfed66306, "kthread_create_on_node" },
	{ 0x5e9a2231, "cfg80211_reg_can_beacon" },
	{ 0x7d7fc4dc, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0xf0e0f458, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7f270b13, "ieee80211_unregister_hw" },
	{ 0x4be60bbb, "napi_build_skb" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe99cf845, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc903e9b1, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xafa93afa, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb928db8e, "debugfs_create_u8" },
	{ 0x69c23149, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x84370d2, "init_dummy_netdev" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x18a313c3, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "5F96115480E1880EDA5B5CB");
