#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x7ba9087a, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x446c84fa, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0x7f35360e, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x7b314ecd, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x07ed3c45, "");
SYMBOL_CRC(sdw_show_ping_status, 0x772393a0, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xa5609285, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xb075c189, "");
SYMBOL_CRC(sdw_write_no_pm, 0xc952a94e, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x07041db0, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xb1d58508, "");
SYMBOL_CRC(sdw_read_no_pm, 0xcd587d1d, "");
SYMBOL_CRC(sdw_update_no_pm, 0x447ca1f8, "");
SYMBOL_CRC(sdw_update, 0x1ad91027, "");
SYMBOL_CRC(sdw_nread, 0xc174f23f, "");
SYMBOL_CRC(sdw_nwrite, 0x7609a7d3, "");
SYMBOL_CRC(sdw_read, 0x624f70f2, "");
SYMBOL_CRC(sdw_write, 0x3d5cd44f, "");
SYMBOL_CRC(sdw_compare_devid, 0xa88bcba9, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x56dc9073, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xf614d38f, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0xc435fab4, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x65397dea, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x6c5f61bc, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xf6c508c8, "");
SYMBOL_CRC(sdw_slave_add, 0x1eae184a, "");
SYMBOL_CRC(sdw_master_read_prop, 0x0429c2a7, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xa366cd7c, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xe906cfd3, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x09f59c9c, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x375ab1e3, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x22abc4a3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x20a35479, "device_property_present" },
	{ 0x2002e493, "devm_device_add_groups" },
	{ 0x1417c141, "is_acpi_device_node" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xab040693, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x704c0923, "device_unregister" },
	{ 0x4ca92362, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa6f7952, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xf89ac26d, "seq_lseek" },
	{ 0xe7950108, "dev_pm_domain_attach" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xce461528, "devm_device_add_group" },
	{ 0xc17ddb64, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2ffbc520, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b166801, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0xa8837165, "pm_runtime_enable" },
	{ 0x54d8d8d9, "device_property_read_u32_array" },
	{ 0xc943837a, "fwnode_property_read_u32_array" },
	{ 0xbc5d573c, "dev_pm_domain_detach" },
	{ 0xab602e10, "pm_generic_runtime_suspend" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0x63a14763, "bus_unregister" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf7555410, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xffb7c514, "ida_free" },
	{ 0x86a2c2e5, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x23d5402, "device_register" },
	{ 0xe1b2c112, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xd114ddcc, "__irq_domain_add" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc88f69ce, "devm_kasprintf" },
	{ 0x9906e9dc, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3564b839, "fwnode_property_present" },
	{ 0xb0c144b8, "debugfs_create_file" },
	{ 0x9acfb843, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfde417d5, "device_get_named_child_node" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xe99cf845, "seq_printf" },
	{ 0xa355cf42, "irq_create_mapping_affinity" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xf919ba25, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xb3e11eb5, "acpi_dev_for_each_child" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x79861091, "__pm_runtime_suspend" },
	{ 0x30dbc9ec, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x470c79e, "__pm_runtime_use_autosuspend" },
	{ 0xb1fbeaec, "single_open" },
	{ 0x3bededc6, "__pm_runtime_disable" },
	{ 0x69c23149, "debugfs_create_dir" },
	{ 0xa5359950, "driver_register" },
	{ 0x40d300a9, "__pm_runtime_idle" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xbb984082, "bus_register" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0666F09C6D217B5B73A6775");
