#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x311aa25e, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x3061c7bd, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x2226ae30, "_gpl");
SYMBOL_CRC(fat_scan, 0x6a4d092a, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xc4a43485, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x2d29515f, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xe886220d, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x49d6facb, "_gpl");
SYMBOL_CRC(fat_getattr, 0x336c811a, "_gpl");
SYMBOL_CRC(fat_setattr, 0x8f3b9abc, "_gpl");
SYMBOL_CRC(fat_attach, 0x940dd593, "_gpl");
SYMBOL_CRC(fat_detach, 0x9568577a, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xef359e1d, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x120e643d, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xa0077495, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x5b9538fa, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x98d3d679, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xfd249f39, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x311c5544, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xf4582d41, "_gpl");
SYMBOL_CRC(fat_update_time, 0xf4460f00, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95f78817, "filemap_fdatawrite" },
	{ 0xf2b8c6af, "generic_fillattr" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x5b12f741, "setattr_prepare" },
	{ 0x1eca469e, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd60dfe93, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27ac9b50, "make_vfsgid" },
	{ 0x64cd2b8d, "blk_start_plug" },
	{ 0xa000148, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa68ed14c, "generic_fh_to_dentry" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xf21140d1, "new_inode" },
	{ 0x6c0c3bca, "mark_buffer_dirty" },
	{ 0x67ea8937, "security_inode_setattr" },
	{ 0x5f37f65d, "__find_get_block" },
	{ 0x5b19c13c, "filemap_fdatawrite_range" },
	{ 0x7188bef2, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x13598c12, "__blockdev_direct_IO" },
	{ 0x94506bb, "d_make_root" },
	{ 0xad926178, "__bforget" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xe3f75736, "sb_set_blocksize" },
	{ 0xd54de6f6, "block_truncate_page" },
	{ 0x69458212, "write_dirty_buffer" },
	{ 0x27dcd0ed, "sync_filesystem" },
	{ 0xb940689, "fsnotify" },
	{ 0x45095a07, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf51bfb0, "from_vfsuid" },
	{ 0x204cb4ba, "inode_dio_wait" },
	{ 0xad50d6a5, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xe549e03f, "cont_write_begin" },
	{ 0x2538fe84, "iput" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xd6ffe326, "iter_file_splice_write" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0x9ff1fccd, "generic_file_write_iter" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x39b8860e, "kmem_cache_create" },
	{ 0x7886a140, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd0769e0a, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5def385c, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4ea27c13, "block_invalidate_folio" },
	{ 0x62d068d9, "__breadahead" },
	{ 0x767a9e70, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x443d40d0, "load_nls" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xbc4af565, "generic_cont_expand_simple" },
	{ 0xd55d8c17, "make_kuid" },
	{ 0x21821576, "truncate_inode_pages_final" },
	{ 0xfa6fd2, "generic_file_mmap" },
	{ 0x6315262, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x2d8af5df, "ilookup" },
	{ 0xdf008fe9, "kmem_cache_alloc" },
	{ 0x9088b71c, "invalidate_inode_buffers" },
	{ 0xc955db1f, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x8c6b75bf, "mnt_drop_write_file" },
	{ 0x90e7da19, "inode_init_once" },
	{ 0x1f0a31b2, "compat_ptr_ioctl" },
	{ 0x28f27e65, "__fsnotify_parent" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xe61f2ae1, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0xce807a25, "up_write" },
	{ 0xecdabf5d, "generic_file_read_iter" },
	{ 0x301fc5e3, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x53cb64d3, "truncate_pagecache" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf95ff209, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0x1914d204, "setattr_copy" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0xb39000e3, "__wait_on_buffer" },
	{ 0xa4ff9de9, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x84af0f58, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xd83a70ef, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2c5f4b1b, "from_vfsgid" },
	{ 0xfc76f0bc, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdb90550e, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdc5bf294, "__bread_gfp" },
	{ 0xddcfc9c4, "block_dirty_folio" },
	{ 0xec6add52, "mpage_read_folio" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x8a8dbb25, "__insert_inode_hash" },
	{ 0x5ec553d8, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x457f4892, "make_kgid" },
	{ 0xe70fac7f, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x681f812f, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa34cd124, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x95d50701, "igrab" },
	{ 0xe844a02a, "__getblk_gfp" },
	{ 0x4d685289, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d6b63db, "mpage_readahead" },
	{ 0x905ef50b, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4c699f25, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xe99cf845, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x848f55d5, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xb9445231, "blkdev_issue_flush" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc903e9b1, "seq_puts" },
	{ 0x6e8a975, "generic_fh_to_parent" },
	{ 0xbf2bec53, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xfcb6996d, "from_kuid_munged" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xb0837477, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x5d6f42a9, "kmem_cache_alloc_lru" },
	{ 0xde228dd3, "__mark_inode_dirty" },
	{ 0x4344bdd9, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x12ce4d66, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x18a1bf5b, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd17107f9, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xf333d55, "kmem_cache_destroy" },
	{ 0x36efe2e2, "blkdev_issue_discard" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");
