#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x5908ccca, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x2b935e56, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x6742a715, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0xd36babba, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xf5554acd, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x2d7a037c, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xe71e729c, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x42870c3d, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x102651d4, "");
SYMBOL_CRC(key_type_rxrpc, 0x3924f338, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x5f63abdc, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x5be44ee0, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xa744cf70, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x9e40dcb7, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0x155b0e4a, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x97e7ef16, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0xe96f12ce, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x4ffa0bfe, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x79d10288, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdbd0a352, "key_alloc" },
	{ 0x76758d05, "bpf_trace_run4" },
	{ 0x8ba836a8, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7ba82a13, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc754562, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0x227be7c7, "udp_sock_create4" },
	{ 0xc204741b, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x54f4d380, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x67b45f6b, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x38ac36ab, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xb83b8c5a, "key_type_keyring" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x9edc5681, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x176398cc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xfa95ec6f, "ip_route_output_flow" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x39b8860e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc40bb154, "key_instantiate_and_link" },
	{ 0x479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xc6c6214d, "register_key_type" },
	{ 0x6e509ce6, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x31068ca5, "put_cmsg" },
	{ 0xc8b9e25a, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0xd8527f3e, "timer_reduce" },
	{ 0x28690255, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x90124f61, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x13d59da5, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd55d8c17, "make_kuid" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xdf008fe9, "kmem_cache_alloc" },
	{ 0xf97eb9b7, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x831be1e9, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xfa5c6420, "work_busy" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x4e39431c, "__sock_recv_timestamp" },
	{ 0xde31500c, "key_put" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x9677725f, "init_net" },
	{ 0x8b5c6961, "skb_pull" },
	{ 0x5968dc6d, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x596ac9fe, "sock_enable_timestamps" },
	{ 0x79147fad, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x67155c5e, "ip6_mtu" },
	{ 0x6626afca, "down" },
	{ 0x9a460438, "bpf_trace_run5" },
	{ 0x403510b2, "sk_free" },
	{ 0x5c261020, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1f598b11, "kfree_skb_reason" },
	{ 0x6254c0e, "kernel_sock_shutdown" },
	{ 0x50752ee9, "sock_no_accept" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84af0f58, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5e0c8e0f, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4b4015ba, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd69b7b90, "cancel_work" },
	{ 0xff24f21c, "lock_sock_nested" },
	{ 0x3f273cff, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x93158a7c, "skb_copy_datagram_iter" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x53dc24fe, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x343b039, "sk_alloc" },
	{ 0xb6a530ae, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x69c7b2a4, "__sock_recv_wifi_status" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xfa51813f, "sock_no_socketpair" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x63cbbf43, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf6018d29, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xa512cdb4, "key_validate" },
	{ 0x98c1aec5, "setup_udp_tunnel_sock" },
	{ 0x73ca76d1, "proc_remove" },
	{ 0xcf6ec6a1, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfed66306, "kthread_create_on_node" },
	{ 0x7d7fc4dc, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcd567f73, "ipv4_mtu" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0x15ecdd72, "keyring_search" },
	{ 0xf4c332b9, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x9f02ddc1, "request_key_tag" },
	{ 0xc6cde844, "generic_key_instantiate" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0xdb07dcb0, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe99cf845, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x87d137db, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab3a8205, "skb_clone" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe27d37ce, "dst_release" },
	{ 0x392c1beb, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x5fee2fd0, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc903e9b1, "seq_puts" },
	{ 0x6608cc4a, "sock_no_ioctl" },
	{ 0x9a43e242, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x9688a771, "bpf_trace_run7" },
	{ 0x78903989, "ip_icmp_error" },
	{ 0xdeaf0e20, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabddee59, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9636d039, "register_pernet_device" },
	{ 0x3cc3da19, "skb_condense" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd8a3acad, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xf333d55, "kmem_cache_destroy" },
	{ 0xad497886, "release_sock" },
	{ 0xc4d2e8a3, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x11bce691, "proc_create_net_single_write" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BFCDD8A38784E67A53FAD9C");
