#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rpc_create, "_gpl", "");
KSYMTAB_FUNC(rpc_clone_client, "_gpl", "");
KSYMTAB_FUNC(rpc_clone_client_set_auth, "_gpl", "");
KSYMTAB_FUNC(rpc_switch_client_transport, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_iterate_for_each_xprt, "_gpl", "");
KSYMTAB_FUNC(rpc_killall_tasks, "_gpl", "");
KSYMTAB_FUNC(rpc_cancel_tasks, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_disconnect, "_gpl", "");
KSYMTAB_FUNC(rpc_shutdown_client, "_gpl", "");
KSYMTAB_FUNC(rpc_release_client, "_gpl", "");
KSYMTAB_FUNC(rpc_bind_new_program, "_gpl", "");
KSYMTAB_FUNC(rpc_task_release_transport, "_gpl", "");
KSYMTAB_FUNC(rpc_run_task, "_gpl", "");
KSYMTAB_FUNC(rpc_call_sync, "_gpl", "");
KSYMTAB_FUNC(rpc_call_async, "_gpl", "");
KSYMTAB_FUNC(rpc_prepare_reply_pages, "_gpl", "");
KSYMTAB_FUNC(rpc_call_start, "_gpl", "");
KSYMTAB_FUNC(rpc_peeraddr, "_gpl", "");
KSYMTAB_FUNC(rpc_peeraddr2str, "_gpl", "");
KSYMTAB_FUNC(rpc_localaddr, "_gpl", "");
KSYMTAB_FUNC(rpc_setbufsize, "_gpl", "");
KSYMTAB_FUNC(rpc_net_ns, "_gpl", "");
KSYMTAB_FUNC(rpc_max_payload, "_gpl", "");
KSYMTAB_FUNC(rpc_max_bc_payload, "_gpl", "");
KSYMTAB_FUNC(rpc_num_bc_slots, "_gpl", "");
KSYMTAB_FUNC(rpc_force_rebind, "_gpl", "");
KSYMTAB_FUNC(rpc_restart_call, "_gpl", "");
KSYMTAB_FUNC(rpc_restart_call_prepare, "_gpl", "");
KSYMTAB_FUNC(rpc_call_null, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_test_and_add_xprt, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_setup_test_and_add_xprt, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_add_xprt, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_probe_trunked_xprts, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_manage_trunked_xprts, "_gpl", "");
KSYMTAB_FUNC(rpc_set_connect_timeout, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_xprt_switch_put, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_xprt_switch_add_xprt, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_xprt_switch_remove_xprt, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_xprt_switch_has_addr, "_gpl", "");
KSYMTAB_FUNC(xprt_register_transport, "_gpl", "");
KSYMTAB_FUNC(xprt_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(xprt_find_transport_ident, "_gpl", "");
KSYMTAB_FUNC(xprt_reserve_xprt, "_gpl", "");
KSYMTAB_FUNC(xprt_reserve_xprt_cong, "_gpl", "");
KSYMTAB_FUNC(xprt_release_xprt, "_gpl", "");
KSYMTAB_FUNC(xprt_release_xprt_cong, "_gpl", "");
KSYMTAB_FUNC(xprt_request_get_cong, "_gpl", "");
KSYMTAB_FUNC(xprt_release_rqst_cong, "_gpl", "");
KSYMTAB_FUNC(xprt_adjust_cwnd, "_gpl", "");
KSYMTAB_FUNC(xprt_wake_pending_tasks, "_gpl", "");
KSYMTAB_FUNC(xprt_wait_for_buffer_space, "_gpl", "");
KSYMTAB_FUNC(xprt_write_space, "_gpl", "");
KSYMTAB_FUNC(xprt_disconnect_done, "_gpl", "");
KSYMTAB_FUNC(xprt_force_disconnect, "_gpl", "");
KSYMTAB_FUNC(xprt_lock_connect, "_gpl", "");
KSYMTAB_FUNC(xprt_unlock_connect, "_gpl", "");
KSYMTAB_FUNC(xprt_reconnect_delay, "_gpl", "");
KSYMTAB_FUNC(xprt_reconnect_backoff, "_gpl", "");
KSYMTAB_FUNC(xprt_lookup_rqst, "_gpl", "");
KSYMTAB_FUNC(xprt_pin_rqst, "_gpl", "");
KSYMTAB_FUNC(xprt_unpin_rqst, "_gpl", "");
KSYMTAB_FUNC(xprt_update_rtt, "_gpl", "");
KSYMTAB_FUNC(xprt_complete_rqst, "_gpl", "");
KSYMTAB_FUNC(xprt_wait_for_reply_request_def, "_gpl", "");
KSYMTAB_FUNC(xprt_wait_for_reply_request_rtt, "_gpl", "");
KSYMTAB_FUNC(xprt_add_backlog, "_gpl", "");
KSYMTAB_FUNC(xprt_wake_up_backlog, "_gpl", "");
KSYMTAB_FUNC(xprt_alloc_slot, "_gpl", "");
KSYMTAB_FUNC(xprt_free_slot, "_gpl", "");
KSYMTAB_FUNC(xprt_alloc, "_gpl", "");
KSYMTAB_FUNC(xprt_free, "_gpl", "");
KSYMTAB_FUNC(xprt_get, "_gpl", "");
KSYMTAB_FUNC(xprt_put, "_gpl", "");
KSYMTAB_FUNC(csum_partial_copy_to_xdr, "_gpl", "");
KSYMTAB_DATA(xprtiod_workqueue, "_gpl", "");
KSYMTAB_FUNC(rpc_task_gfp_mask, "_gpl", "");
KSYMTAB_FUNC(rpc_task_timeout, "_gpl", "");
KSYMTAB_FUNC(rpc_init_priority_wait_queue, "_gpl", "");
KSYMTAB_FUNC(rpc_init_wait_queue, "_gpl", "");
KSYMTAB_FUNC(rpc_destroy_wait_queue, "_gpl", "");
KSYMTAB_FUNC(rpc_wait_for_completion_task, "_gpl", "");
KSYMTAB_FUNC(rpc_sleep_on_timeout, "_gpl", "");
KSYMTAB_FUNC(rpc_sleep_on, "_gpl", "");
KSYMTAB_FUNC(rpc_sleep_on_priority_timeout, "_gpl", "");
KSYMTAB_FUNC(rpc_sleep_on_priority, "_gpl", "");
KSYMTAB_FUNC(rpc_wake_up_queued_task, "_gpl", "");
KSYMTAB_FUNC(rpc_wake_up_first, "_gpl", "");
KSYMTAB_FUNC(rpc_wake_up_next, "_gpl", "");
KSYMTAB_FUNC(rpc_wake_up, "_gpl", "");
KSYMTAB_FUNC(rpc_wake_up_status, "_gpl", "");
KSYMTAB_FUNC(rpc_delay, "_gpl", "");
KSYMTAB_FUNC(rpc_exit, "_gpl", "");
KSYMTAB_FUNC(rpc_malloc, "_gpl", "");
KSYMTAB_FUNC(rpc_free, "_gpl", "");
KSYMTAB_FUNC(rpc_put_task, "_gpl", "");
KSYMTAB_FUNC(rpc_put_task_async, "_gpl", "");
KSYMTAB_FUNC(rpc_machine_cred, "_gpl", "");
KSYMTAB_FUNC(rpcauth_register, "_gpl", "");
KSYMTAB_FUNC(rpcauth_unregister, "_gpl", "");
KSYMTAB_FUNC(rpcauth_get_pseudoflavor, "_gpl", "");
KSYMTAB_FUNC(rpcauth_get_gssinfo, "_gpl", "");
KSYMTAB_FUNC(rpcauth_create, "_gpl", "");
KSYMTAB_FUNC(rpcauth_init_credcache, "_gpl", "");
KSYMTAB_FUNC(rpcauth_stringify_acceptor, "_gpl", "");
KSYMTAB_FUNC(rpcauth_destroy_credcache, "_gpl", "");
KSYMTAB_FUNC(rpcauth_lookup_credcache, "_gpl", "");
KSYMTAB_FUNC(rpcauth_lookupcred, "_gpl", "");
KSYMTAB_FUNC(rpcauth_init_cred, "_gpl", "");
KSYMTAB_FUNC(put_rpccred, "_gpl", "");
KSYMTAB_FUNC(rpcauth_wrap_req_encode, "_gpl", "");
KSYMTAB_FUNC(rpcauth_unwrap_resp_decode, "_gpl", "");
KSYMTAB_FUNC(svc_rpcb_setup, "_gpl", "");
KSYMTAB_FUNC(svc_rpcb_cleanup, "_gpl", "");
KSYMTAB_FUNC(svc_bind, "_gpl", "");
KSYMTAB_FUNC(svc_create, "_gpl", "");
KSYMTAB_FUNC(svc_create_pooled, "_gpl", "");
KSYMTAB_FUNC(svc_destroy, "_gpl", "");
KSYMTAB_FUNC(svc_rqst_alloc, "_gpl", "");
KSYMTAB_FUNC(svc_set_num_threads, "_gpl", "");
KSYMTAB_FUNC(svc_rqst_replace_page, "_gpl", "");
KSYMTAB_FUNC(svc_rqst_free, "_gpl", "");
KSYMTAB_FUNC(svc_exit_thread, "_gpl", "");
KSYMTAB_FUNC(svc_rpcbind_set_version, "_gpl", "");
KSYMTAB_FUNC(svc_generic_rpcbind_set, "_gpl", "");
KSYMTAB_FUNC(svc_generic_init_request, "_gpl", "");
KSYMTAB_FUNC(bc_svc_process, "_gpl", "");
KSYMTAB_FUNC(svc_max_payload, "_gpl", "");
KSYMTAB_FUNC(svc_encode_result_payload, "_gpl", "");
KSYMTAB_FUNC(svc_fill_write_vector, "_gpl", "");
KSYMTAB_FUNC(svc_fill_symlink_pathname, "_gpl", "");
KSYMTAB_FUNC(svc_sock_update_bufs, "_gpl", "");
KSYMTAB_FUNC(svc_addsock, "_gpl", "");
KSYMTAB_FUNC(svc_authenticate, "_gpl", "");
KSYMTAB_FUNC(svc_set_client, "_gpl", "");
KSYMTAB_FUNC(svc_auth_register, "_gpl", "");
KSYMTAB_FUNC(svc_auth_unregister, "_gpl", "");
KSYMTAB_FUNC(auth_domain_put, "_gpl", "");
KSYMTAB_FUNC(auth_domain_lookup, "_gpl", "");
KSYMTAB_FUNC(auth_domain_find, "_gpl", "");
KSYMTAB_FUNC(unix_domain_find, "_gpl", "");
KSYMTAB_FUNC(svcauth_unix_purge, "_gpl", "");
KSYMTAB_FUNC(svcauth_unix_set_client, "_gpl", "");
KSYMTAB_FUNC(rpc_ntop, "_gpl", "");
KSYMTAB_FUNC(rpc_pton, "_gpl", "");
KSYMTAB_FUNC(rpc_uaddr2sockaddr, "_gpl", "");
KSYMTAB_FUNC(rpcb_getport_async, "_gpl", "");
KSYMTAB_FUNC(rpc_init_rtt, "_gpl", "");
KSYMTAB_FUNC(rpc_update_rtt, "_gpl", "");
KSYMTAB_FUNC(rpc_calc_rto, "_gpl", "");
KSYMTAB_FUNC(xdr_encode_netobj, "_gpl", "");
KSYMTAB_FUNC(xdr_decode_netobj, "_gpl", "");
KSYMTAB_FUNC(xdr_encode_opaque_fixed, "_gpl", "");
KSYMTAB_FUNC(xdr_encode_opaque, "_gpl", "");
KSYMTAB_FUNC(xdr_encode_string, "_gpl", "");
KSYMTAB_FUNC(xdr_decode_string_inplace, "_gpl", "");
KSYMTAB_FUNC(xdr_terminate_string, "_gpl", "");
KSYMTAB_FUNC(xdr_inline_pages, "_gpl", "");
KSYMTAB_FUNC(_copy_from_pages, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_pos, "_gpl", "");
KSYMTAB_FUNC(xdr_page_pos, "_gpl", "");
KSYMTAB_FUNC(xdr_init_encode, "_gpl", "");
KSYMTAB_FUNC(xdr_init_encode_pages, "_gpl", "");
KSYMTAB_FUNC(__xdr_commit_encode, "_gpl", "");
KSYMTAB_FUNC(xdr_reserve_space, "_gpl", "");
KSYMTAB_FUNC(xdr_reserve_space_vec, "_gpl", "");
KSYMTAB_FUNC(xdr_truncate_encode, "", "");
KSYMTAB_FUNC(xdr_truncate_decode, "_gpl", "");
KSYMTAB_FUNC(xdr_restrict_buflen, "", "");
KSYMTAB_FUNC(xdr_write_pages, "_gpl", "");
KSYMTAB_FUNC(xdr_init_decode, "_gpl", "");
KSYMTAB_FUNC(xdr_init_decode_pages, "_gpl", "");
KSYMTAB_FUNC(xdr_finish_decode, "", "");
KSYMTAB_FUNC(xdr_inline_decode, "_gpl", "");
KSYMTAB_FUNC(xdr_read_pages, "_gpl", "");
KSYMTAB_FUNC(xdr_set_pagelen, "_gpl", "");
KSYMTAB_FUNC(xdr_enter_page, "_gpl", "");
KSYMTAB_FUNC(xdr_buf_from_iov, "_gpl", "");
KSYMTAB_FUNC(xdr_buf_subsegment, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_subsegment, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_move_subsegment, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_zero, "_gpl", "");
KSYMTAB_FUNC(xdr_buf_trim, "_gpl", "");
KSYMTAB_FUNC(read_bytes_from_xdr_buf, "_gpl", "");
KSYMTAB_FUNC(write_bytes_to_xdr_buf, "_gpl", "");
KSYMTAB_FUNC(xdr_decode_word, "_gpl", "");
KSYMTAB_FUNC(xdr_encode_word, "_gpl", "");
KSYMTAB_FUNC(xdr_decode_array2, "_gpl", "");
KSYMTAB_FUNC(xdr_encode_array2, "_gpl", "");
KSYMTAB_FUNC(xdr_process_buf, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_decode_opaque, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_decode_opaque_dup, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_decode_string, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_decode_string_dup, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_decode_opaque_auth, "_gpl", "");
KSYMTAB_FUNC(xdr_stream_encode_opaque_auth, "_gpl", "");
KSYMTAB_DATA(sunrpc_net_id, "_gpl", "");
KSYMTAB_FUNC(sunrpc_cache_lookup_rcu, "_gpl", "");
KSYMTAB_FUNC(sunrpc_cache_update, "_gpl", "");
KSYMTAB_FUNC(cache_check, "_gpl", "");
KSYMTAB_FUNC(sunrpc_init_cache_detail, "_gpl", "");
KSYMTAB_FUNC(sunrpc_destroy_cache_detail, "_gpl", "");
KSYMTAB_FUNC(cache_flush, "_gpl", "");
KSYMTAB_FUNC(cache_purge, "_gpl", "");
KSYMTAB_FUNC(qword_add, "_gpl", "");
KSYMTAB_FUNC(qword_addhex, "_gpl", "");
KSYMTAB_FUNC(sunrpc_cache_pipe_upcall, "_gpl", "");
KSYMTAB_FUNC(sunrpc_cache_pipe_upcall_timeout, "_gpl", "");
KSYMTAB_FUNC(qword_get, "_gpl", "");
KSYMTAB_FUNC(cache_seq_start_rcu, "_gpl", "");
KSYMTAB_FUNC(cache_seq_next_rcu, "_gpl", "");
KSYMTAB_FUNC(cache_seq_stop_rcu, "_gpl", "");
KSYMTAB_FUNC(cache_register_net, "_gpl", "");
KSYMTAB_FUNC(cache_unregister_net, "_gpl", "");
KSYMTAB_FUNC(cache_create_net, "_gpl", "");
KSYMTAB_FUNC(cache_destroy_net, "_gpl", "");
KSYMTAB_FUNC(sunrpc_cache_register_pipefs, "_gpl", "");
KSYMTAB_FUNC(sunrpc_cache_unregister_pipefs, "_gpl", "");
KSYMTAB_FUNC(sunrpc_cache_unhash, "_gpl", "");
KSYMTAB_FUNC(rpc_pipefs_notifier_register, "_gpl", "");
KSYMTAB_FUNC(rpc_pipefs_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(rpc_pipe_generic_upcall, "_gpl", "");
KSYMTAB_FUNC(rpc_queue_upcall, "_gpl", "");
KSYMTAB_FUNC(rpc_destroy_pipe_data, "_gpl", "");
KSYMTAB_FUNC(rpc_mkpipe_data, "_gpl", "");
KSYMTAB_FUNC(rpc_mkpipe_dentry, "_gpl", "");
KSYMTAB_FUNC(rpc_unlink, "_gpl", "");
KSYMTAB_FUNC(rpc_init_pipe_dir_head, "_gpl", "");
KSYMTAB_FUNC(rpc_init_pipe_dir_object, "_gpl", "");
KSYMTAB_FUNC(rpc_add_pipe_dir_object, "_gpl", "");
KSYMTAB_FUNC(rpc_remove_pipe_dir_object, "_gpl", "");
KSYMTAB_FUNC(rpc_find_or_alloc_pipe_dir_object, "_gpl", "");
KSYMTAB_FUNC(rpc_d_lookup_sb, "_gpl", "");
KSYMTAB_FUNC(rpc_get_sb_net, "_gpl", "");
KSYMTAB_FUNC(rpc_put_sb_net, "_gpl", "");
KSYMTAB_FUNC(gssd_running, "_gpl", "");
KSYMTAB_FUNC(svc_reg_xprt_class, "_gpl", "");
KSYMTAB_FUNC(svc_unreg_xprt_class, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_deferred_close, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_put, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_init, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_received, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_create, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_copy_addrs, "_gpl", "");
KSYMTAB_FUNC(svc_print_addr, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_enqueue, "_gpl", "");
KSYMTAB_FUNC(svc_reserve, "_gpl", "");
KSYMTAB_FUNC(svc_wake_up, "_gpl", "");
KSYMTAB_FUNC(svc_recv, "_gpl", "");
KSYMTAB_FUNC(svc_drop, "_gpl", "");
KSYMTAB_FUNC(svc_age_temp_xprts_now, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_close, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_destroy_all, "_gpl", "");
KSYMTAB_FUNC(svc_find_xprt, "_gpl", "");
KSYMTAB_FUNC(svc_xprt_names, "_gpl", "");
KSYMTAB_FUNC(svc_pool_stats_open, "", "");
KSYMTAB_FUNC(xprt_setup_backchannel, "_gpl", "");
KSYMTAB_FUNC(xprt_destroy_backchannel, "_gpl", "");
KSYMTAB_FUNC(svc_seq_show, "_gpl", "");
KSYMTAB_FUNC(rpc_alloc_iostats, "_gpl", "");
KSYMTAB_FUNC(rpc_free_iostats, "_gpl", "");
KSYMTAB_FUNC(rpc_count_iostats_metrics, "_gpl", "");
KSYMTAB_FUNC(rpc_count_iostats, "_gpl", "");
KSYMTAB_FUNC(rpc_clnt_show_stats, "_gpl", "");
KSYMTAB_FUNC(rpc_proc_register, "_gpl", "");
KSYMTAB_FUNC(rpc_proc_unregister, "_gpl", "");
KSYMTAB_FUNC(svc_proc_register, "_gpl", "");
KSYMTAB_FUNC(svc_proc_unregister, "_gpl", "");
KSYMTAB_DATA(rpc_debug, "_gpl", "");
KSYMTAB_DATA(nfs_debug, "_gpl", "");
KSYMTAB_DATA(nfsd_debug, "_gpl", "");
KSYMTAB_DATA(nlm_debug, "_gpl", "");

SYMBOL_CRC(rpc_create, 0x7ce12563, "_gpl");
SYMBOL_CRC(rpc_clone_client, 0x7f8e30df, "_gpl");
SYMBOL_CRC(rpc_clone_client_set_auth, 0xef180068, "_gpl");
SYMBOL_CRC(rpc_switch_client_transport, 0x85a32d5e, "_gpl");
SYMBOL_CRC(rpc_clnt_iterate_for_each_xprt, 0x9d7b1b11, "_gpl");
SYMBOL_CRC(rpc_killall_tasks, 0x0479469a, "_gpl");
SYMBOL_CRC(rpc_cancel_tasks, 0xa55faf5f, "_gpl");
SYMBOL_CRC(rpc_clnt_disconnect, 0x69fb58e3, "_gpl");
SYMBOL_CRC(rpc_shutdown_client, 0x7f47ec2c, "_gpl");
SYMBOL_CRC(rpc_release_client, 0xc332f5fa, "_gpl");
SYMBOL_CRC(rpc_bind_new_program, 0xdba3ac4f, "_gpl");
SYMBOL_CRC(rpc_task_release_transport, 0xbfcb665e, "_gpl");
SYMBOL_CRC(rpc_run_task, 0x8abd8670, "_gpl");
SYMBOL_CRC(rpc_call_sync, 0x189b1209, "_gpl");
SYMBOL_CRC(rpc_call_async, 0x88fdea74, "_gpl");
SYMBOL_CRC(rpc_prepare_reply_pages, 0x939b7403, "_gpl");
SYMBOL_CRC(rpc_call_start, 0x12dbee7d, "_gpl");
SYMBOL_CRC(rpc_peeraddr, 0x86fee20c, "_gpl");
SYMBOL_CRC(rpc_peeraddr2str, 0xfa659f32, "_gpl");
SYMBOL_CRC(rpc_localaddr, 0x6eca2e7a, "_gpl");
SYMBOL_CRC(rpc_setbufsize, 0x1ff1a8fb, "_gpl");
SYMBOL_CRC(rpc_net_ns, 0x024178cb, "_gpl");
SYMBOL_CRC(rpc_max_payload, 0x18542668, "_gpl");
SYMBOL_CRC(rpc_max_bc_payload, 0xa7da53c0, "_gpl");
SYMBOL_CRC(rpc_num_bc_slots, 0x879093d9, "_gpl");
SYMBOL_CRC(rpc_force_rebind, 0x575155c8, "_gpl");
SYMBOL_CRC(rpc_restart_call, 0x13bb06c6, "_gpl");
SYMBOL_CRC(rpc_restart_call_prepare, 0xbc420cf4, "_gpl");
SYMBOL_CRC(rpc_call_null, 0x3db7746a, "_gpl");
SYMBOL_CRC(rpc_clnt_test_and_add_xprt, 0x6b3eaa72, "_gpl");
SYMBOL_CRC(rpc_clnt_setup_test_and_add_xprt, 0xde214e4c, "_gpl");
SYMBOL_CRC(rpc_clnt_add_xprt, 0x0b4e0a77, "_gpl");
SYMBOL_CRC(rpc_clnt_probe_trunked_xprts, 0xe17ccbb7, "_gpl");
SYMBOL_CRC(rpc_clnt_manage_trunked_xprts, 0xc88ce012, "_gpl");
SYMBOL_CRC(rpc_set_connect_timeout, 0x6dfa9ce4, "_gpl");
SYMBOL_CRC(rpc_clnt_xprt_switch_put, 0xe5990717, "_gpl");
SYMBOL_CRC(rpc_clnt_xprt_switch_add_xprt, 0x19e31485, "_gpl");
SYMBOL_CRC(rpc_clnt_xprt_switch_remove_xprt, 0x4dc7601d, "_gpl");
SYMBOL_CRC(rpc_clnt_xprt_switch_has_addr, 0xd821462c, "_gpl");
SYMBOL_CRC(xprt_register_transport, 0x8fe9f152, "_gpl");
SYMBOL_CRC(xprt_unregister_transport, 0x64b5b270, "_gpl");
SYMBOL_CRC(xprt_find_transport_ident, 0xdd691402, "_gpl");
SYMBOL_CRC(xprt_reserve_xprt, 0xeff1d23c, "_gpl");
SYMBOL_CRC(xprt_reserve_xprt_cong, 0x484fa71a, "_gpl");
SYMBOL_CRC(xprt_release_xprt, 0x536c6222, "_gpl");
SYMBOL_CRC(xprt_release_xprt_cong, 0x37560a74, "_gpl");
SYMBOL_CRC(xprt_request_get_cong, 0xdf78bab0, "_gpl");
SYMBOL_CRC(xprt_release_rqst_cong, 0xde75c405, "_gpl");
SYMBOL_CRC(xprt_adjust_cwnd, 0xf28be509, "_gpl");
SYMBOL_CRC(xprt_wake_pending_tasks, 0xbacbe52e, "_gpl");
SYMBOL_CRC(xprt_wait_for_buffer_space, 0xf3209f06, "_gpl");
SYMBOL_CRC(xprt_write_space, 0x0be0e08f, "_gpl");
SYMBOL_CRC(xprt_disconnect_done, 0x9e984fd3, "_gpl");
SYMBOL_CRC(xprt_force_disconnect, 0xfa23da87, "_gpl");
SYMBOL_CRC(xprt_lock_connect, 0x578d8b1f, "_gpl");
SYMBOL_CRC(xprt_unlock_connect, 0xb729d2d3, "_gpl");
SYMBOL_CRC(xprt_reconnect_delay, 0x565936d9, "_gpl");
SYMBOL_CRC(xprt_reconnect_backoff, 0x6cfc47e0, "_gpl");
SYMBOL_CRC(xprt_lookup_rqst, 0xd8715f33, "_gpl");
SYMBOL_CRC(xprt_pin_rqst, 0xa01522f9, "_gpl");
SYMBOL_CRC(xprt_unpin_rqst, 0x18b68689, "_gpl");
SYMBOL_CRC(xprt_update_rtt, 0x3726bfbc, "_gpl");
SYMBOL_CRC(xprt_complete_rqst, 0x980d09db, "_gpl");
SYMBOL_CRC(xprt_wait_for_reply_request_def, 0x3be8cde1, "_gpl");
SYMBOL_CRC(xprt_wait_for_reply_request_rtt, 0x877af7f4, "_gpl");
SYMBOL_CRC(xprt_add_backlog, 0x9443d5a1, "_gpl");
SYMBOL_CRC(xprt_wake_up_backlog, 0xab1b8b20, "_gpl");
SYMBOL_CRC(xprt_alloc_slot, 0x372e0761, "_gpl");
SYMBOL_CRC(xprt_free_slot, 0x050a83eb, "_gpl");
SYMBOL_CRC(xprt_alloc, 0x41e9994d, "_gpl");
SYMBOL_CRC(xprt_free, 0x5541c995, "_gpl");
SYMBOL_CRC(xprt_get, 0x68a9782f, "_gpl");
SYMBOL_CRC(xprt_put, 0x6a855ce3, "_gpl");
SYMBOL_CRC(csum_partial_copy_to_xdr, 0x658ce9d8, "_gpl");
SYMBOL_CRC(xprtiod_workqueue, 0x4afedab1, "_gpl");
SYMBOL_CRC(rpc_task_gfp_mask, 0x609202f9, "_gpl");
SYMBOL_CRC(rpc_task_timeout, 0x976b80be, "_gpl");
SYMBOL_CRC(rpc_init_priority_wait_queue, 0xbab4e186, "_gpl");
SYMBOL_CRC(rpc_init_wait_queue, 0x2826f814, "_gpl");
SYMBOL_CRC(rpc_destroy_wait_queue, 0x0d1a1822, "_gpl");
SYMBOL_CRC(rpc_wait_for_completion_task, 0x95caad4c, "_gpl");
SYMBOL_CRC(rpc_sleep_on_timeout, 0x8eb80903, "_gpl");
SYMBOL_CRC(rpc_sleep_on, 0x7a3bd4c6, "_gpl");
SYMBOL_CRC(rpc_sleep_on_priority_timeout, 0x508f3113, "_gpl");
SYMBOL_CRC(rpc_sleep_on_priority, 0xc241d5e6, "_gpl");
SYMBOL_CRC(rpc_wake_up_queued_task, 0xbc94dfb6, "_gpl");
SYMBOL_CRC(rpc_wake_up_first, 0x7ba85505, "_gpl");
SYMBOL_CRC(rpc_wake_up_next, 0xb50425a5, "_gpl");
SYMBOL_CRC(rpc_wake_up, 0x6ef75f09, "_gpl");
SYMBOL_CRC(rpc_wake_up_status, 0xf3dcf2c7, "_gpl");
SYMBOL_CRC(rpc_delay, 0xb219f754, "_gpl");
SYMBOL_CRC(rpc_exit, 0x4f66db49, "_gpl");
SYMBOL_CRC(rpc_malloc, 0x80494211, "_gpl");
SYMBOL_CRC(rpc_free, 0xcf6d1ef1, "_gpl");
SYMBOL_CRC(rpc_put_task, 0x2439d7d1, "_gpl");
SYMBOL_CRC(rpc_put_task_async, 0xe1af765e, "_gpl");
SYMBOL_CRC(rpc_machine_cred, 0x9a25145d, "_gpl");
SYMBOL_CRC(rpcauth_register, 0xf03ce009, "_gpl");
SYMBOL_CRC(rpcauth_unregister, 0x85ea4b40, "_gpl");
SYMBOL_CRC(rpcauth_get_pseudoflavor, 0x1e119a79, "_gpl");
SYMBOL_CRC(rpcauth_get_gssinfo, 0x3f9a2b0b, "_gpl");
SYMBOL_CRC(rpcauth_create, 0x6cc44228, "_gpl");
SYMBOL_CRC(rpcauth_init_credcache, 0x8fe63403, "_gpl");
SYMBOL_CRC(rpcauth_stringify_acceptor, 0xab4023d2, "_gpl");
SYMBOL_CRC(rpcauth_destroy_credcache, 0x88c13919, "_gpl");
SYMBOL_CRC(rpcauth_lookup_credcache, 0x1b7acb8d, "_gpl");
SYMBOL_CRC(rpcauth_lookupcred, 0xee73a837, "_gpl");
SYMBOL_CRC(rpcauth_init_cred, 0x23f5993f, "_gpl");
SYMBOL_CRC(put_rpccred, 0xd3c86119, "_gpl");
SYMBOL_CRC(rpcauth_wrap_req_encode, 0x5f4a18b5, "_gpl");
SYMBOL_CRC(rpcauth_unwrap_resp_decode, 0x8c8bc48a, "_gpl");
SYMBOL_CRC(svc_rpcb_setup, 0xc4af47c6, "_gpl");
SYMBOL_CRC(svc_rpcb_cleanup, 0x6586c9cb, "_gpl");
SYMBOL_CRC(svc_bind, 0xef551502, "_gpl");
SYMBOL_CRC(svc_create, 0xcabaa86f, "_gpl");
SYMBOL_CRC(svc_create_pooled, 0x867392c5, "_gpl");
SYMBOL_CRC(svc_destroy, 0x3bef858f, "_gpl");
SYMBOL_CRC(svc_rqst_alloc, 0xb7b8744e, "_gpl");
SYMBOL_CRC(svc_set_num_threads, 0xee6cb481, "_gpl");
SYMBOL_CRC(svc_rqst_replace_page, 0x81d04789, "_gpl");
SYMBOL_CRC(svc_rqst_free, 0xe6ba0e0e, "_gpl");
SYMBOL_CRC(svc_exit_thread, 0x6509ebe5, "_gpl");
SYMBOL_CRC(svc_rpcbind_set_version, 0x590cd259, "_gpl");
SYMBOL_CRC(svc_generic_rpcbind_set, 0xadbd9806, "_gpl");
SYMBOL_CRC(svc_generic_init_request, 0x6321937c, "_gpl");
SYMBOL_CRC(bc_svc_process, 0xf82c9ac0, "_gpl");
SYMBOL_CRC(svc_max_payload, 0xff6880f7, "_gpl");
SYMBOL_CRC(svc_encode_result_payload, 0x8e3b9c64, "_gpl");
SYMBOL_CRC(svc_fill_write_vector, 0x34f4a567, "_gpl");
SYMBOL_CRC(svc_fill_symlink_pathname, 0x12457f21, "_gpl");
SYMBOL_CRC(svc_sock_update_bufs, 0x11bcfded, "_gpl");
SYMBOL_CRC(svc_addsock, 0x7955d204, "_gpl");
SYMBOL_CRC(svc_authenticate, 0x16092b88, "_gpl");
SYMBOL_CRC(svc_set_client, 0x0bb6db03, "_gpl");
SYMBOL_CRC(svc_auth_register, 0xb1228415, "_gpl");
SYMBOL_CRC(svc_auth_unregister, 0x5a45ba31, "_gpl");
SYMBOL_CRC(auth_domain_put, 0xd9313cc2, "_gpl");
SYMBOL_CRC(auth_domain_lookup, 0x3eb6e429, "_gpl");
SYMBOL_CRC(auth_domain_find, 0xd5f12995, "_gpl");
SYMBOL_CRC(unix_domain_find, 0x74bd75d5, "_gpl");
SYMBOL_CRC(svcauth_unix_purge, 0x9fdd6e52, "_gpl");
SYMBOL_CRC(svcauth_unix_set_client, 0x8f3d1e98, "_gpl");
SYMBOL_CRC(rpc_ntop, 0x549c0738, "_gpl");
SYMBOL_CRC(rpc_pton, 0x477dea3c, "_gpl");
SYMBOL_CRC(rpc_uaddr2sockaddr, 0xca2c2cf4, "_gpl");
SYMBOL_CRC(rpcb_getport_async, 0x01156ec7, "_gpl");
SYMBOL_CRC(rpc_init_rtt, 0x7de53067, "_gpl");
SYMBOL_CRC(rpc_update_rtt, 0xeeacab69, "_gpl");
SYMBOL_CRC(rpc_calc_rto, 0xc12435e3, "_gpl");
SYMBOL_CRC(xdr_encode_netobj, 0x4dac77f0, "_gpl");
SYMBOL_CRC(xdr_decode_netobj, 0xce678a59, "_gpl");
SYMBOL_CRC(xdr_encode_opaque_fixed, 0x065994f1, "_gpl");
SYMBOL_CRC(xdr_encode_opaque, 0xe5919cb1, "_gpl");
SYMBOL_CRC(xdr_encode_string, 0x05e807a9, "_gpl");
SYMBOL_CRC(xdr_decode_string_inplace, 0x2919b156, "_gpl");
SYMBOL_CRC(xdr_terminate_string, 0x1282cf23, "_gpl");
SYMBOL_CRC(xdr_inline_pages, 0x2f047386, "_gpl");
SYMBOL_CRC(_copy_from_pages, 0xe3f45267, "_gpl");
SYMBOL_CRC(xdr_stream_pos, 0x79fc3610, "_gpl");
SYMBOL_CRC(xdr_page_pos, 0x02954600, "_gpl");
SYMBOL_CRC(xdr_init_encode, 0xc725446c, "_gpl");
SYMBOL_CRC(xdr_init_encode_pages, 0x8d974fe2, "_gpl");
SYMBOL_CRC(__xdr_commit_encode, 0xfca5e57b, "_gpl");
SYMBOL_CRC(xdr_reserve_space, 0x6d8ac151, "_gpl");
SYMBOL_CRC(xdr_reserve_space_vec, 0xe2019383, "_gpl");
SYMBOL_CRC(xdr_truncate_encode, 0xe7126910, "");
SYMBOL_CRC(xdr_truncate_decode, 0xe0c95f90, "_gpl");
SYMBOL_CRC(xdr_restrict_buflen, 0xb0a2421f, "");
SYMBOL_CRC(xdr_write_pages, 0x4ba758a8, "_gpl");
SYMBOL_CRC(xdr_init_decode, 0x89ae36df, "_gpl");
SYMBOL_CRC(xdr_init_decode_pages, 0x39e05e57, "_gpl");
SYMBOL_CRC(xdr_finish_decode, 0x428d99bd, "");
SYMBOL_CRC(xdr_inline_decode, 0x3867f0ff, "_gpl");
SYMBOL_CRC(xdr_read_pages, 0x94e33833, "_gpl");
SYMBOL_CRC(xdr_set_pagelen, 0x3737faca, "_gpl");
SYMBOL_CRC(xdr_enter_page, 0xf7ec2534, "_gpl");
SYMBOL_CRC(xdr_buf_from_iov, 0x36dde733, "_gpl");
SYMBOL_CRC(xdr_buf_subsegment, 0xd423f4b6, "_gpl");
SYMBOL_CRC(xdr_stream_subsegment, 0xd399252c, "_gpl");
SYMBOL_CRC(xdr_stream_move_subsegment, 0x309a958f, "_gpl");
SYMBOL_CRC(xdr_stream_zero, 0xb4e98403, "_gpl");
SYMBOL_CRC(xdr_buf_trim, 0x1b9ca52e, "_gpl");
SYMBOL_CRC(read_bytes_from_xdr_buf, 0x42868787, "_gpl");
SYMBOL_CRC(write_bytes_to_xdr_buf, 0xb2e05565, "_gpl");
SYMBOL_CRC(xdr_decode_word, 0xb8587ba6, "_gpl");
SYMBOL_CRC(xdr_encode_word, 0x2eb320fc, "_gpl");
SYMBOL_CRC(xdr_decode_array2, 0x758cc356, "_gpl");
SYMBOL_CRC(xdr_encode_array2, 0x890bdf9d, "_gpl");
SYMBOL_CRC(xdr_process_buf, 0x984a61cb, "_gpl");
SYMBOL_CRC(xdr_stream_decode_opaque, 0xdced7251, "_gpl");
SYMBOL_CRC(xdr_stream_decode_opaque_dup, 0x2b22b64c, "_gpl");
SYMBOL_CRC(xdr_stream_decode_string, 0x05ce2138, "_gpl");
SYMBOL_CRC(xdr_stream_decode_string_dup, 0x94381224, "_gpl");
SYMBOL_CRC(xdr_stream_decode_opaque_auth, 0x96fb262c, "_gpl");
SYMBOL_CRC(xdr_stream_encode_opaque_auth, 0x5fdf6cd0, "_gpl");
SYMBOL_CRC(sunrpc_net_id, 0x4e8f6ca7, "_gpl");
SYMBOL_CRC(sunrpc_cache_lookup_rcu, 0x8f5e5aea, "_gpl");
SYMBOL_CRC(sunrpc_cache_update, 0x4d2ca804, "_gpl");
SYMBOL_CRC(cache_check, 0x026f4db4, "_gpl");
SYMBOL_CRC(sunrpc_init_cache_detail, 0xa02592ef, "_gpl");
SYMBOL_CRC(sunrpc_destroy_cache_detail, 0x4f85f99c, "_gpl");
SYMBOL_CRC(cache_flush, 0x71fa908a, "_gpl");
SYMBOL_CRC(cache_purge, 0x8702122d, "_gpl");
SYMBOL_CRC(qword_add, 0xedcf6be4, "_gpl");
SYMBOL_CRC(qword_addhex, 0xc8e96dea, "_gpl");
SYMBOL_CRC(sunrpc_cache_pipe_upcall, 0x62cd95ec, "_gpl");
SYMBOL_CRC(sunrpc_cache_pipe_upcall_timeout, 0x850e3df4, "_gpl");
SYMBOL_CRC(qword_get, 0xe97f4ce5, "_gpl");
SYMBOL_CRC(cache_seq_start_rcu, 0x703dcf69, "_gpl");
SYMBOL_CRC(cache_seq_next_rcu, 0x7d95481e, "_gpl");
SYMBOL_CRC(cache_seq_stop_rcu, 0x51df28d5, "_gpl");
SYMBOL_CRC(cache_register_net, 0x9d7a452d, "_gpl");
SYMBOL_CRC(cache_unregister_net, 0x4dcc7d23, "_gpl");
SYMBOL_CRC(cache_create_net, 0x2d68e48a, "_gpl");
SYMBOL_CRC(cache_destroy_net, 0x468cb39c, "_gpl");
SYMBOL_CRC(sunrpc_cache_register_pipefs, 0x00b3cdfb, "_gpl");
SYMBOL_CRC(sunrpc_cache_unregister_pipefs, 0xa6712852, "_gpl");
SYMBOL_CRC(sunrpc_cache_unhash, 0x7ae9f892, "_gpl");
SYMBOL_CRC(rpc_pipefs_notifier_register, 0x387e1639, "_gpl");
SYMBOL_CRC(rpc_pipefs_notifier_unregister, 0xb51a3724, "_gpl");
SYMBOL_CRC(rpc_pipe_generic_upcall, 0xf9c72493, "_gpl");
SYMBOL_CRC(rpc_queue_upcall, 0x9a331808, "_gpl");
SYMBOL_CRC(rpc_destroy_pipe_data, 0xbd2edfd4, "_gpl");
SYMBOL_CRC(rpc_mkpipe_data, 0x2b828e4b, "_gpl");
SYMBOL_CRC(rpc_mkpipe_dentry, 0x5bc80d9e, "_gpl");
SYMBOL_CRC(rpc_unlink, 0x88e6e0ab, "_gpl");
SYMBOL_CRC(rpc_init_pipe_dir_head, 0xa22f212a, "_gpl");
SYMBOL_CRC(rpc_init_pipe_dir_object, 0x9483087c, "_gpl");
SYMBOL_CRC(rpc_add_pipe_dir_object, 0x278447a6, "_gpl");
SYMBOL_CRC(rpc_remove_pipe_dir_object, 0x710b436d, "_gpl");
SYMBOL_CRC(rpc_find_or_alloc_pipe_dir_object, 0x5851171e, "_gpl");
SYMBOL_CRC(rpc_d_lookup_sb, 0xab26af1f, "_gpl");
SYMBOL_CRC(rpc_get_sb_net, 0xeadd5b69, "_gpl");
SYMBOL_CRC(rpc_put_sb_net, 0x822d5150, "_gpl");
SYMBOL_CRC(gssd_running, 0xa270d85a, "_gpl");
SYMBOL_CRC(svc_reg_xprt_class, 0x3480aa77, "_gpl");
SYMBOL_CRC(svc_unreg_xprt_class, 0x43faa4ae, "_gpl");
SYMBOL_CRC(svc_xprt_deferred_close, 0x0b4add7d, "_gpl");
SYMBOL_CRC(svc_xprt_put, 0x018192f6, "_gpl");
SYMBOL_CRC(svc_xprt_init, 0x16e81a5e, "_gpl");
SYMBOL_CRC(svc_xprt_received, 0xe49839c9, "_gpl");
SYMBOL_CRC(svc_xprt_create, 0x8730bc69, "_gpl");
SYMBOL_CRC(svc_xprt_copy_addrs, 0xc388df45, "_gpl");
SYMBOL_CRC(svc_print_addr, 0xcd67a162, "_gpl");
SYMBOL_CRC(svc_xprt_enqueue, 0x8571e8c5, "_gpl");
SYMBOL_CRC(svc_reserve, 0x4c3fa59e, "_gpl");
SYMBOL_CRC(svc_wake_up, 0x4a342301, "_gpl");
SYMBOL_CRC(svc_recv, 0x95daf13e, "_gpl");
SYMBOL_CRC(svc_drop, 0xef3adf99, "_gpl");
SYMBOL_CRC(svc_age_temp_xprts_now, 0x6e1ab8ef, "_gpl");
SYMBOL_CRC(svc_xprt_close, 0x4a4408e2, "_gpl");
SYMBOL_CRC(svc_xprt_destroy_all, 0x1fe652a3, "_gpl");
SYMBOL_CRC(svc_find_xprt, 0xe1e2d7a3, "_gpl");
SYMBOL_CRC(svc_xprt_names, 0x743f987b, "_gpl");
SYMBOL_CRC(svc_pool_stats_open, 0x6f483a52, "");
SYMBOL_CRC(xprt_setup_backchannel, 0xdb39c3b4, "_gpl");
SYMBOL_CRC(xprt_destroy_backchannel, 0x0962e04c, "_gpl");
SYMBOL_CRC(svc_seq_show, 0x7883d1ed, "_gpl");
SYMBOL_CRC(rpc_alloc_iostats, 0x9aec536a, "_gpl");
SYMBOL_CRC(rpc_free_iostats, 0x9670b5a1, "_gpl");
SYMBOL_CRC(rpc_count_iostats_metrics, 0x79e33ec6, "_gpl");
SYMBOL_CRC(rpc_count_iostats, 0x89c05fe0, "_gpl");
SYMBOL_CRC(rpc_clnt_show_stats, 0x52ac46e3, "_gpl");
SYMBOL_CRC(rpc_proc_register, 0x4768bb83, "_gpl");
SYMBOL_CRC(rpc_proc_unregister, 0xff7508f6, "_gpl");
SYMBOL_CRC(svc_proc_register, 0x94f14c64, "_gpl");
SYMBOL_CRC(svc_proc_unregister, 0x4a2bf414, "_gpl");
SYMBOL_CRC(rpc_debug, 0x31a89d59, "_gpl");
SYMBOL_CRC(nfs_debug, 0xaf5bf6ef, "_gpl");
SYMBOL_CRC(nfsd_debug, 0xbf9d1b96, "_gpl");
SYMBOL_CRC(nlm_debug, 0x53445f68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef464c28, "getboottime64" },
	{ 0xeaf7f6cc, "tcp_sock_set_keepintvl" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb9463fa7, "__skb_checksum_complete" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xce4efdcb, "simple_rmdir" },
	{ 0xb89e7b6, "__sock_create" },
	{ 0xfba7e35e, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x895694b, "tcp_sock_set_cork" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x76758d05, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x8ba836a8, "skb_copy_bits" },
	{ 0x7ba82a13, "param_ops_uint" },
	{ 0xb37c31c0, "param_ops_ulong" },
	{ 0x86f73fc9, "tls_alert_recv" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x51d2db3c, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd54fff8c, "__folio_batch_release" },
	{ 0xc754562, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf21140d1, "new_inode" },
	{ 0xe9396e65, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0xa34b3e9b, "dump_page" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x99b99c47, "tls_handshake_close" },
	{ 0x816437ff, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc204741b, "bpf_trace_run6" },
	{ 0xfb5dbfbc, "tls_server_hello_x509" },
	{ 0x989935fa, "debugfs_create_symlink" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xefc7bfe1, "iov_iter_advance" },
	{ 0x93c8360f, "simple_statfs" },
	{ 0xf462bc01, "get_tree_keyed" },
	{ 0x94506bb, "d_make_root" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x82c87ad5, "nr_online_nodes" },
	{ 0x67c51b8d, "kernel_bind" },
	{ 0xc54e6f0d, "register_shrinker" },
	{ 0xb940689, "fsnotify" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x54fd0485, "tcp_sock_set_user_timeout" },
	{ 0x3f731e58, "tls_handshake_cancel" },
	{ 0x8d235a1, "tls_get_record_type" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xad50d6a5, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x4e1e727e, "skb_copy_and_csum_bits" },
	{ 0xc7073d51, "kset_unregister" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0xf89ac26d, "seq_lseek" },
	{ 0x3a5c6739, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x42c19aa2, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6140e51f, "proc_create_data" },
	{ 0xa1fb5838, "__skb_recv_udp" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x62c5ec24, "__tracepoint_sk_data_ready" },
	{ 0x176398cc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x64693f26, "d_hash_and_lookup" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa88fa941, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3c97a557, "kernel_accept" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe866afb7, "__module_get" },
	{ 0xcb51ab86, "kthread_data" },
	{ 0xe8d27d4, "register_filesystem" },
	{ 0xbf422faa, "kernel_recvmsg" },
	{ 0x39b8860e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfae16fae, "sock_alloc_file" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xae9191a7, "mempool_free" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5f096d07, "__put_cred" },
	{ 0x64fe5b19, "register_pernet_subsys" },
	{ 0xc8b9e25a, "wake_up_process" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0xc22a30bb, "tcp_sock_set_keepcnt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xa98b0b59, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x6cc5af0e, "mempool_create" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4249fbf7, "simple_dentry_operations" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xb104adc4, "__fput_sync" },
	{ 0x7bb7c409, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xd55d8c17, "make_kuid" },
	{ 0x7ad6a12e, "d_alloc" },
	{ 0x8ead7689, "sk_clear_memalloc" },
	{ 0x3e19c050, "net_ns_type_operations" },
	{ 0x7125fe6b, "simple_dir_operations" },
	{ 0x86511ba3, "sock_set_reuseport" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x85047724, "mempool_alloc" },
	{ 0x4dd08ed2, "unregister_shrinker" },
	{ 0x62d66d69, "simple_unlink" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdf008fe9, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8aa105b9, "init_task" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xa856cb24, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x90e7da19, "inode_init_once" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x59c847cd, "cpumask_of_node" },
	{ 0xc26615d5, "tcp_sock_set_syncnt" },
	{ 0x61651be, "strcat" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x5ab8a5a9, "release_pages" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0x201c9b2a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x9677725f, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x36a84f3, "sysfs_remove_link" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4266fea2, "kernel_getpeername" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x9cac724f, "kobj_sysfs_ops" },
	{ 0xc84336ed, "mod_timer" },
	{ 0x26bf98dd, "__SCK__tp_func_sk_data_ready" },
	{ 0x82959eda, "kernel_getsockname" },
	{ 0x9a460438, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x1f598b11, "kfree_skb_reason" },
	{ 0x6254c0e, "kernel_sock_shutdown" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84af0f58, "kmem_cache_free" },
	{ 0xd5748ea, "set_cpus_allowed_ptr" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x65e0d6d7, "memory_read_from_buffer" },
	{ 0x5792f848, "strlcpy" },
	{ 0xf7555410, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x57b196f9, "seq_putc" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5e0c8e0f, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x52b1897b, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x72807917, "kobject_init_and_add" },
	{ 0x771020ce, "sock_sendmsg" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf0d498a, "__audit_inode_child" },
	{ 0xff24f21c, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3f273cff, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa963a1a4, "freezing_slow_path" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb6a530ae, "bpf_trace_run1" },
	{ 0xcec001cd, "tcp_stream_memory_free" },
	{ 0xa4a299cb, "kill_litter_super" },
	{ 0x2c39e9ea, "proc_mkdir" },
	{ 0x6cda5d11, "from_kuid" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0xb9889e9a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xfe40424b, "kernel_connect" },
	{ 0x4c6fc55b, "skb_checksum" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf1737e86, "iov_iter_bvec" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xd7934ead, "__alloc_pages" },
	{ 0xe4003862, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x162893fd, "hashlen_string" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1ba13495, "__cpu_to_node" },
	{ 0x457f4892, "make_kgid" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xe70fac7f, "from_kgid_munged" },
	{ 0x73ca76d1, "proc_remove" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a0322b7, "nonseekable_open" },
	{ 0xfed66306, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7d7fc4dc, "bpf_trace_run3" },
	{ 0x9906e9dc, "seq_read" },
	{ 0x51a48b6f, "__page_frag_cache_drain" },
	{ 0x48d3fa27, "kmalloc_large_node" },
	{ 0xbf7316fc, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9ce3ea54, "__alloc_pages_bulk" },
	{ 0xb0c144b8, "debugfs_create_file" },
	{ 0xda2afdd8, "param_set_uint_minmax" },
	{ 0xad5a476b, "kernel_listen" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9314d3e5, "kobject_del" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0xd91e80d4, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1adb249f, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x47c20f8a, "refcount_dec_not_one" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0x732dd326, "groups_free" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4c699f25, "init_user_ns" },
	{ 0x48f8d654, "alloc_pages" },
	{ 0x1733ee54, "inode_set_ctime_current" },
	{ 0x2a2d0caf, "inc_nlink" },
	{ 0x95e536be, "tcp_set_rcvlowat" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2a599527, "__folio_put" },
	{ 0xd85bebc7, "mempool_destroy" },
	{ 0x923db0d, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf338b282, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe99cf845, "seq_printf" },
	{ 0x467a6312, "sock_recvmsg" },
	{ 0x3997d881, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x58b6ff82, "dev_get_by_name" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd2a99859, "kobject_uevent" },
	{ 0x5fee2fd0, "sock_release" },
	{ 0x78e39ff6, "iov_iter_discard" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xdec2ca34, "__put_user_ns" },
	{ 0xf7c6097c, "tcp_sock_set_keepidle" },
	{ 0x7bbccd05, "nr_node_ids" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xc903e9b1, "seq_puts" },
	{ 0x531bc208, "netdev_rx_csum_fault" },
	{ 0xf919ba25, "single_release" },
	{ 0x9337cd0, "__wake_up_locked_key" },
	{ 0xccda049, "tcp_sock_set_nodelay" },
	{ 0xb87765aa, "sysfs_create_link_nowarn" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xbafbe02f, "seq_open" },
	{ 0x2e25535f, "dget_parent" },
	{ 0xfcb6996d, "from_kuid_munged" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xa62623fc, "ip_sock_set_pktinfo" },
	{ 0x13aecbd3, "get_task_cred" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb1fbeaec, "single_open" },
	{ 0x5d6f42a9, "kmem_cache_alloc_lru" },
	{ 0x69c23149, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf472a92e, "sockfd_lookup" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xc9397eba, "tls_client_hello_x509" },
	{ 0xf2b413e4, "tls_client_hello_anon" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x656c1a0e, "string_escape_mem" },
	{ 0xf333d55, "kmem_cache_destroy" },
	{ 0xad497886, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x96674452, "kset_create_and_add" },
	{ 0x2949bc7, "kobject_put" },
	{ 0xfbeae066, "sock_no_linger" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x4ebace5e, "sock_set_keepalive" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5595CF8EC2E4D26EE642EC0");
