#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0xfbc9d638, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x80c66682, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x480f7df4, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x50e64fcf, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x8ec9884d, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0xe4b3de54, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x53c631bf, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xecf5a809, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x65f4fa94, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x2393d182, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x5460e0e3, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x896f41f2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x4481ef10, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x3c4bf424, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xb4aff0a4, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x814501f1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x055cc67d, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x64328da1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0xbf4990ef, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x8741ad5c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xe3785a90, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0xf1c8cf8b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x05ca1146, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x161b1d41, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x710c40dc, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x6473de86, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x384379f3, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x07267bd8, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x6cbac84c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xa763d2c8, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xbd9671bf, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x2dbe2568, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xd476740d, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x03b9cc27, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xcbc52266, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0xd9c3102c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x561e7a8e, "vsock_enqueue_accept" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xd81087f6, "_copy_to_iter" },
	{ 0x7e899cdf, "vsock_insert_connected" },
	{ 0xbfafca53, "skb_put" },
	{ 0xc754562, "consume_skb" },
	{ 0x78c9c0cb, "trace_raw_output_prep" },
	{ 0x9eef5c63, "__trace_trigger_soft_disabled" },
	{ 0x44654eec, "vsock_remove_sock" },
	{ 0x7ed0ca36, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x98895f25, "vsock_deliver_tap" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x8fc2619f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xa4d2c391, "bpf_trace_run8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9988a7cd, "sk_error_report" },
	{ 0x2d3ccc3c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd3d9fd94, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab4c83aa, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xe78fb699, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x9bc2f5fa, "perf_trace_run_bpf_submit" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x8b5c6961, "skb_pull" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x403510b2, "sk_free" },
	{ 0x1f598b11, "kfree_skb_reason" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x99b2a1b6, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xfeff5092, "__skb_recv_datagram" },
	{ 0xff24f21c, "lock_sock_nested" },
	{ 0x86b94b0d, "vsock_stream_has_data" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x8ce4620, "vsock_find_connected_socket" },
	{ 0xac46d799, "cancel_delayed_work" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xdc357fc, "sock_efree" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{  0x399d5, "bpf_trace_run10" },
	{ 0x7042c661, "vsock_core_get_transport" },
	{ 0xd3cda7f5, "vsock_stream_has_space" },
	{ 0x2601c528, "trace_event_buffer_reserve" },
	{ 0xbc250329, "init_timer_key" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2e91b52, "delayed_work_timer_fn" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x392c1beb, "_copy_from_iter" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xaed9ac0d, "vsock_create_connected" },
	{ 0x95dc90d8, "vsock_assign_transport" },
	{ 0xdeaf0e20, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xad497886, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf5cd445d, "vsock_data_ready" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "1E83FB8A08E3BA8A9F42A67");
