#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(snd_major, "", "");
KSYMTAB_DATA(snd_ecards_limit, "", "");
KSYMTAB_FUNC(snd_request_card, "", "");
KSYMTAB_FUNC(snd_lookup_minor_data, "", "");
KSYMTAB_FUNC(snd_register_device, "", "");
KSYMTAB_FUNC(snd_unregister_device, "", "");
KSYMTAB_FUNC(snd_device_alloc, "_gpl", "");
KSYMTAB_FUNC(snd_card_new, "", "");
KSYMTAB_FUNC(snd_devm_card_new, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_on_error, "_gpl", "");
KSYMTAB_FUNC(snd_card_ref, "_gpl", "");
KSYMTAB_FUNC(snd_card_disconnect, "", "");
KSYMTAB_FUNC(snd_card_disconnect_sync, "_gpl", "");
KSYMTAB_FUNC(snd_card_free_when_closed, "", "");
KSYMTAB_FUNC(snd_card_free, "", "");
KSYMTAB_FUNC(snd_card_set_id, "", "");
KSYMTAB_FUNC(snd_card_add_dev_attr, "_gpl", "");
KSYMTAB_FUNC(snd_card_register, "", "");
KSYMTAB_FUNC(snd_component_add, "", "");
KSYMTAB_FUNC(snd_card_file_add, "", "");
KSYMTAB_FUNC(snd_card_file_remove, "", "");
KSYMTAB_FUNC(snd_power_ref_and_wait, "_gpl", "");
KSYMTAB_FUNC(snd_power_wait, "", "");
KSYMTAB_FUNC(copy_to_user_fromio, "", "");
KSYMTAB_FUNC(copy_to_iter_fromio, "", "");
KSYMTAB_FUNC(copy_from_user_toio, "", "");
KSYMTAB_FUNC(copy_from_iter_toio, "", "");
KSYMTAB_FUNC(snd_ctl_notify, "", "");
KSYMTAB_FUNC(snd_ctl_notify_one, "", "");
KSYMTAB_FUNC(snd_ctl_new1, "", "");
KSYMTAB_FUNC(snd_ctl_free_one, "", "");
KSYMTAB_FUNC(snd_ctl_add, "", "");
KSYMTAB_FUNC(snd_ctl_replace, "", "");
KSYMTAB_FUNC(snd_ctl_remove, "", "");
KSYMTAB_FUNC(snd_ctl_remove_id, "", "");
KSYMTAB_FUNC(snd_ctl_activate_id, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_rename_id, "", "");
KSYMTAB_FUNC(snd_ctl_rename, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_numid, "", "");
KSYMTAB_FUNC(snd_ctl_find_id_locked, "", "");
KSYMTAB_FUNC(snd_ctl_find_id, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_register_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl, "", "");
KSYMTAB_FUNC(snd_ctl_unregister_ioctl_compat, "", "");
KSYMTAB_FUNC(snd_ctl_get_preferred_subdevice, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_request_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_register_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_disconnect_layer, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_boolean_mono_info, "", "");
KSYMTAB_FUNC(snd_ctl_boolean_stereo_info, "", "");
KSYMTAB_FUNC(snd_ctl_enum_info, "", "");
KSYMTAB_FUNC(release_and_free_resource, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup_id, "", "");
KSYMTAB_FUNC(snd_pci_quirk_lookup, "", "");
KSYMTAB_FUNC(snd_fasync_helper, "_gpl", "");
KSYMTAB_FUNC(snd_kill_fasync, "_gpl", "");
KSYMTAB_FUNC(snd_fasync_free, "_gpl", "");
KSYMTAB_FUNC(snd_device_new, "", "");
KSYMTAB_FUNC(snd_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(snd_device_free, "", "");
KSYMTAB_FUNC(snd_device_register, "", "");
KSYMTAB_FUNC(snd_device_get_state, "_gpl", "");
KSYMTAB_DATA(snd_seq_root, "", "");
KSYMTAB_FUNC(snd_info_get_line, "", "");
KSYMTAB_FUNC(snd_info_get_str, "", "");
KSYMTAB_FUNC(snd_info_create_module_entry, "", "");
KSYMTAB_FUNC(snd_info_create_card_entry, "", "");
KSYMTAB_FUNC(snd_info_free_entry, "", "");
KSYMTAB_FUNC(snd_info_register, "", "");
KSYMTAB_FUNC(snd_card_rw_proc_new, "_gpl", "");
KSYMTAB_FUNC(snd_oss_info_register, "", "");
KSYMTAB_FUNC(snd_dma_program, "", "");
KSYMTAB_FUNC(snd_dma_disable, "", "");
KSYMTAB_FUNC(snd_dma_pointer, "", "");
KSYMTAB_FUNC(snd_devm_request_dma, "_gpl", "");
KSYMTAB_FUNC(snd_lookup_oss_minor_data, "", "");
KSYMTAB_FUNC(snd_register_oss_device, "", "");
KSYMTAB_FUNC(snd_unregister_oss_device, "", "");
KSYMTAB_FUNC(_snd_ctl_add_follower, "", "");
KSYMTAB_FUNC(snd_ctl_add_followers, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_make_virtual_master, "", "");
KSYMTAB_FUNC(snd_ctl_add_vmaster_hook, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_sync_vmaster, "_gpl", "");
KSYMTAB_FUNC(snd_ctl_apply_vmaster_followers, "_gpl", "");
KSYMTAB_FUNC(snd_jack_add_new_kctl, "", "");
KSYMTAB_FUNC(snd_jack_new, "", "");
KSYMTAB_FUNC(snd_jack_set_parent, "", "");
KSYMTAB_FUNC(snd_jack_set_key, "", "");
KSYMTAB_FUNC(snd_jack_report, "", "");

SYMBOL_CRC(snd_major, 0x8f595b11, "");
SYMBOL_CRC(snd_ecards_limit, 0x3971b4df, "");
SYMBOL_CRC(snd_request_card, 0x4a3ea5c0, "");
SYMBOL_CRC(snd_lookup_minor_data, 0xb2e5ae4a, "");
SYMBOL_CRC(snd_register_device, 0x7b157a07, "");
SYMBOL_CRC(snd_unregister_device, 0x8f3db46b, "");
SYMBOL_CRC(snd_device_alloc, 0x4032d46f, "_gpl");
SYMBOL_CRC(snd_card_new, 0x9a24e7ba, "");
SYMBOL_CRC(snd_devm_card_new, 0xec85f3ea, "_gpl");
SYMBOL_CRC(snd_card_free_on_error, 0x3ec82564, "_gpl");
SYMBOL_CRC(snd_card_ref, 0xeaf4c82e, "_gpl");
SYMBOL_CRC(snd_card_disconnect, 0x5faa43b0, "");
SYMBOL_CRC(snd_card_disconnect_sync, 0x46adaee2, "_gpl");
SYMBOL_CRC(snd_card_free_when_closed, 0x4e8cda5c, "");
SYMBOL_CRC(snd_card_free, 0x8cebd295, "");
SYMBOL_CRC(snd_card_set_id, 0x69eb11b4, "");
SYMBOL_CRC(snd_card_add_dev_attr, 0x93a458bc, "_gpl");
SYMBOL_CRC(snd_card_register, 0x374d2041, "");
SYMBOL_CRC(snd_component_add, 0x5dbe27d9, "");
SYMBOL_CRC(snd_card_file_add, 0x638b1a90, "");
SYMBOL_CRC(snd_card_file_remove, 0x8efbca51, "");
SYMBOL_CRC(snd_power_ref_and_wait, 0x9406e4af, "_gpl");
SYMBOL_CRC(snd_power_wait, 0xb92ca9f0, "");
SYMBOL_CRC(copy_to_user_fromio, 0x342a2354, "");
SYMBOL_CRC(copy_to_iter_fromio, 0xef620309, "");
SYMBOL_CRC(copy_from_user_toio, 0xfffd89db, "");
SYMBOL_CRC(copy_from_iter_toio, 0x37fdccdd, "");
SYMBOL_CRC(snd_ctl_notify, 0x3c1eb49f, "");
SYMBOL_CRC(snd_ctl_notify_one, 0xa571ac63, "");
SYMBOL_CRC(snd_ctl_new1, 0x78c1cfef, "");
SYMBOL_CRC(snd_ctl_free_one, 0xc92ad81d, "");
SYMBOL_CRC(snd_ctl_add, 0x1d47a749, "");
SYMBOL_CRC(snd_ctl_replace, 0x0ddbd6f4, "");
SYMBOL_CRC(snd_ctl_remove, 0x3c251015, "");
SYMBOL_CRC(snd_ctl_remove_id, 0x2adea664, "");
SYMBOL_CRC(snd_ctl_activate_id, 0x6398a46f, "_gpl");
SYMBOL_CRC(snd_ctl_rename_id, 0x13df6b9b, "");
SYMBOL_CRC(snd_ctl_rename, 0xb4b504d9, "");
SYMBOL_CRC(snd_ctl_find_numid_locked, 0xd7f509e6, "");
SYMBOL_CRC(snd_ctl_find_numid, 0x3126fb74, "");
SYMBOL_CRC(snd_ctl_find_id_locked, 0x7646cb10, "");
SYMBOL_CRC(snd_ctl_find_id, 0xb34d7629, "");
SYMBOL_CRC(snd_ctl_register_ioctl, 0x57e2a8d1, "");
SYMBOL_CRC(snd_ctl_register_ioctl_compat, 0x2e12de06, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl, 0x5d9b4f28, "");
SYMBOL_CRC(snd_ctl_unregister_ioctl_compat, 0x4fcae8ec, "");
SYMBOL_CRC(snd_ctl_get_preferred_subdevice, 0x15ba74a7, "_gpl");
SYMBOL_CRC(snd_ctl_request_layer, 0xfaf598c6, "_gpl");
SYMBOL_CRC(snd_ctl_register_layer, 0x48ebafb2, "_gpl");
SYMBOL_CRC(snd_ctl_disconnect_layer, 0xd79cf4ad, "_gpl");
SYMBOL_CRC(snd_ctl_boolean_mono_info, 0x5a0bc976, "");
SYMBOL_CRC(snd_ctl_boolean_stereo_info, 0x881f3074, "");
SYMBOL_CRC(snd_ctl_enum_info, 0xcc6a729f, "");
SYMBOL_CRC(release_and_free_resource, 0x95b36ac7, "");
SYMBOL_CRC(snd_pci_quirk_lookup_id, 0x73076315, "");
SYMBOL_CRC(snd_pci_quirk_lookup, 0xae902f80, "");
SYMBOL_CRC(snd_fasync_helper, 0xbd3c735b, "_gpl");
SYMBOL_CRC(snd_kill_fasync, 0xf8f2a4eb, "_gpl");
SYMBOL_CRC(snd_fasync_free, 0x5af762f1, "_gpl");
SYMBOL_CRC(snd_device_new, 0x615bd740, "");
SYMBOL_CRC(snd_device_disconnect, 0x5bed7677, "_gpl");
SYMBOL_CRC(snd_device_free, 0x3d36e63d, "");
SYMBOL_CRC(snd_device_register, 0xbe5c97a6, "");
SYMBOL_CRC(snd_device_get_state, 0xb5282e91, "_gpl");
SYMBOL_CRC(snd_seq_root, 0x6b034dca, "");
SYMBOL_CRC(snd_info_get_line, 0x24a94b26, "");
SYMBOL_CRC(snd_info_get_str, 0x9e6d79f8, "");
SYMBOL_CRC(snd_info_create_module_entry, 0x2e53732f, "");
SYMBOL_CRC(snd_info_create_card_entry, 0x7e62b3f8, "");
SYMBOL_CRC(snd_info_free_entry, 0xdd7ffdaf, "");
SYMBOL_CRC(snd_info_register, 0x34866ad7, "");
SYMBOL_CRC(snd_card_rw_proc_new, 0x7b31d528, "_gpl");
SYMBOL_CRC(snd_oss_info_register, 0x8df3789f, "");
SYMBOL_CRC(snd_dma_program, 0x18e1683f, "");
SYMBOL_CRC(snd_dma_disable, 0x70c15ac1, "");
SYMBOL_CRC(snd_dma_pointer, 0x191e88cf, "");
SYMBOL_CRC(snd_devm_request_dma, 0x8502c886, "_gpl");
SYMBOL_CRC(snd_lookup_oss_minor_data, 0x198788b4, "");
SYMBOL_CRC(snd_register_oss_device, 0x8961a5e1, "");
SYMBOL_CRC(snd_unregister_oss_device, 0x86d2c81d, "");
SYMBOL_CRC(_snd_ctl_add_follower, 0x60e32bde, "");
SYMBOL_CRC(snd_ctl_add_followers, 0x8fc49bbc, "_gpl");
SYMBOL_CRC(snd_ctl_make_virtual_master, 0x7dc417a7, "");
SYMBOL_CRC(snd_ctl_add_vmaster_hook, 0xe4801779, "_gpl");
SYMBOL_CRC(snd_ctl_sync_vmaster, 0x915e1ab2, "_gpl");
SYMBOL_CRC(snd_ctl_apply_vmaster_followers, 0xfb2980d9, "_gpl");
SYMBOL_CRC(snd_jack_add_new_kctl, 0xc1ae59fe, "");
SYMBOL_CRC(snd_jack_new, 0x26cbb953, "");
SYMBOL_CRC(snd_jack_set_parent, 0x66bd4e54, "");
SYMBOL_CRC(snd_jack_set_key, 0x0437d507, "");
SYMBOL_CRC(snd_jack_report, 0x8d060cfe, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdb45c7e, "input_allocate_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0xfba7e35e, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xd81087f6, "_copy_to_iter" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xab040693, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa826a8b3, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7994b603, "kill_fasync" },
	{ 0x99c95fa5, "unregister_sound_special" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0xcc63dbaa, "proc_mkdir_mode" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xdc067824, "device_initialize" },
	{ 0x1ee0ac66, "param_array_ops" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xb1384945, "input_unregister_device" },
	{ 0xe7257ab8, "xa_store_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0xa12cc6bd, "pcpu_hot" },
	{ 0xf89ac26d, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x6140e51f, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x83645119, "__kasan_check_write" },
	{ 0xe2964344, "__wake_up" },
	{ 0x467ea7d4, "devm_remove_action" },
	{ 0xd08f385, "import_ubuf" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0xfde29017, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xabe3cade, "devres_add" },
	{ 0xd74155fb, "single_open_size" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9b091cb0, "dev_driver_string" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x789cae, "input_free_device" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x7f625ada, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x252424dd, "register_sound_special_device" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xa856cb24, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x61651be, "strcat" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xf8d1956a, "device_add" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x69f7ddcd, "init_uts_ns" },
	{ 0xbc35cf0d, "__asan_report_load16_noabort" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x168816a5, "noop_llseek" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xab5cc790, "input_set_capability" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x191e3499, "__devres_alloc_node" },
	{ 0x175e33fb, "dma_spin_lock" },
	{ 0x26397962, "fasync_helper" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb20c6812, "device_del" },
	{ 0x2c39e9ea, "proc_mkdir" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xfb578fc5, "memset" },
	{ 0x742255cb, "_dev_warn" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x6313df37, "param_ops_charp" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf5a1d3de, "input_event" },
	{ 0x73ca76d1, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0x9906e9dc, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7054a3e4, "request_dma" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x8fa4cf56, "proc_set_size" },
	{ 0xf5593b54, "__register_chrdev" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x7c9d7436, "kobject_set_name" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe99cf845, "seq_printf" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0x392c1beb, "_copy_from_iter" },
	{ 0x73475f93, "__asan_handle_no_return" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x429a01b6, "stream_open" },
	{ 0xf919ba25, "single_release" },
	{ 0x997f42fa, "pid_vnr" },
	{ 0xe5c361bc, "devres_find" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x72817b91, "__devm_add_action" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0xbf041344, "sound_class" },
	{ 0x1366fe77, "release_resource" },
	{ 0x72b243d4, "free_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x48a2e08d, "proc_symlink" },
	{ 0xd5c05c58, "param_ops_int" },
	{ 0xa6c26b96, "__asan_report_store16_noabort" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb1fbeaec, "single_open" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x90e3a8b4, "put_pid" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7eed4f85, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "soundcore");


MODULE_INFO(srcversion, "E199FA2793C2150D969F28E");
