#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hdac_ext_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_device_remove, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_register, "_gpl", "");
KSYMTAB_FUNC(snd_hda_ext_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_ppcap_int_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_ml_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_link_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_addr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_get_hlink_by_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_up_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power_down_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_set_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_clear_stream_id, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_get, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_put, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_init_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_free_all, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_decouple, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_clear, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_ext_cstream_assign, "_gpl", "");

SYMBOL_CRC(snd_hdac_ext_bus_init, 0xab890211, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_exit, 0xcae9fa46, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_device_remove, 0x5c144f5d, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_register, 0xd377ee0e, "_gpl");
SYMBOL_CRC(snd_hda_ext_driver_unregister, 0x1605937a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_enable, 0xab67ab0d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_ppcap_int_enable, 0x7fd40e4a, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_ml_capabilities, 0x30bf6379, "_gpl");
SYMBOL_CRC(snd_hdac_ext_link_free_all, 0x8f8e3b01, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_addr, 0xa2739556, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_get_hlink_by_name, 0x33332c16, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up, 0x1db45bc4, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down, 0x7674fa28, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_up_all, 0xa3963dad, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power_down_all, 0xb2718444, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_set_stream_id, 0x8c7f1553, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_clear_stream_id, 0x360d4a1c, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_get, 0x907b8e6d, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_put, 0xf232bdf1, "_gpl");
SYMBOL_CRC(snd_hdac_ext_bus_link_power, 0x40041fa3, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_init_all, 0xdcafa2f0, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_free_all, 0xc7557cac, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple_locked, 0x876ae4d8, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_decouple, 0xbdd1094f, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_start, 0xf23297dd, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_clear, 0x940e1a21, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_reset, 0x8993e3d5, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_setup, 0xc2b87206, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_assign, 0x41966dee, "_gpl");
SYMBOL_CRC(snd_hdac_ext_stream_release, 0x79a5138b, "_gpl");
SYMBOL_CRC(snd_hdac_ext_cstream_assign, 0xfc692533, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2791e24f, "snd_hdac_stream_release" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x9cb0b00, "snd_hdac_stream_release_locked" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xdabfad3c, "snd_hdac_bus_link_power" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe9bbcee2, "snd_hdac_bus_exit" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xe038b379, "put_device" },
	{ 0x147b77c, "snd_hdac_bus_init" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0x2763b7e3, "snd_hdac_stream_init" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0x838b317d, "snd_hdac_device_unregister" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0xf16e5a0a, "snd_hdac_stream_assign" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8e9826ec, "__kasan_check_read" },
	{ 0x86a2c2e5, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2a24c531, "snd_hdac_bus_stop_cmd_io" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7af7f782, "snd_hdac_bus_init_cmd_io" },
	{ 0x570ea07b, "snd_hda_bus_type" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0xa5359950, "driver_register" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-core");


MODULE_INFO(srcversion, "C6BD06A3B33D46F6573CECD");
