#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x44f36827, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x5757068d, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0x42185505, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x5046a653, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xcf63a8ea, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x1e4b4289, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0x5eb886c2, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xc315659b, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x50d956f5, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x720d078f, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x2976ad07, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x95ec809a, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0xbd418951, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xe6361c51, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xfa236b47, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x3a61a9ca, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x4e054d14, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xed1e7d60, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x5086ebd6, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x9f45e226, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0x22c73dae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19172211, "snd_hda_apply_verbs" },
	{ 0xfadb34a2, "snd_hda_codec_amp_update" },
	{ 0xe914e41e, "strcpy" },
	{ 0xf3506f24, "snd_hda_add_new_ctls" },
	{ 0x2f7bc077, "__asan_report_load1_noabort" },
	{ 0x2089e434, "snd_hda_get_connections" },
	{ 0x591315b7, "snd_hda_codec_amp_init_stereo" },
	{ 0x2677ed3a, "snd_hda_set_vmaster_tlv" },
	{ 0xc8ef1158, "hda_get_autocfg_input_label" },
	{ 0x46fa9809, "query_amp_caps" },
	{ 0x3872ad31, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6fb9d839, "snd_hda_mixer_amp_volume_info" },
	{ 0xf4bd6b4d, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb4b782bf, "snd_hda_codec_setup_stream" },
	{ 0xf348b68f, "snd_hda_mixer_amp_switch_info" },
	{ 0xc267069a, "hda_codec_driver_unregister" },
	{ 0x8a1503e2, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x1ad7fa18, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0xc06a1bd0, "__sanitizer_cov_trace_switch" },
	{ 0x70891fc9, "snd_hda_jack_tbl_get_mst" },
	{ 0x794650fd, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbfd8a40a, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x8abd8e40, "led_classdev_unregister" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0x17b69a85, "snd_hda_codec_pcm_new" },
	{ 0xf1c5bfc9, "__sanitizer_cov_trace_cmp1" },
	{ 0x6581cfce, "__snd_hda_codec_cleanup_stream" },
	{ 0x915e1ab2, "snd_ctl_sync_vmaster" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0x92c8470a, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4936d9f3, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa76ada61, "snd_hda_add_imux_item" },
	{ 0xebeb7265, "snd_hda_correct_pin_ctl" },
	{ 0x3a0ac9f1, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7915a480, "__asan_report_store2_noabort" },
	{ 0xb393c28c, "snd_hda_create_dig_out_ctls" },
	{ 0xf0ace03b, "snd_hda_multi_out_dig_close" },
	{ 0x2cdf8773, "snd_hda_get_conn_index" },
	{ 0x657328a1, "snd_hda_multi_out_analog_open" },
	{ 0x9c521684, "snd_hda_get_bool_hint" },
	{ 0x24387a04, "snd_hda_create_spdif_share_sw" },
	{ 0xf088a6d7, "snd_hda_find_mixer_ctl" },
	{ 0x811b7c51, "__asan_report_store_n_noabort" },
	{ 0x20b2663, "__asan_report_store1_noabort" },
	{ 0xe4c0da80, "snd_hda_get_int_hint" },
	{ 0x3599b2ec, "__asan_report_load_n_noabort" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xed416ce4, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0xe1e5311e, "snd_hda_parse_pin_defcfg" },
	{ 0xb2a68fb4, "snd_hda_codec_amp_init" },
	{ 0x3d945f90, "snd_hda_create_spdif_in_ctls" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xeca72bba, "is_jack_detectable" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x68c0bfe1, "snd_hda_multi_out_analog_cleanup" },
	{ 0x352d10ab, "snd_hda_multi_out_analog_prepare" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x881f3074, "snd_ctl_boolean_stereo_info" },
	{ 0x48923343, "snd_hda_get_conn_list" },
	{ 0x540082f9, "snd_hda_mixer_amp_switch_get" },
	{ 0x4e5fcbc4, "snd_hda_codec_set_pin_target" },
	{ 0x9252402, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5066cc7b, "snd_hda_attach_beep_device" },
	{ 0xaca09314, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xe6e1e692, "snd_hdac_regmap_write_raw" },
	{ 0x852fde7d, "__sanitizer_cov_trace_cmp2" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0xc8f1ec4f, "snd_hda_mixer_amp_volume_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x8cfdf9fd, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xb436eff7, "snd_hda_check_amp_caps" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xce593c22, "ledtrig_audio_get" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd3e9bbeb, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb49516fe, "snd_hda_jack_unsol_event" },
	{ 0x578ba056, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3f893fd5, "snd_hda_jack_add_kctls" },
	{ 0xec86b537, "snd_hda_mixer_amp_tlv" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x4cb6d47e, "__sanitizer_cov_trace_cmp8" },
	{ 0x30b46f17, "__sanitizer_cov_trace_const_cmp2" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x288e4c6c, "__snd_hda_add_vmaster" },
	{ 0x9e93b930, "__sanitizer_cov_trace_cmp4" },
	{ 0x54654294, "__asan_report_load2_noabort" },
	{ 0xaf9d7f11, "snd_hda_codec_amp_stereo" },
	{ 0x65dacb86, "snd_hda_sync_vmaster_hook" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x31e289c4, "snd_hda_apply_fixup" },
	{ 0xacbf977a, "snd_hda_enum_helper_info" },
	{ 0xd5fccdc8, "kmalloc_trace" },
	{ 0x8483ab36, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x2c0d3b9e, "snd_hdac_codec_read" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x4f18d55d, "snd_hda_mixer_amp_volume_put" },
	{ 0x8d80b813, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xbde62542, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x16a2f334, "snd_hdac_regmap_sync" },
	{ 0xb48ce6a2, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd,ledtrig-audio");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "8B32622CA9DD77CAC8B4239");
