#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(atom_dump, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_irq_handler, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_irq_thread, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_send_msg, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_get_window_offset, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_run, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_reset, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_machine_select, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_DATA(atom_dai, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");
KSYMTAB_FUNC(atom_set_mach_params, "", "SND_SOC_SOF_INTEL_ATOM_HIFI_EP");

SYMBOL_CRC(atom_dump, 0x56fefd39, "");
SYMBOL_CRC(atom_irq_handler, 0xefa4a41a, "");
SYMBOL_CRC(atom_irq_thread, 0x3503e0b1, "");
SYMBOL_CRC(atom_send_msg, 0x0066e3cc, "");
SYMBOL_CRC(atom_get_mailbox_offset, 0xabbb9b25, "");
SYMBOL_CRC(atom_get_window_offset, 0x9749433f, "");
SYMBOL_CRC(atom_run, 0x6a1fafc2, "");
SYMBOL_CRC(atom_reset, 0x7d7665e7, "");
SYMBOL_CRC(atom_machine_select, 0xa8975020, "");
SYMBOL_CRC(atom_dai, 0xe310afd1, "");
SYMBOL_CRC(atom_set_mach_params, 0x45865ab0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66283031, "x86_match_cpu" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x43bb17e8, "snd_sof_dsp_update_bits64" },
	{ 0xb5dbd43b, "snd_sof_dsp_update_bits64_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xa2584752, "__asan_report_load4_noabort" },
	{ 0x95534a9f, "__asan_report_load8_noabort" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x72a5bba4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x86c7272b, "iosf_mbi_read" },
	{ 0x7dea4a14, "_dev_info" },
	{ 0xdcabd6e4, "sof_mailbox_write" },
	{ 0xc5e5e28, "sof_mailbox_read" },
	{ 0xf5869226, "__asan_register_globals" },
	{ 0x76f1002e, "_dev_err" },
	{ 0xe41c4315, "__sanitizer_cov_trace_const_cmp4" },
	{ 0x159385bc, "__sanitizer_cov_trace_const_cmp8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x88e9c79, "platform_get_resource" },
	{ 0x98ec031b, "__asan_unregister_globals" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x7a7adcc8, "sof_print_oops_and_stack" },
	{ 0x5d8231d6, "snd_sof_ipc_get_reply" },
	{ 0x88a009b6, "__sanitizer_cov_trace_pc" },
	{ 0xb823ac8b, "__asan_report_store8_noabort" },
	{ 0x742255cb, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x8f28a146, "__asan_report_store4_noabort" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc88f69ce, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfe7b4674, "snd_sof_ipc_reply" },
	{ 0x85df9b6c, "strsep" },
	{ 0x84f63904, "__sanitizer_cov_trace_const_cmp1" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0x8abfed7f, "snd_sof_dsp_panic" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf4399999, "module_layout" },
};

MODULE_INFO(depends, "snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "1421AB8F6340252F4EFE514");
